package cn.redcdn.butel.test;

/**
 * 模拟会控命令。
 * @author LeeDong
 *
 */
public class MeetingControlCmdTest {

  //  public static MeetingControlCmdTest mMeetingControlCmdTest;

  // 7002 四个发言人，一个屏幕分享

  // 获取参会者列表回应：5个参会者，4个发言人，一个屏幕分享，状态和7002携带的状态一致
  public static boolean isDebug = true;

  /**
   * 加入会议回应
   */
  public static String join_meeting_response = "{\"cmdID\":7002,\"lockInfo\":0,\"meetingState\":2,\"serverStatus\":1,\"showMode\":0, \"speakers\":[{\"streamTypes\":1,\"userId\":\"60010630\",\"userName\":\"lisi0\",\"camStaus\":1,\"speakerType\":2,\"screenShareInfo\":2,\"streams\": [{ \"resourceId\": \"6789\",\"mediaType\": 1,\"extraInfo\": \"abcd\"}]},{\"streamTypes\":1,\"userId\":\"60010631\",\"userName\":\"lisi1\",\"camStaus\":1,\"speakerType\":2,\"screenShareInfo\":2,\"streams\": [{ \"resourceId\": \"6789\",\"mediaType\": 1,\"extraInfo\": \"abcd\"}]},{\"streamTypes\": 3,\"userId\": \"60010632\", \"userName\": \"lisi2\", \"camStaus\":1,\"speakerType\":2,\"screenShareInfo\":1,\"streams\": [{ \"resourceId\": \"6789\",\"mediaType\": 3,\"extraInfo\": \"abcd\"}]},{\"streamTypes\":1,\"userId\":\"60010633\",\"userName\":\"lisi3\",\"camStaus\":1,\"speakerType\":1,\"screenShareInfo\":2,\"streams\": [{ \"resourceId\": \"6789\",\"mediaType\": 1,\"extraInfo\": \"abcd\"}]}],\"status\":0,\"masterId\": \"60010633\",\"userType\": 1,\"meetingStyle\": 1,\"masterName\": \"lisi3\", \"liveStatus\": 1}";

  /**
   * 退出会议回应
   */
  public static String exit_meeting_response = "{\"cmdID\":7004,\"status\":0}";

  /**
   * 获取会议参与者列表回应
   */
  public static String get_meeting_partner_list_response = "{\"audience\":0,\"cmdID\":9014,\"meetingId\":20080099,\"meetingName\":\"TestMeeting\",\"paticipators\":[{\"acountId\":\"60010630\",\"memberStatus\":1,\"role\":2,\"userName\":\"lisi0\",\"streamTypes\":1},{\"acountId\":\"60010631\",\"memberStatus\":1,\"role\":2,\"userName\":\"lisi1\",\"streamTypes\":1},{\"acountId\":\"60010632\",\"memberStatus\":1,\"role\":2,\"userName\":\"lisi2\",\"streamTypes\":3},{\"acountId\":\"60010633\",\"memberStatus\":1,\"role\":2,\"userName\":\"lisi3\",\"streamTypes\":1},{\"acountId\":\"60010634\",\"memberStatus\":4,\"role\":2,\"userName\":\"lisi4\",\"streamTypes\":0}],\"status\":0}";

  /**
   * 申请发言回应
   */
  public static String apply_speak_response = "{\"cmdID\":8008,\"status\":0}";

  /**
   * 申请停止发言回应
   */
  public static String apply_stop_speak_response = "{\"cmdID\":8032,\"status\":0}";

  /**
   * 开始发言回应
   */
  public static String start_speak_response = "{\"cmdID\":8020,\"status\":0}";

  /**
   * 停止发言回应
   */
  public static String stop_speak_response = "{\"cmdID\":8022,\"status\":0}";

  /**
   * 服务器通知普通终端新发言者产生
   */

  public static String server_notice_new_speaker_create = "{\"stream\":1,\"cmdID\":8025,\"meetingId\":5,\"accountId\":\"123\",\"userName\":\"testName\",\"cmdFlag\":0, \"origUserName\":\"testNameOrig\",\"speakerType\":1}";

  /**
   * 服务器通知普通终端新发言者失效
   */
  public static String server_notice_new_speaker_destroy = "{\"micId\":1,\"cmdID\":8027,\"meetingId\":5,\"userName\":\"testName\",\"cmdFlag\":0, \"origUserName\":\"testNameOrig\",\"speakerType\":1}";

  /**
   * 参与者加入会议回应
   */
  public static String partner_join_meeting_response = "{\"cmdID\":9016,\"status\":0}";

  /**
   * 参与者退出会议回应
   */
  public static String partner_exit_meeting_response = "{\"cmdID\":9018,\"status\":0}";

  /**
   * 加解锁回应
   */
  public static String lock_unlock_response = "{\"cmdID\":8038,\"status\":0}";

  /**
   * 服务器通知会议加/解锁状态命令
   */
  public static String notice_lock_unlock = "{\"lockInfo\":1,\"cmdID\":8039,\"meetingId\":5}";

  /**
   * 传麦请求命令回应
   */
  public static String ask_for_pass_mic_response = "{\"cmdID\":8036,\"status\":0}";

  /**
   * 主持人改变会议模式请求命令回应
   */
  public static String master_change_meeting_style_response = "{\"accountId\":\"123\",\"cmdID\":8085,\"meetingId\":5,\"token\":\"35cbeb61-2389-4706-998c-85dd843c5011\", \"meetingStyle\":1}";

  /**
   * 服务器通知会议模式改变命令
   */
  public static String notice_change_meeting_style = "{\"meetingStyle\":1,\"cmdID\":8087,\"meetingId\":5}";

  /**
   * 主持人指定用户发言回应
   */
  public static String master_set_user_speak_response = "{\"cmdID\":8090,\"status\":0}";

  /**
   * 主持人指定发言者停止发言请求回应
   */
  public static String master_set_user_stop_speak_response = "{\"cmdID\":8092,\"status\":0}";

  /**
   * 用户举手请求回应
   */
  public static String user__hands_up_response = "{\"cmdID\":8094,\"status\":0}";

  /**
   * 服务器转发用户举手命令
   */
  public static String server_notice_hands_up = "{\"accountId\":\"handupId\",\"userName\":\"handupName\",\"cmdID\":8095,\"meetingId\":5}";

  /**
   * 开始直播请求回应
   */
  public static String ask_for_start_live_response = "{\"cmdID\":8098,\"status\":0}";

  /**
   * 服务器通知会议开始直播命令
   */
  public static String server_notice_start_live = "{\"liveName\":\"Mylive\",\"cmdID\":8099,\"meetingId\":5}";

  /**
   * 打开/关闭摄像头请求回应
   */
  public static String ask_for_open_close_camera_response = "{\"cmdID\":8082,\"status\":0}";

  /**
   * 服务器群发用户打开/关闭摄像头的通知命令
   */
  public static String server_notice_open_close_camera = "{\"cmdID\":8083,\"meetingId\":5,\"userName\":\"testName\",\"accountId\":\"456\",\"operatorId\":1}";

  /**
   * 订阅用户回应
   */
  public static String subscribe_user_response = "{\"cmdID\":8042,\"status\":0,\"stream\":3,\"isSpeaker\":false}";

  /**
   * 订阅用户回应
   */
  public static String unsubscribe_user_response = "{\"cmdID\":8044,\"status\":0}";

  /**
   * 发言者关闭部分流通知命令回应
   */
  public static String user_stop_stream_response = "{\"cmdID\":8046,\"status\":0}";

}