package cn.redcdn.butelopensdk.constconfig;

public class CmdKey {
	public static final String CMD_ID = "cmdID";

	public static final String TOKEN = "token";

	public static final String USER_ID = "userId";

	public static final String ACOUNT_ID = "acountId";

	public static final String ACCOUNT_ID = "accountId";

	public static final String MEETING_ID = "meetingId";

	public static final String STATUS = "status";

	public static final String MIC_ID = "micId";

	public static final String MEETING_PRESENCE_ID = "meetingPresenceId";

	public static final String SPEAKER_ACCOUNT_ID = "speakerAccountId";

	public static final String SHOW_MODE = "showMode";

	public static final String PARTNER_LIST = "partnerList";

	public static final String PARTICIPATORS = "paticipators";

	public static final String ROLE = "role";

	public static final String MEETING_STATE = "meetingState";

	public static final String USERNAME = "userName";

	public static final String MEETING_NAME = "meetingName";

	public static final String MIC1SPEAKER_ACCOUNT_ID = "Mic1SpeakerAccoutId";

	public static final String MIC2SPEAKER_ACCOUNT_ID = "Mic2SpeakerAccoutId";

	public static final String AUDIENCE = "audience";

	public static final String MEMBER_STATUS = "memberStatus";

	public static final String PATICIPATORS = "paticipators";

	public static final String MIC_1_USERNAME = "Mic1UserName";

	public static final String MIC_2_USERNAME = "Mic2UserName";

	public static final String EXIT_MODE = "exitMode";

	public static final String SERVER_STATUS = "serverStatus";

	public static final String MIC_1_USERID = "Mic1UserID";

	public static final String MIC_2_USERID = "Mic2UserID";

	public static final String LOCK_INFO = "lockInfo";

	public static final String CMD_FLAG = "cmdFlag";

	public static final String ORIG_USER_NAME = "origUserName";

	public static final String MIC1_CAM_STATUS = "Mic1CamStaus";

	public static final String MIC2_CAM_STATUS = "Mic2CamStaus";

	public static final String OPERATOR_ID = "operatorId";

	public static final String MASTER_ID = "masterId";

	public static final String USER_TYPE = "userType";

	public static final String MEETING_STYLE = "meetingStyle";

	public static final String MASTER_NAME = "masterName";

	public static final String BE_SPEAKED_USER_ID = "beSpeakedUserId";

	public static final String LIVE_STATUS = "liveStatus";

	/** spekaerinfo begin */
	public static final String SPEAKERS = "speakers";

	public static final String CAM_STATUS = "camStaus";

	public static final String SPEAKER_TYPE = "speakerType";

	public static final String SCREEN_SHARING_INFO = "screenShareInfo";

	public static final String STREAMS = "streams";

	public static final String RESOURCE_ID = "resourceId";

	public static final String MEDIA_TYPE = "mediaType";

	public static final String BE_KICKED_USERID = "beKickedUserId";

	// 流发布信息描述: 用一个字节表示，高4位置0，低4位表示四种流类型是否打开的状态，1为打开，0为关闭
	public static final String STREAM_TYPES = "streamTypes";

	// 会控并不直接感知 syncid，而是通过extraInfo 信息透传,且传递的为String类型，而客户端在使用时需要的是pint类型
	// example:
	// "extraInfo":"{\"vdev\":{\"w\":1280,\"h\":720,\"sharetype\":1},\"sygid\":1533063680}"
	// sharetype : 共享类型（1：本地桌面共享 2：远程小工具桌面共享 3：采集卡 5：进程共享 6：白板共享）
	public static final String EXTRAINFO = "extraInfo";
	public static final String SYNC_ID = "sygid"; // 同步组id
	public static final String VIDEO_PARAM = "vdev"; // 视频采集参数
	public static final String VIDEO_PARAM_WIDTH = "w"; // 采集宽度
	public static final String VIDEO_PARAM_HEIGHT = "h"; // 采集高度
	public static final String VIDEO_SHARETYPE = "sharetype";// 共享类型
	public static final String OPERATE_TYPE = "type"; // 操作状态，1.已打开 2.已关闭
	public static final String LOUDSPEAKER_STATUS = "loudSpeakerStatus"; // 扬声器初始状态
																			// 0。打开
																			// 1.关闭
	/** spekaerinfo end */

	public static final String SPEAKER_USER_ID = "SpeakerUserId";
	public static final String OPERATOR_TYPE = "operatorType";
	public static final String STREAM_OPERATORTYPE = "operatorType";
	public static final String STREAM_NEWOPERATORTYPE = "operateType";

	public static final String UI_CMD_TARGET_ID = "targetId";
	public static final String UI_CMD_FROM_ID = "fromId";
	public static final String UI_CMD_DATA = "data";
	public static final String TIMESTAMP = "timestamp";

	public static final String WHITE_LIST = "whiteList"; // relayId 白名单

	public static final String REC_SERVER_ADDRESS = "RecServerAddr";// 录制服务器地址
	public static final String FILE_ADDRESS = "FileAddress"; // 录制文件地址

	public static final String IS_RECORD = "isRecord"; // 会议录制状态 1.录制状态 2.非录制状态

	public static final String ORI_MASTERID = "oriMasterId"; // 原始主持人ID
	public static final String ORI_MASTER_NAME = "oriMasterName"; // 原始主持人name
	public static final String NEW_MASTERID = "newMasterId"; // 新主持人ID
	public static final String NEW_MASTER_NAME = "newMasterName"; // 新主持人name

	public static final String RESULTS = "results"; // 发布流的结果

	public static final String UI_BLACK_CMD_TOUSER_ID = "touserid";
	public static final String UI_BLACK_CMD_FROM_ID = "fromuserid";
	public static final String UI_BLACK_CMD_MSG_DATA = "msgdata";
	public static final String UI_BLACK_CMD_MSG_ID = "messageid";

	public static final String SPEAKERS_NUM = "speakersNum";

	public static final String CMDKEY = "cmdKey";
	public static final String CMDVALUE = "cmdValue";

	public static final String CHAT_STATUS = "ChatStatus";

	public static final String POLL_PARAM = "param";
	public static final String POLL_OPERATOR_TYPE = "operatorType";
}
