package cn.redcdn.butelopensdk.constconfig;

import java.util.ArrayList;
import java.util.List;

public class LayoutInfo {
	public String accountId; // 布局发布者视讯号
	public int layoutType; // 视频窗口布局类型
	// 1: 1个人像默认布局
	// 2: 2个人像默认布局
	// 3: 3个人像默认布局
	// 4: 4个人像默认布局
	// 5: 9个人像默认布局
	// 6: 4人像+1数据默认布局
	// 7: 9人像+1数据默认布局

	public int fullScreenViewId; // 全屏显示窗口Id -1:没有窗口最大化显示
	public List<ViewInfo> views; // 视频窗口列表，当没有人发言时为空

	public LayoutInfo() {
		views = new ArrayList<ViewInfo>();
	}

	public List<ViewInfo> getViews() {
		return views;
	}

	public void setViews(List<ViewInfo> views) {
		this.views = views;
	}

	public void addView(ViewInfo view) {
		if (views == null) {
			views = new ArrayList<ViewInfo>();
		}
		views.add(view);
	}

}
