package cn.redcdn.butelopensdk.constconfig;

public class MediaAdaptiveParam {
  /**
   * 上行带宽，默认值：8000
   */
  public static final String  upBandwidth = "upBandwidth";
  /**
   * 下行带宽，默认值：8000
   */
  public static final String downBandwidth = "downBandwidth";
  /**
   * 上行补发预留比例：20
   */
  public static final String upRetransBwRatio = "upRetransBwRatio";
  /**
   * 下行补发预留比例: 20
   */
  public static final String downRetransBwRatio = "downRetransBwRatio";
  
  //上行视频自适应配置
  /**
   * 上行 视频 FEC 数据比例，默认值: 6
   */
  public static final String videoUpFecDataCount = "videoUpFecDataCount";
  /**
   * 上行 视频 FEC 校验包比例，默认值: 3
   */
  public static final String videoUpFecCheckCount = "videoUpFecCheckCount";
  /**
   * 上行 视频数据包发送份数，默认值: 0
   */
  public static final String videoUpDataSendCount = "videoUpDataSendCount";
  /**
   * 上行 视频校验包发送份数，默认值: 0
   */
  public static final String videoUpCheckSendCount = "videoUpCheckSendCount";
  /**
   * 上行 视频补发数据包发送份数，默认值: 3
   */
  public static final String videoUpDataRetransSendCount = "videoUpDataRetransSendCount";
  /**
   * 上行 视频补发校验包发送份数，默认值: 0
   */
  public static final String videoUpCheckRetransSendCount = "videoUpCheckRetransSendCount";
  /**
   * 上行 视频补发请求次数，默认值: 5
   */
  public static final String videoUpDataResendCount = "videoUpDataResendCount";
  
  //上行文档视频自适应配置
  /**
   * 上行 文档视频 FEC 数据比例，默认值: 6
   */
  public static final String DocVideoUpFecDataCount = "DocVideoUpfecDataCount";
  /**
   * 上行 文档视频 FEC 校验包比例，默认值: 3
   */
  public static final String DocVideoUpFecCheckCount = "DocVideoUpFecCheckCount";
  /**
   * 上行 文档视频数据包发送份数，默认值: 0
   */
  public static final String DocVideoUpDataSendCount = "DocVideoUpDataSendCount";
  /**
   * 上行文档 视频校验包发送份数，默认值: 0
   */
  public static final String DocVideoUpCheckSendCount = "DocVideoUpCheckSendCount";
  /**
   * 上行 文档视频补发数据包发送份数，默认值: 3
   */
  public static final String DocVideoUpDataRetransSendCount = "DocVideoUpDataRetransSendCount";
  /**
   * 上行文档 视频补发校验包发送份数，默认值: 0
   */
  public static final String DocVideoUpCheckRetransSendCount = "DocVideoUpCheckRetransSendCount";
  /**
   * 上行 文档视频补发请求次数，默认值: 5
   */
  public static final String DocVideoUpDataResendCount = "DocVideoUpDataResendCount";
  
  //上行音频自适应配置
  /**
   * 上行 音频 FEC 数据比例，默认值: 4
   */
  public static final String audioUpFecDataCount = "audioUpFecDataCount";
  /**
   * 上行 音频 FEC 校验包比例，默认值: 6
   */
  public static final String audioUpFecCheckCount = "audioUpFecCheckCount";
  /**
   * 上行 音频数据包发送份数，默认值: 1
   */
  public static final String audioUpDataSendCount = "audioUpDataSendCount";
  /**
   * 上行 音频校验包发送份数，默认值: 0
   */
  public static final String audioUpCheckSendCount = "audioUpCheckSendCount";
  /**
   * 上行 音频补发数据包发送份数，默认值: 3
   */
  public static final String audioUpDataRetransSendCount = "audioUpDataRetransSendCount";
  /**
   * 上行 音频补发校验包发送份数，默认值: 0
   */
  public static final String audioUpCheckRetransSendCount = "audioUpCheckRetransSendCount";
  /**
   * 上行 音频补发请求次数，默认值: 5
   */
  public static final String audioUpDataResendCount = "audioUpDataResendCount";
  
  //下行视频自适应配置
  /**
   * 下行 视频 FEC 数据比例，默认值: 6
   */
  public static final String videoDownFecDataCount = "videoDownFecDataCount";
  /**
   * 下行 视频 FEC 校验包比例，默认值: 3
   */
  public static final String videoDownFecCheckCount = "videoDownFecCheckCount";
  /**
   * 下行 视频数据包发送份数，默认值: 0
   */
  public static final String videoDownDataSendCount = "videoDownDataSendCount";
  /**
   * 下行 视频校验包发送份数，默认值: 0
   */
  public static final String videoDownCheckSendCount = "videoDownCheckSendCount";
  /**
   * 下行 视频补发数据包发送份数，默认值: 3
   */
  public static final String videoDownDataRetransSendCount = "videoDownDataRetransSendCount";
  /**
   * 下行 视频补发校验包发送份数，默认值: 0
   */
  public static final String videoDownCheckRetransSendCount = "videoDownCheckRetransSendCount";
  /**
   * 下行 视频补发请求次数，默认值: 5
   */
  public static final String videoDownDataResendCount = "videoDownDataResendCount"; 
  /**
   * 视频接收延时，默认值：300
   */
  public static final String videoDelayTime = "videoDelayTime";
  
  //下行文档视频自适应配置
  /**
   * 下行 文档视频 FEC 数据比例，默认值: 6
   */
  public static final String DocVideoDownFecDataCount = "DocVideoDownFecDataCount";
  /**
   * 下行 文档视频 FEC 校验包比例，默认值: 3
   */
  public static final String DocVideoDownFecCheckCount = "DocVideoDownFecCheckCount";
  /**
   * 下行 文档视频数据包发送份数，默认值: 0
   */
  public static final String DocVideoDownDataSendCount = "DocVideoDownDataSendCount";
  /**
   * 下行文档 视频校验包发送份数，默认值: 0
   */
  public static final String DocVideoDownCheckSendCount = "DocVideoDownCheckSendCount";
  /**
   * 下行 文档视频补发数据包发送份数，默认值: 3
   */
  public static final String DocVideoDownDataRetransSendCount = "DocVideoDownDataRetransSendCount";
  /**
   * 下行文档 视频补发校验包发送份数，默认值: 0
   */
  public static final String DocVideoDownCheckRetransSendCount = "DocVideoDownCheckRetransSendCount";
  /**
   * 下行 文档视频补发请求次数，默认值: 5
   */
  public static final String DocVideoDownDataResendCount = "DocVideoDownDataResendCount";
  /**
   * 文档视频接收延时，默认值：300
   */
  public static final String DocVideoDelayTime = "DocVideoDelayTime";
  
  //下行音频自适应配置
  /**
   * 下行 音频 FEC 数据比例，默认值: 4
   */
  public static final String audioDownFecDataCount = "audioDownFecDataCount";
  /**
   * 下行 音频 FEC 校验包比例，默认值: 6
   */
  public static final String audioDownFecCheckCount = "audioDownFecCheckCount";
  /**
   * 下行 音频数据包发送份数，默认值: 1
   */
  public static final String audioDownDataSendCount = "audioDownDataSendCount";
  /**
   * 下行音频校验包发送份数，默认值: 0
   */
  public static final String audioDownCheckSendCount = "audioDownCheckSendCount";
  /**
   * 下行 音频补发数据包发送份数，默认值: 3
   */
  public static final String audioDownDataRetransSendCount = "audioDownDataRetransSendCount";
  /**
   * 下行 音频补发校验包发送份数，默认值: 0
   */
  public static final String audioDownCheckRetransSendCount = "audioDownCheckRetransSendCount";
  /**
   * 下行 音频补发请求次数，默认值: 5
   */
  public static final String audioDownDataResendCount = "audioDownDataResendCount";
  /**
   * 音频接收延时，默认值：300
   */
  public static final String audioDelayTime = "audioDelayTime";
}
