package cn.redcdn.butelopensdk.whiteboard;

import java.util.ArrayList;
import java.util.List;

public class UnSerializedCmdData {

	public short sendType; // 发送类型 tcp 1 udp 2
	public short destUserNum; // 目标用户数 0表示广播给会议里的所有参会方
	public List<Integer> destUserIDList; // 第n个目标用户视讯号
	public int accountId; // 本地视讯号
	public short packetType; // 包类型 bit0 ~ bit3：功能分组， 目前固定为1 （图层命令透传）bit4: 0 数据包
								// 1应答包 bit5: 0 第一次发送 1 重传包 bit6 ~ bit7:保留
	public int messageId; // 绘图消息传输时的唯一标识
	public short dataLen; // 后面数据部分的长度
	public byte[] data; // 本数据包携带的有效数据
	public short messageLen; // 绘图命令总长度
	public short offset; // 当前数据包携带数据，在整个绘图命令数据中的偏移量
	public short packetNum; // 当前绘图消息总共的分包个数
	
	public long recvtime; // 收到包的时间 ms

	public UnSerializedCmdData() {
		destUserIDList = new ArrayList<Integer>();
	}

	@Override
	public String toString() {
		return "UnSerializedCmdData sendType=" + sendType + " destUserNum="
				+ destUserNum + " accountId=" + accountId + " packetType="
				+ packetType + " messageId=" + messageId + " dataLen="
				+ dataLen + " messageLen=" + messageLen + " offset=" + offset
				+ " packetNum=" + packetNum;
	}
}
