package cn.redcdn.datacenter;
/**
 * 接口调用执行结果码
 * @author KevinZhang
 *
 */
public class ExecResultCode {
  /**
   * 成功
   */
  public final static int SUCCESS = 0;
  
  /**
   * 失败：操作中
   */
  public final static int DOING_ERROR = -1;
  
  /**
   * 失败：无效的编码
   */
  
  public final static int INVALID_ENCODE_ERROR = -2;
  /**
   * 失败：JSON 异常
   */
  
  public final static int JSON_FORMAT_ERROR = -3;
  /**
   * 失败：参数异常
   */
  public final static int PARAM_ERROR = -4;
}
