package cn.redcdn.datacenter.JasCenter;

import org.json.JSONObject;

import cn.redcdn.datacenter.InvalidateResponseException;
import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;
import cn.redcdn.log.CustomLog;

/**
 * Created by gexy on 2019\4\23 0023.
 */

public class OuterSubmitInfo extends MDSAbstractBusinessData<String> {

    private String TAG = "OuterSubmitInfo";

    public int submit(String token, String headThumUrl, String name, String company, String groupId, String accountFlg) {
        CustomLog.d(TAG, "submit token=" + token + " headThumUrl=" + headThumUrl + " name=" + name +
                " company=" + company + " groupId=" + groupId + " accountFlg=" + accountFlg);
        JSONObject json = new JSONObject();
        try {
            json.put("token", token);
            json.put("headThumUrl", headThumUrl);
            json.put("name", name);
            json.put("company", company);
            json.put("groupId", groupId);
            json.put("accountFlg", accountFlg);
        } catch (Exception e) {
            return -3;
        }
        return exec(ConstConfig.getJasUrl() + ConstConfig.JAS_OUTER_SUBMIT_INFO, json.toString());
    }

    protected String parseContentBody(JSONObject jo) throws InvalidateResponseException {
        return "";
    }

    protected Parser getParser() {
        return new MedicalParser();
    }
}
