package cn.redcdn.datacenter.JasCenter.data;

/**
 * Created by gexy on 2019\4\23 0023.
 */

public class JasErrorCode {
    public static final int CODE_SUCCESS = 0; // 成功
    public static final int CODE_SYSTEM_ERROR = -999; // 系统错误
    public static final int CODE_DATA_ERROR = -902; // 传入的json数据不正确
    public static final int CODE_PARAM_ERROR = -903; // 参数不能为空:{0}
    public static final int CODE_TOKEN_ERROR = -907; // 授权令牌（token）无效
    public static final int CODE_AUTH_ERROR = -915; // 鉴权失败
    public static final int CODE_NOT_INVITE_ERROR = -933; // 当前用户未被邀请(无担保人)
    public static final int CODE_OUT_USER_HAD_SUBMIT = -934; // 当前用户己提交审核资料不能重复提交
    public static final int CODE_OUT_USER_HAD_PASSED = -935; // 当前用户己经审核通过
    public static final int CODE_FACE_AUTH_ERROR = -936; // 人脸认证失败
    public static final int CODE_INVITE_PERSON_HAD_SUBMIT = -937; // 被邀请人己提交审核资料
    public static final int CODE_INVITE_PERSON_HAD_PASSED = -938; // 被邀请人己通过审核
    public static final int CODE_EXAMINE_PERSON_ERROR = -939; // 当前用户不是审核人,审核失败
    public static final int CODE_BE_EXAMINE_PERSON_NOT_SUBMIT = -940; // 被审核人未提交审核资料
    public static final int CODE_BE_EXAMINE_PERSON_PASSED = -941; // 被审核人己通过审核
    public static final int CODE_BE_EXAMINE_PERSON_REFUSED = -942; // 被审核人己被拒绝
    public static final int CODE_INVITE_PERSON_IS_INTER = -943; // 被邀请人为内部人员
    public static final int CODE_INTER_USER_NO_HEAD_IMAGE_ERROR = -944; // 未取得该内部员工头像
    public static final int CODE_OUT_USER_NO_MOBILE = -945; // 当前外部人员没有手机号
    public static final int CODE_OUT_USER_NO_PERMISSION_TO_INVITE = -946; // 外部人员没有权限进行邀请
    public static final int CODE_IS_OUTER_USER = -948; // 当前用户为外部人员
    public static final int CODE_OUT_USER_NO_HEAD_IMAGE_ERROR = -951; // 未取得该外部人员头像

}
