package cn.redcdn.datacenter.JecCenter.data;

import java.util.ArrayList;
import java.util.List;

import cn.redcdn.datacenter.meetingmanage.GetMeetingInfo;

/**
 * Created by gexy on 2019\9\5 0005.
 */

public class MeetingGroupInfo {
    public String groupName; // 分组名称
    public int meetingCount; // 分组会议数量
    public int groupType; // 分组标识（1即时会议、2预约会议、3固定会议）

    public List<GetMeetingInfo> groupMeetingList; // 会议列表

    public MeetingGroupInfo() {
        groupName = "";
        meetingCount = 0;
        groupType = 0;
        groupMeetingList = new ArrayList<>();
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public int getMeetingCount() {
        return meetingCount;
    }

    public void setMeetingCount(int meetingCount) {
        this.meetingCount = meetingCount;
    }

    public List<GetMeetingInfo> getGroupMeetingList() {
        return groupMeetingList;
    }

    public void setGroupMeetingList(List<GetMeetingInfo> groupMeetingList) {
        this.groupMeetingList = groupMeetingList;
    }

    public void addGroupMeetingInfo(GetMeetingInfo meetingInfo) {
        this.groupMeetingList.add(meetingInfo);
    }

    public int getGroupType() {
        return groupType;
    }

    public void setGroupType(int groupType) {
        this.groupType = groupType;
    }
}
