package cn.redcdn.datacenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.meetingmanage.PlayInfo;
import cn.redcdn.datacenter.meetingmanage.data.MeetingInfomation;
import cn.redcdn.datacenter.meetingmanage.data.ResponseEmpty;
import cn.redcdn.log.CustomLog;

public abstract class PlayRefresher extends AbstractBusinessDataForPlayRefresher<PlayInfo> {

	private String tag = PlayRefresher.class.getName();
	
	public int playrefresher(int id, int opt, String userAgent){
		
	    if(ConstConfig.getPlayUrl() == null ||ConstConfig.getPlayUrl().equals("")){
	        CustomLog.e(tag, "请求服务器地址为空");
	        return -4;
	      }
	    	    	    	    	    	      
	    return exec(ConstConfig.getPlayUrl()+"id="+id+"&"+"opt="+opt,
	            "",userAgent);
         
	    }
	
	  protected PlayInfo parseContentBody(JSONObject jo)
		      throws InvalidateResponseException{
		    if (jo == null) {
		      CustomLog.e(tag, "PlayRefresher JSONObject == null");
		      throw new InvalidateResponseException();
		    }
		    
		    PlayInfo info = new PlayInfo();
		    info.opt = jo.optInt("opt");
		    info.src = jo.optString("src");
		    return info;
	
	   }
	    
	    protected Parser getParser() {
	      return new PlayParser();
	    }
	}
	

