package cn.redcdn.datacenter.cdnuploadimg;

import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;


public abstract class CdnGetToken extends MDSAbstractBusinessData<JSONObject>{

	
	public int getToken(String appid){
		
		JSONObject json = new JSONObject();
		try {
			json.put("appid", appid);
		} catch (Exception e) {
			// TODO: handle exception
		}
		
		return exec(ConstConfig.getCdnTokenUrl(), json.toString());
	}
	
   protected JSONObject parseContentBody(JSONObject jo){
	
		return jo;
	}
	protected Parser getParser(){
		return new CdnUploadParser();
	}
	
}
