package cn.redcdn.datacenter.cdnuploadimg;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;

public class CdnGetVideoImage extends MDSAbstractBusinessData<String> {
	/**
	 * 
	 * @param token
	 * @param fileurl
	 * @param second
	 * @param width
	 * @param height
	 */

	public void getVieoImage(String token,String fileurl,int second,int width,int height) {
		
		JSONObject json = new JSONObject();
		try {
			json.put("token",token);
			json.put("fileurl",fileurl);
			json.put("second",second);
			json.put("width", width);
			json.put("height", height);
			
		} catch (JSONException e) {
			// TODO: handle exception
		}
		
		exec(ConstConfig.getCdnVideoUrl(), json.toString());
		
	}
	
	 protected String  parseContentBody(JSONObject jo){
			
		 String outputurl = "";
		 if(jo!=null){
			 outputurl = jo.optString("outputurl");
		 }
			return outputurl;
		}
	protected Parser getParser(){
			return new CdnUploadParser();
	}
	
	
}
