package cn.redcdn.datacenter.config;

import cn.redcdn.log.CustomLog;

import android.Manifest.permission;
import android.content.Context;
import android.nfc.Tag;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class ConstConfig {

    // 如下静态变量必须通过nps获取参数并初始化
    // rom version check address
    public static String romUpdateServerWebDomain = null;

    // 主服务器
    // app version check address
    public static String masterAppUpdateServerWebDomain = null;
    // meeting manage server address
    public static String masterBmsWebDomain = "";
    //Play
    public static String PlayDomain = null;

    // "180.153.194.179:8980/";
    public static String bmsWebDomainSuffix = "MeetingManage/callService";

    //PlayerRefresher前缀
    public static String playSuffix = "pageshare/PlayRefresher?";

    // 备用服务器
    // app version check address
    public static String slaveAppUpdateServerWebDomain = null;
    // meeting manage server address
    public static String slaveBmsWebDomain = "";

    public static String enterPriseUserCenterWebDomain = null;      // 企业用户中心主地址
    public static String personalUserCenterWebDomain = null;       // 个人用户中心主地址

    public static String personalContactWebDomain = "";

    public static String upgradeServiceSuffix = "UpgradeService/callService";

    /**
     * bmsWebDomain在SettingData和BootManager都保存值 ，但datacenter未使用到
     */
    public static String bmsWebDomain = null;

    public static String userCenterWebDomain = "baikuceshi.com:81/";

    public static String groupManagerWebDomain = null;

    public static String slavePersonalUserCenterWebDomain = ""; //个人用户中心从地址

    public static String slaveEnterPriseUserCenterWebDomain = "";//从企业用户中心地址

    public static String slientServiceUrl = "";


    public static String getSlientServiceUrl() {
        return slientServiceUrl;
    }

    public static void setSlientServiceUrl(String slientServiceUrl) {
        ConstConfig.slientServiceUrl = slientServiceUrl;
    }

    public static void setEnterPriseUserCenterWebDomain(
            String enterPriseUserCenterWebDomain) {
        ConstConfig.enterPriseUserCenterWebDomain = enterPriseUserCenterWebDomain;
    }

    public static void setPersonalUserCenterWebDomain(
            String personalUserCenterWebDomain) {
        ConstConfig.personalUserCenterWebDomain = personalUserCenterWebDomain;
    }

    public static void setSlavePersonalUserCenterWebDomain(
            String slavePersonalUserCenterWebDomain) {
        ConstConfig.slavePersonalUserCenterWebDomain = slavePersonalUserCenterWebDomain;
    }

    public static void setSlaveEnterPriseUserCenterWebDomain(
            String slaveEnterPriseUserCenterWebDomain) {
        ConstConfig.slaveEnterPriseUserCenterWebDomain = slaveEnterPriseUserCenterWebDomain;
    }

    public static String getGroupManagerWebDomain() {
        return groupManagerWebDomain;
    }

    public static void setGroupManagerWebDomain(String groupManagerWebDomain) {
        ConstConfig.groupManagerWebDomain = groupManagerWebDomain;
    }

    public static String getMasterBmsWebDomain() {
        return masterBmsWebDomain;
    }

    public static String getSlaveBmsWebDomain() {
        return slaveBmsWebDomain;
    }


    public static String npsWebDomain = "";

    public static void setMasterAppUpdateServerWebDomain(
            String masterAppUpdateServerWebDomain) {
        ConstConfig.masterAppUpdateServerWebDomain = masterAppUpdateServerWebDomain;
    }

    public static void setMasterBmsWebDomain(String masterBmsWebDomain) {
        ConstConfig.masterBmsWebDomain = masterBmsWebDomain;
    }

    public static void setSlaveAppUpdateServerWebDomain(
            String slaveAppUpdateServerWebDomain) {
        ConstConfig.slaveAppUpdateServerWebDomain = slaveAppUpdateServerWebDomain;
    }

    public static void setSlaveBmsWebDomain(String slaveBmsWebDomain) {
        ConstConfig.slaveBmsWebDomain = slaveBmsWebDomain;
    }

    public static void setNpsWebDomain(String npsWebDomain) {
        ConstConfig.npsWebDomain = npsWebDomain;
    }

    public static void setSlaveNpsWebDomain(String slaveNpsWebDomain) {
        ConstConfig.slaveNpsWebDomain = slaveNpsWebDomain;
    }

    private static String appkey = "";
    private static boolean isNeedtoaddAppkey = false;
    public static String slaveNpsWebDomain = "";
    private static final String HTTP_SCHEMA = "http://";
    private static final String HTTPS_SCHEMA = "https://";
    public static final String PARAM_NUBENUMBER = "nubeNumber";
    public static final String PARAM_IMEI = "imei";
    public static final String PARAM_APPKEY = "appKey";
    public static final String PARAM_NUM = "num";
    public static final String PARAM_DYNAMICURL = "dynamicUrl";
    public static final String PARAM_SERVICE = "service";
    public static final String PARAM_PHONEID = "phoneId";
    public static final String PARAM_TOKEN = "token";
    public static final String PARAM_TOPIC = "topic";
    public static final String PARAM_SYSTYPE = "smsType";
    public static final String PARAM_APP = "app";
    public static final String PARAM_NAME = "name";
    public static final String PARAM_EFFECTIVETIME = "effectiveTime";
    public static final String PARAM_PARAMS = "params";
    public static final String PARAM_INVOTEDUSERS = "invotedUsers";
    public static final String PARAM_INVOTEDPHONES = "invotedPhones";
    public static final String PARAM_MEETINGID = "meetingId";
    public static final String PARAM_MEETINGPWD = "meetingPwd";
    public static final String PARAM_CHECKMEETINGPWD = "service=CheckMeetingPwd&params=";
    public static final String PARAM_MEETINGTYPE = "meetingType";
    public static final String PARAM_MEETINGTIME = "beginDateTime";
    public static final String PARAM_MEETINGEXTRAINFO = "extraInfo";
    public static final String PARAM_USERCONTACT = "userContact";
    public static final String PARAM_FILEDATA = "fileData";
    public static final String PARAM_DATA = "data";
    public static final String PARAM_COUNT = "count";
    public static final String PARAM_CREATORNAME = "creatorName";
    public static final String PARAM_CREATETIME = "createTime";
    public static final String PARAM_DATETIME = "datetime";
    public static final String PARAM_CONTACTINFO = "contactInfo";
    public static final String PARAM_EXPECTSTARTTIME = "expectStarttime";
    public static final String PARAM_DEVMODEL = "devModel";
    public static final String PARAM_REQUESTPARAM = "requestParam";
    public static final String PARAM_SERIALNUMBER = "serialNumber";
    public static final String PARAM_PRODUCT = "product";
    public static final String PARAM_VERSION = "version";
    public static final String PARAM_TERMINAL = "terminal";
    public static final String PARAM_SN = "sn";
    public static final String PARAM_PROJECT = "project";
    public static final String PARAM_PRODUCTYPE = "productType";
    public static final String PARAM_UTCTIME = "utctime";
    public static final String PARAM_ADMINPHONEID = "adminPhoneId";
    public static final String PARAM_INVITERPHONEID = "inviterPhoneId";
    public static final String PARAM_INVITERNAME = "inviterName";
    public static final String PARAM_TERMINALTYPE = "terminalType";
    public static final String PARAM_PHONENUMBER = "phoneNumber";
    public static final String PARAM_MESSAGE = "message";
    public static final String PARAM_DEVICETYPE = "deviceType";
    public static final String PARAM_SENDSMS = "service=SendSMS&params=";
    public static final String PARAM_LOGIN = "service=Login&params=";
    public static final String PARAM_BINDONACCOUNT = "service=BindOnAccount&params=";
    public static final String PARAM_CLIENTREPORT = "service=ClientReportInfo&params=";
    public static final String PARAM_GETACCOUNTINFO = "service=GetAccountInfo&params=";
    public static final String PARAM_MODIFYACCOUNTINFO = "service=ModifyAccountInfo&params=";
    public static final String PARAM_CREATEMEETING = "service=CreateMeeting&params=";
    public static final String PARAM_GETMEETINGINFO = "service=GetMeetingInfo&params=";
    public static final String PARAM_EXTENDTOKEN = "service=ExtendToken&params=";
    public static final String PARAM_GETMEETINGZBINVITATIONCONTENT = "service=GetMeetingZBInvitationSMS&params=";
    public static final String PARAM_GETNOWMEETINGS = "service=GetNowMeetings&params=";
    public static final String PARAM_MODIFYMEETINGINVITERS = "service=ModifyMeetingInviters&params=";
    public static final String PARAM_BINDTOKEN = "service=BindToken&params=";
    public static final String PARAM_GET_TERMINAL_INFO_ = "service=GetTerminalInf&params=";
    public static final String PARAM_GETTIMENOW = "service=GetTimeNow&params=";
    public static final String PARAM_SUGGESTION = "service=Suggestion";
    public static final String PARAM_VERFYMEETINGNO = "service=VerifyMeetingNo&params=";
    public static final String PARAM_EDITMEETING = "service=EditMeeting&params=";
    public static final String PARAM_GETMEETINGS = "service=GetMeetings&params=";
    public static final String PARAM_MODIFYATTENDMEETINGNAME = "service=setAccountAttr&params=";
    public static final String PARAM_ENTMEMBERLOGIN = "service=entMemberLogin&params=";
    public static final String PARAM_OTHERENTMEMBERLOGIN = "service=userLogging&params=";
    public static final String PARAM_LOGIN4MOBILE = "service=Login4Mobile&params=";
    public static final String PARAM_CHECK_APP_VERSION = "service=CheckVersion&params=";
    public static final String PARAM_USERCNTER_GETNUBENUMBERLIST = "service=getNubeNumberList&params=";
    public static final String PARAM_USERCNTER_REGISTERACCOUNT = "service=registerAccount&params=";
    public static final String PARAM_USERCNTER_ACTIVATEACCOUNT = "service=activateAccount&params=";
    public static final String PARAM_GETMEETINGINVITATIONSMS = "service=GetMeetingInvitationSMS&params=";

    public static final String PARAM_SEARCHACCOUNT = "service=searchAccount&params=";// ���
    public static final String PARAM_SEARCHACCOUNTBYMOBILE = "service=searchAccountByMobile&params=";// ���
    public static final String PARAM_USERCNTER_RESENDACTVIATECODE = "service=reSendActivateCode&params=";// ���
    public static final String PARAM_USERCNTER_CHANGEPASSWORD = "service=changePassword&params=";// ���
    public static final String PARAM_USERCNTER_NEW_CHANGEPASSWORD = "service=changePwdByTokenAndOldPwd";// ���
    public static final String PARAM_USERCNTER_SENDCODEFORRESETPWD = "service=sendCodeForResetPwd&params=";// ���
    public static final String PARAM_USERCNTER_SENDCODEFORRESETPWDUSER = "service=sendCodeForResetPwdUser&params=";// ���
    public static final String PARAM_USERCNTER_RESETPASSWORD = "service=resetPassword&params=";// ���
    public static final String PARAM_USERCNTER_RESETPASSWORDUSER = "service=resetPasswordUser&params=";
    public static final String PARAM_USERCNTER_DOWNLOADCONTACTDATA = "service=downloadContactsData&params=";// ���
    public static final String PARAM_USERCNTER_UPLOADCONTACTDATA = "service=uploadContactsData&params=";// ���
    public static final String PARAM_MEETINGMANAGE_STOREFEEDBACKTEXT = "service=StoreFeedbackText&params=";// ���
    public static final String PARAM_AUTHORIZE = "service=authorize&params=";
    public static final String PARAM_AUTHORIZECAPTCHA = "service=authorizeUser&params=";
    public static final String PARAM_VERIFYTOKEN = "service=verifyToken&accessToken=";
    public static final String PARAM_GETFORWARDURL = "service=GetForwardURL&params=";
    public final static String URLFLAG = "urlFlg";
    public final static String TOKEN = "token";
    public final static String EFFECTIVE_TIME = "effectiveHour";
    public final static String NAME = "name";
    public final static String PHONE_ID = "phoneId";
    public final static String USER_INFO = "userInfo";
    public final static String NICK_NAME = "nickname";
    public final static String USE_ENDTIME = "useEndTime";
    public final static String NUBENUMBER = "nubeNumber";
    public final static String UID = "uids"; // ���
    public final static String NEWPASSWORD = "newPassword";// ���
    public final static String VERIFICATIONCODE = "verificationCode";// ���
    public final static String SERVICETYPE = "serviceType";// ���
    public final static String USESTARTTIME = "useStartTime";// ���
    public final static String HEADURL = "headUrl";// ���
    public final static String MOBILE = "mobile";
    public final static String NUBE = "nube";//.............
    public final static String ACCESS_TOKEN = "accessToken";
    public final static String RESULT = "result";
    public final static String RESPONSE = "response";
    public final static String RC = "rc";
    public final static String RD = "rd";
    public final static String MEETING_ID = "meetingId";
    public final static String ADMIN_PHONE_ID = "adminPhoneId";

    public final static String STARTLINENO = "startLineNo";// ���
    public final static String MAXNUM = "maxNum";// ���
    public final static String TIMESTAMP = "timestamp";// ���
    public final static String HASDELETE = "hasDelete";// ���
    public final static String CONTACTS = "contacts";// ���

    public final static String ACCOUNT = "account";
    public final static String PASSWORD = "password";
    public final static String ACTIVATECODE = "activateCode";
    public final static String APPTYPE = "appType";
    public final static String PRODUCTID = "productId";
    public final static String ACCOUNTS = "accounts";
    public static final int ERROR_CODE_INVALIDATE_PARAM = -1;
    public final static String USERTYPE = "userType";

    public static final String PARAM_CHECK_HAS_MEETING_PWD = "service=CheckHasMeetingPwd&params=";
    public static final String PARAM_RESET_MEETING_PWD = "service=ResetMeetingPwd&params=";
    public static final String PARAM_GET_MEETING_PWD = "service=GetMeetingPwd&params=";
    public static final String LOG_MONITOR_GET_UUID = "device/getuuid"; //LogMonitor 获取uuid接口签名
    public static final String LOG_MONITOR_SUBMIT_LOG = "log/submitlog"; //LogMonitor 提交出错日志签名
    public static final String FRIEND_ADD = "friend/add";  //添加好友
    public static final String FRIEND_DELETE = "friend/delete"; //删除好友
    public static final String FRIEND_SYNC = "friend/synchronous"; //同步好友

    public final static String PLAY_ID = "id";
    public final static String PLAY_OPT = "opt";


    public static String MDS_SERVICE_VERSIONNO = "2.0";
    public final static String MDS_BASIC_URL = "http://175.102.21.35:10080/MedicalDataService/externalservice/";
    public static String NPS_URL = "";//nps服务器地址
    public static String SLAVE_NPS_URL = ""; //从nps服务器地址
    public static String Master_ServerUrl = "";//主App升级服务器地址
    public static String Slave_ServerUrl = ""; //从App升级 服务器地址
    public static String MDS_URL = "http://medical.butel.com/mds/externalservice/"; //医疗服务器主地址
    //  public static String MDS_URL = "http://testmedical.butel.com/mds/externalservice/";
    public static String MDS_JETTY_URL = "";
    public static String Slave_MDS_URL = "";//医疗服务器从地址
    public static String Meeting_Url = "";//会议nps地址
    public static String Slave_Meeting_Url = "";//会议从nps地址
    public static String Favorite_URL = "";//收藏接口地址
    public static String CDN_Url = ""; //cdn服务器地址
    public static String Friend_Url = "";//好友关系服务器
    public static String CDN_VIDEO_URL = ""; //获取视频剧照的地址
    public static String APP_TYPE = "";

    public static String SPT_URL = ""; //专培服务器
    //      public  static String SPT_URL = "http://testmedical.butel.com:93/mds/pts"; //专培服务器
    public static String OtherContact_URL = "";  //第三方通讯录接口服务器

    public static String FaceCompare_URL = "";  //face++ 人脸识别URL

    public static String ClientManager_URL = ""; //盒端管理服务器url

    public static String LSS_URL = ""; //LSS服务器地址

    public static String JEC_URL = ""; //JEC服务器地址(企业通讯录)

    public static String JEC_SLAVE_URL = ""; //JEC从服务器地址(企业通讯录)

    public static String JAS_URL = ""; //北京电力鉴权服务地址

    public static String OLS_URL = ""; //OLS离线资源服务地址

    public static String Capctha_Master_URL = ""; // 验证码服务主接口地址
    public static String Capctha_Slave_URL = ""; // 验证码服务从接口地址

    public final static String MedicalCenterSuffix = "MedicalDataService/externalservice/";
    public final static String CdngetConfigSuffix = "config/getfileconfig";
    public final static String CdngetTokenSuffix = "account/authorize";
    public final static String CdngetVideoSuffix = "multimedia/vodvframe";
    public final static String FavoriteAddItemSuffix = "messageV2/favoriteapi";

    //*********紫光红云用户模块**********
    public final static String MDS_APP_LOGIN = "user/app/login";
    public final static String MDS_SUBMIT_INFO = "user/app/submit";
    public final static String MDS_UPDATE_PHOTO = "user/app/updatephoto";
    public final static String MDS_GET_PQRCODE = "user/app/qrcodeurl";
    public final static String MDS_SEARCH_USERS = "user/app/search";
    public final static String MDS_APP_LOGOUT = "user/app/logout";
    public final static String MDS_VISITOR_TOKEN = "user/app/vistor";
    public final static String MDS_GET_USERINFO = "user/userinfo";
    public final static String MDS_GET_PROVINCES = "user/hosp/listprovs";
    public final static String MDS_GET_CITYS = "user/hosp/listcitys";
    public final static String MDS_GET_HOSPITALS = "user/hosp/list";
    public final static String MDS_GET_DEPARTMENTS = "user/hosp/listdepts";
    public final static String MDS_SEARCH_HOSPITALS = "user/hosp/search";
    public final static String MDS_SEARCH_DEPARTMENTS = "user/hosp/searchdepts";
    public final static String MDS_GET_FANTYPE = "user/hosp/listfantypes";
    //      public final static String MDS_GET_USETINFO = "user/app/getuserinfo";//获取用户配置信息
    public final static String MDS_GET_USETINFO = "user/app/getsubordinate";//获取用户配置信息
    public final static String MDS_GET_SCHOOL_LIST = "user/all/school"; //获取学校信息
    public final static String MDS_GET_APPUSERINFO = "user/app/getuserinfo"; //获取个人信息
    public final static String MDS_GET_FILE_ID = "device/uploadbefore"; //获取视频占位
    public final static String MDS_GET_UPLOAD_VIDEO_INFO = "device/getvideoinfo"; //获取视频上传信息
    public final static String MDS_GET_LIVE_STATUS = "device/getlivestatus"; //获取直播状态

    public final static String MDS_ADD_REMOTE_VIDEO = "remotevedio/addone"; //添加远程视频设备
    public final static String MDS_DEL_REMOTE_VIDEO = "remotevedio/delete"; //删除远程视频设备
    public final static String MDS_GET_REMOTE_VIDEO = "remotevedio/list"; //获取远程视频设备列表

    //********公共模块***********
    public final static String MDS_GET_RE_OFFACC = "offacc/listrecoms";
    public final static String MDS_GET_FO_OFFACC = "offacc/listfocusarticles";
    public final static String MDS_GET_OFFACC_DETAIL = "offacc/info";
    public final static String MDS_GET_ART_OFFACC = "offacc/listoffaccarticles";
    public final static String MDS_FOCUS_OFFACC = "offacc/focus";
    public final static String MDS_PRAISE_OFFACC = "offacc/praise";
    public final static String MDS_GET_ART_INFO = "offacc/articlesummaryinfo";
    public final static String MDS_GET_VIDEO_INFO = "offacc/contentinfo";
    public final static String MDS_GET_SUB_OFFACC = "offacc/listsuboffaccs";
    public final static String MDS_GET_QR_CODE = "group/updateqrcode";
    public final static String MDS_GET_QR_CODESTEARM = "group/qrcodestream";
    public final static String MDS_UPDATE_QR_CODESTEARM = "group/qrcodestream";
    public final static String MDS_UPDATE_QR_CODE = "group/updateqrcode";
    public final static String MDS_GET_GROUP_NOTICE = "group/noticeinfo";
    public final static String MDS_GET_DETAIL_ARTICLE = "getArticleInfo";

    public final static String MDS_GET_PLAY_LIST = "offacc/playhist"; //获取观看记录列表
    public final static String MDS_GET_DOWNLOAD_LIST = "module/downloadlist"; //获取子模块下下载列表
    public final static String MDS_GET_LINK_LIST = "module/linklist"; //获取子模块下快链列表

    public final static String MDS_HOME_lIST = "appGetHomeList";
    public final static String MDS_SHARE_LINK_URL = "appGetHomeList";
    public final static String MDS_BIND_GROUPCSL = "group/bindcsl";
    public final static String MDS_GET_GROUPCSL = "group/cslinfo";
    public final static String MDS_UNBIND_GROUPCSL = "group/unbindcsl";

    //********极会议用户接口*********
    public final static String JHY_LOGIN = "user/app/login";
    public final static String JHY_SEARCH_URSER = "user/app/search";
    public final static String JHY_UPDATE = "user/app/update";
    public final static String JHY_MCURL = "appJIGetMCUrl";

    //********企业通讯录接口*********
    public final static String JEC_SET_CONTACT_INFO = "device/setcontact";
    public final static String JEC_GET_ORGI_INFO = "device/getorginfo";
    public final static String JEC_GET_ENTERPRISE_STRUCTURE = "group/listallnot";
    public final static String JEC_GET_ENTERPRISE_CONTACT = "contact/listallstructurenot";
    public final static String JEC_SEARCH_MOBILE = "user/searchmobile";

    public final static String JEC_GET_ENTERPRISE_CONTACT_BY_GZIP = "gzip/contact/listallstructurenot";
    public final static String JEC_GET_ENTERPRISE_STRUCTURE_BY_GZIP = "gzip/group/listallnot";
    public final static String JEC_SET_OUTER_ORGI_INFO = "externalgroup/setgroupinfo";
    public final static String JEC_GET_OUTER_ENTERPRISE_STRUCTURE = "externalgroup/listallnot";
    public final static String JEC_GET_OUTER_ENTERPRISE_STRUCTURE_BY_GZIP = "gzip/externalgroup/listallnot";
    public final static String JEC_GET_MEETING_LIST = "meeting/list";
    public final static String JEC_GET_MEETING_GROUP_LIST = "meeting/grouplist";

    public final static String JEC_ADD_PERSONAL_CONTACT = "personal/addcontact";
    public final static String JEC_DEL_PERSONAL_CONTACT = "personal/delcontact";
    public final static String JEC_GET_PERSONAL_CONTACT = "personal/contactlist";

    public final static String JEC_SET_ACCOUNT = "user/setaccount";

    public final static String APP_TYPE_ZG = "ZGHY";
    public final static String APP_TYPE_HVS = "HVS";
    public final static String APP_TYPE_JIHY = "JIHY";

    //***********医联体路径*********
    //**************************求诊接诊相关**********************************
    public final static String HPU_CREATE_DT = "hpu/seek/create";   //联合诊疗创建
    public final static String HPU_GET_CERCARD = "hpu/seek/listcards"; //获取证件类型列表
    public final static String HPU_GET_SCHED_BYDATE = "hpu/seek/listschedulsbydate";//获取某科室某日排班信息
    public final static String HPU_GET_SCHED_BYWEEK = "hpu/seek/listchedulsbyweek";//获取某科室周排班信息
    public final static String HPU_UPDATE_PATIENT = "hpu/seek/updatepatient";  //更新患者信息
    public final static String HPU_GET_MYREQUEST_CSL = "hpu/seek/listselfseeks"; //获取我的求诊列表
    public final static String HPU_GET_ALL_DT = "hpu/seek/listallselfbydate"; //获取某日我的所有诊疗列表
    public final static String HPU_CANEL_CSL = "hpu/seek/cancel"; //取消诊疗
    public final static String HPU_GET_RESPONSEDT_BYWEEK = "hpu/csl/listbydate"; //获取本科室某日的接诊列表
    public final static String HPU_GET_SELFCSLS = "hpu/csl/listselfcsls";  //获取我的接诊列表
    public final static String HPU_GET_CSLINFO = "hpu/csl/info";  //获取诊疗室详情
    public final static String HPU_ACCEPT_CSL = "hpu/csl/accept"; //接收诊疗
    public final static String HPU_STOP_CSL = "hpu/csl/stop"; //结束诊疗
    public final static String HPU_SUBMIT_DTOP = "hpu/csl/submitadvice"; //提交诊疗意见
    public final static String HPU_CSL_REVIEW = "hpu/csl/review"; //接诊者评价
    public final static String HPU_SEEK_REVIEW = "hpu/seek/review"; //求诊者评价
    public final static String HPU_TF_GETDEPS = "hpu/transfer/listdepts"; //获取转诊科室
    public final static String HPU_TF_GETSCHEDS = "hpu/transfer/listschedulsbydate"; //获取科室某日转诊列表
    public final static String HPU_TF_CREATE = "hpu/transfer/create"; //创建转诊
    public final static String HPU_TF_GETPDF = "hpu/transfer/downloadpdf";//获取pdf地址
    public final static String HPU_TF_GETMINE = "hpu/transfer/list"; //获取我的转诊列表
    public final static String HPU_TF_GETDETAIL = "hpu/transfer/info"; //获取转诊详情
    public final static String HPU_TF_CREATE_SUBSCRIBE = "hpu/transfer/appointment"; //创建预约会诊
    public final static String HPU_TF_RECREATE_SUBSCRIBE = "hpu/transfer/reappointment"; //重新提交创建预约会诊
    public final static String HPU_GET_SCHEDULORGS = "hpu/schedul/listorgs"; //获取有排班权限的机构列表
    public final static String HPU_GET_MODULE_LIST = "hpu/module/list"; //获取医联体模块配置信息
    public final static String HPU_GET_LIST_SCHEDUL = "hpu/csl/listscheduldate"; //获取未来30天内 已经排班的日期
    public final static String HPU_GET_CSL_PDFURL = "hpu//csl/downloadpdf";  //获取会诊单PDF下载地址
    //*****************共享通讯录***********************

    public final static String HPU_GET_LISTDTS = "hpu/share/listdts"; //获取通讯录医联体列表
    public final static String HPU_GET_ALLDTCONTACT = "hpu/share/list";  //获取所有医联体通讯录
    public final static String HPU_SEARCH_DTCONTACT_INFO = "hpu/share/contactinfo";//获取联系人详情

    //*****************即时会诊***********************
    public final static String HPU_CREATE_INSTANT = "hpu/instant/create"; //创建即时会诊
    public final static String HPU_GET_DEPTDOCTORLIST = "hpu/instant/deptdoctorlist"; //获取科室下医生列表
    public final static String HPU_GET_INSTANT_LIST = "hpu/instant/list";//获取即时会诊列表
    public final static String HPU_GET_INSTANT_LISTDATE = "hpu/instant/listdate"; //获取即时会诊接诊日期列表

    //***************主页相关接口*******************

    public final static String HPU_GET_HOMELIST = "hpu/main/allmainpageinfo"; //获取医联体主页信息
    public final static String HPU_GET_ORGLIST = "hpu/org/list"; // 获取医联体机构列表
    public final static String HPU_GET_LISTDEPTS = "hpu/schedul/listdepts"; //获取机构下的科室列表

    public final static String HPU_TRIAGE_CREATE = "hpu/triage/create"; //创建分诊申请
    public final static String HPU_TRIAGE_INFO = "hpu/triage/info";//查询诊疗详情 分诊
    public final static String HPU_TRIAGE_LIST = "hpu/triage/listselftriages";//获取我的疑难病例分诊列表
    public final static String HPU_TRIAGE_SUBMITESTIMATE = "hpu/triage/submitEstimate"; //分诊提交评价
    public final static String HPU_TRIAGE_QUERY_ESTIMATE = "hpu/triage/queryadvicestatus";//查询评价结果
    public final static String HPU_JOIN_BY_QR = "hpu/union/qrjoin"; //通过二维码加入医联体
    public final static String HPU_GET_TRIAGE_LISTDATE = "hpu/triage/listscheduldate"; //获取分诊接诊排班日期列表
    public final static String HPU_CREATE_MUL = "hpu/triage/createmul"; //创建分诊(跨医院)
    public final static String HPU_GET_DOCTOR_LIST = "hpu/triage/doctorlist"; //获取科室的医生列表

    //专培需求相关接口签名
    public final static String SPT_STUDENT_DETAIL = "student/getIndexForStudent";//获取学员主页信息
    public final static String SPT_STUDENT_DETAIL_PROCESS = "student/getStudyInfo";//获取学员学习进度详情
    public final static String SPT_DISEASE_LIST = "student/getDiseases";//获取病种列表
    public final static String SPT_NOTIFICATION_LIST = "student/getNoticeInfo";//获取通知列表
    public final static String SPT_GET_LOGTEMPLATE = "student/getLogTemplate";//获取日志模板
    public final static String SPT_TEACHER_AUDIT_LIST = "teacher/getAllAuditNum"; //获取老师全部学科已审核数量
    public final static String SPT_STUDENT_PROCESSS_ALLSUBJECT = "student/getScheduleOfAllSubject";//查看学员所有学科下的学习进度
    public final static String SPT_ALL_SUBJECT_LIST = "student/getSubjectByInstitute";//获取协会下所有学科列表
    public final static String SPT_NOTIFICATION_DETAIL = "student/getNoticeDetail"; //获取通知详情
    public final static String SPT_DEPARTS_LIST = "student/getDeptsByBase";//获取基地下轮转科室列表
    public final static String SPT_SUBMIT_LOG = "student/submitLog";//提交日志
    public final static String SPT_GET_CLONOCAL_LIST = "student/getCilnicals"; //获取临床操作列表
    //     public final static String SPT_GET_CLINICAL_LOGLIST = "student/getClinicalLog";//获取临床操作日志列表
//     public final static String SPT_GET_DISEASE_LOGLIST = "student/getDiseaseLog"; //获取病种日志列表
    public final static String SPT_GET_OTHER_LOGLIST = "student/getOtherLog"; //获取其他日志列表
    public final static String SPT_GET_CLINICAL_LOGLIST = "student/getLogsNumOfClinical";//获取临床操作日志列表
    public final static String SPT_GET_DISEASE_LOGLIST = "student/getLogsNumOfDisease"; //获取病种日志列表
    public final static String SPT_LOG_DETAIL = "student/getLogDetail";// 获取日志详情
    public final static String SPT_GET_WAITTING_LIST = "teacher/getMyTasks"; //获取待审核列表
    //     public final static String SPT_AUDIT_GET_CLINICALLIST = "teacher/getLogsOfClinical"; //获取已审核日志列表
//     public final static String SPT_AUDIT_GET_DISEASELIST = "teacher/getLogsOfDisease"; //获取已审核病种记录列表
//     public final static String SPT_AUDIT_GET_OTHERLIST = "teacher/getLogsOfOther"; //获取已审核其他任务列表
//     public final static String SPT_AUDIT_GET_TEMPLATE = "teacher/getLogTemplate"; //获取日志的待审核模板
    public final static String SPT_AUDIT_GET_CLINICALLIST = "teacher/getAuditedLogsOfClinical"; //获取已审核临床日志列表
    public final static String SPT_AUDIT_GET_DISEASELIST = "teacher/getAuditedLogsOfDisease"; //获取已审核病种记录列表
    public final static String SPT_AUDIT_GET_OTHERLIST = "teacher/getAuditedLogsOfOther"; //获取已审核其他任务列表
    public final static String SPT_AUDIT_GET_TEMPLATE = "teacher/getAuditContentTemplate"; //获取日志的待审核模板
    public final static String SPT_AUDIT_GET_TEMPLATES = "teacher/batchGetAuditContentTemplate";//获取批量审核模板
    public final static String SPT_SUBMIT_AUDIT = "teacher/submitAudit"; //提交审核结果
    public final static String SPT_SUBMIT_BATCH_AUDIT = "teacher/batchSubmitAudit"; //提交批量 审核结果
    public final static String SPT_GET_TEACHER_DETAIL = "teacher/getIndexForTeacher"; //获取老师详情
    public final static String SPT_GET_OTHER_PROCESS = "student/getOtherSchedual"; //获取其他任务完成进度
    public final static String SPT_GET_OTHER_AUDIT_PROCESS = "teacher/getOtherAuditNum"; //获取老师已审核进度
    public final static String SPT_GET_ANY_PROCESS = "teacher/getRateOfSubject"; //获取某一学科下学习进度
    public final static String SPT_GET_BASE_CONTACTS = "other/getMailList"; //获取专培基地通讯录
    public final static String SPT_GET_BASE_LIST = "student/getBase";//获取基地列表
    public final static String SPT_GET_USER_INFO = "other/getStudentInfo"; //获取用户信息
    public final static String SPT_GET_SR_LIST = "student/getResearchType"; //获取科研列表
    public final static String SPT_GET_OUTDEPART_LIST = "student/getOutDepts"; //获取出科科室列表
    public final static String SPT_GET_STUDY_PEROID = "student/getStudyPeriod";//获取学习周期
    public final static String SPT_GET_STANDAR_LIST = "student/getStandardLog";//获取日志规范列表

    //LSS服务接口签名
    public final static String LSS_PLAYER_REPORT = "p";//播放心跳接口

    //盒端管理
    public final static String ClientManager_FaultReport = "clientManager/faultReporting"; //故障汇报

    //第三方接口签名
    public static String GET_OTHER_CONTACT = ""; //获取第三方通讯录

    //********北京电力鉴权服务*********
    public final static String JAS_GET_USER_INFO = "user/info";
    public final static String JAS_OUTER_SUBMIT_INFO = "user/submit";
    public final static String JAS_FACE_AUTH = "user/faceauth";
    public final static String JAS_INTER_USER_INVITE = "user/invite";
    public final static String JAS_INTER_USER_EXAMINE = "user/examine";
    public final static String JAS_SEARCH_USER_INFO = "user/searchmobile";
    public final static String JAS_GET_INVITE_LIST = "user/invitelist";

    //********OLS离线资源服务*********
    public final static String OLS_GET_PACKAGEINFO = "product/getpakageinfo";


    //********验证码服务*********
    public final static String CAPTCHA_GET_CAPTCHA = "client/getcaptcha"; // 获取验证码
    public final static String CAPTCHA_CHECK_CAPTCHA = "client/checkcaptcha"; // 校验验证码

    public static String CER_FILE_NAME = ""; // CER文件名
    public static Context APP_CONTEXT = null; //全局context

    public static String getGetOtherContact() {
        return GET_OTHER_CONTACT;
    }

    //设置接口签名
    public static void setGetOtherContact(String getOtherContact) {
        GET_OTHER_CONTACT = getOtherContact;
    }

    //设置第三方通讯录接口地址
    public static void setOtherContactURL(String otherContactURL) {
        OtherContact_URL = otherContactURL;
    }

    public static String getFaceCompareURL() {
        return FaceCompare_URL;
    }

    public static void setFaceCompareURL(String faceCompareURL) {
        FaceCompare_URL = faceCompareURL;
    }

    public static String getClientManagerURL() {
//        return getClientManagerUrlPrefix();
        return ClientManager_URL;
    }

    public static void setClientManagerURL(String clientManagerURL) {
        ClientManager_URL = clientManagerURL;
    }

    public static String getAPP_TYPE() {
        return APP_TYPE;
    }

    public static void setAPP_TYPE(String aPP_TYPE) {
        APP_TYPE = aPP_TYPE;
    }

    public static void setFriend_Url(String friend_Url) {
        Friend_Url = friend_Url;
    }

    public static String getFriend_Url() {
        return Friend_Url;
    }

    public static boolean getNeedtoaddAppkey() {
        return isNeedtoaddAppkey;
    }

    public static void setNeedtoaddAppkey(boolean isNeedtoaddAppkey) {
        ConstConfig.isNeedtoaddAppkey = isNeedtoaddAppkey;
    }

    public static String getAppkey() {
        return appkey;
    }

    public static void setAppkey(String appkey) {
        ConstConfig.appkey = appkey;
        setNeedtoaddAppkey(true);
    }

    public static void setMasterServerurl(String masterServerurl) {
        Master_ServerUrl = masterServerurl;
    }

    public static void setSlaveServerurl(String slaveServerurl) {
        Slave_ServerUrl = slaveServerurl;
    }

    public static void setNpsUrl(String npsUrl) {
        NPS_URL = npsUrl;
    }

    public static void setSlaveNpsUrl(String slaveNpsUrl) {
        SLAVE_NPS_URL = slaveNpsUrl;
    }

    public static void setMdsUrl(String mdsUrl) {
        MDS_URL = mdsUrl;
    }

    public static void setSlaveMdsUrl(String slaveMdsUrl) {
        Slave_MDS_URL = slaveMdsUrl;
    }

    public static String getMdsJettyUrl() {
        return MDS_JETTY_URL;
    }

    public static void setMdsJettyUrl(String mdsJettyUrl) {
        MDS_JETTY_URL = mdsJettyUrl;
    }

    public static void setMeetingUrl(String meetingUrl) {
        Meeting_Url = meetingUrl;
    }

    public static void setSlaveMeetingUrl(String slaveMeetingUrl) {
        Slave_Meeting_Url = slaveMeetingUrl;
    }

    public static void setFavoriteUrl(String favoriteUrl) {
        Favorite_URL = favoriteUrl;
    }

    public static void setCdnUrl(String cdnUrl) {
        CDN_Url = cdnUrl;
    }

    public static String getMasterServerurl() {
        return Master_ServerUrl;
    }

    public static String getSlaveServerurl() {
        return Slave_ServerUrl;
    }

    public static String getNPS_URL() {
        return NPS_URL;
    }

    public static String getSLAVE_NPS_URL() {
        return SLAVE_NPS_URL;
    }

    public static String getMdsUrl() {
        return MDS_URL;
    }

    public static String getSlaveMdsUrl() {
        return Slave_MDS_URL;
    }

    public static String getMeetingUrl() {
        return Meeting_Url;
    }

    public static String getSlaveMeetingUrl() {
        return Slave_Meeting_Url;
    }

    public static String getFavoriteUrl() {
        return Favorite_URL;
    }

    public static String getCdnUrl() {
        return CDN_Url;
    }

    public static String getMedicalCenterUrl() {
        return getMedicalCenterUrlPrefix();
    }

    public static String getSptCenterUrl() {
        return getSptCenterUrlPrefix();
    }

    public static String getLssUrl() {
        return getLssUrlPrefix();
    }

    public static String getJecUrl() {
        return getJecUrlPrefix();
    }

    public static String getJecSlaveUrl() {
        return getJecSlaveUrlPrefix();
    }

    public static String getJasUrl() {
        return getJasUrlPrefix();
    }

    public static String getOlsUrl() {
        return getOlsUrlPrefix();
    }

    public static String getOtherContactUrl() {
        return getOtherContactUrlPrefix();
    }

    public static String getMedicalJettyUrl() {
        return getMedicalJettyUrlPrefix();
    }

    public static String getGroupManagerUrl() {
        return getGroupManagerPrefix();
    }

    public static String getFriendMangerUrl() {
        return getFriendManagerPrefix();
    }

    public static String getCaptchaMasterUrl() {
        return getCapcthaMasterUrlPrefix();
    }

    public static String getCaptchaSlaveUrl() {
        return getCapcthaSlaveUrlPrefix();
    }

    private static String getMedicalCenterUrlPrefix() {
        if (MDS_URL != null
                && !MDS_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !MDS_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            MDS_URL = HTTP_SCHEMA + MDS_URL;
        }
        if (MDS_URL != null && !MDS_URL.endsWith("/")) {
            MDS_URL = MDS_URL + "/";
        }
        return MDS_URL;
    }

    private static String getSptCenterUrlPrefix() {
        if (SPT_URL != null
                && !SPT_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !SPT_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            SPT_URL = HTTP_SCHEMA + SPT_URL;
        }
        if (SPT_URL != null && !SPT_URL.endsWith("/")) {
            SPT_URL = SPT_URL + "/";
        }
        return SPT_URL;
    }

    private static String getLssUrlPrefix() {
        if (LSS_URL != null
                && !LSS_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !LSS_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            LSS_URL = HTTP_SCHEMA + LSS_URL;
        }
        if (LSS_URL != null && !LSS_URL.endsWith("/")) {
            LSS_URL = LSS_URL + "/";
        }
        return LSS_URL;
    }

    private static String getJecUrlPrefix() {
        if (JEC_URL != null
                && !JEC_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !JEC_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            JEC_URL = HTTP_SCHEMA + JEC_URL;
        }
        if (JEC_URL != null && !JEC_URL.endsWith("/")) {
            JEC_URL = JEC_URL + "/";
        }
        return JEC_URL;
    }

    private static String getJecSlaveUrlPrefix() {
        if (JEC_SLAVE_URL != null
                && !JEC_SLAVE_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !JEC_SLAVE_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            JEC_SLAVE_URL = HTTP_SCHEMA + JEC_SLAVE_URL;
        }
        if (JEC_SLAVE_URL != null && !JEC_SLAVE_URL.endsWith("/")) {
            JEC_SLAVE_URL = JEC_SLAVE_URL + "/";
        }
        return JEC_SLAVE_URL;
    }

    private static String getJasUrlPrefix() {
        if (JAS_URL != null
                && !JAS_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !JAS_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            JAS_URL = HTTP_SCHEMA + JAS_URL;
        }
        if (JAS_URL != null && !JAS_URL.endsWith("/")) {
            JAS_URL = JAS_URL + "/";
        }
        return JAS_URL;
    }

    private static String getOlsUrlPrefix() {
        if (OLS_URL != null
                && !OLS_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !OLS_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            OLS_URL = HTTP_SCHEMA + OLS_URL;
        }
        if (OLS_URL != null && !OLS_URL.endsWith("/")) {
            OLS_URL = OLS_URL + "/";
        }
        return OLS_URL;
    }

    private static String getCapcthaMasterUrlPrefix() {
        if (Capctha_Master_URL != null
                && !Capctha_Master_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !Capctha_Master_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            Capctha_Master_URL = HTTP_SCHEMA + Capctha_Master_URL;
        }
        if (Capctha_Master_URL != null && !Capctha_Master_URL.endsWith("/")) {
            Capctha_Master_URL = Capctha_Master_URL + "/";
        }
        return Capctha_Master_URL;
    }

    private static String getCapcthaSlaveUrlPrefix() {
        if (Capctha_Slave_URL != null
                && !Capctha_Slave_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !Capctha_Slave_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            Capctha_Slave_URL = HTTP_SCHEMA + Capctha_Slave_URL;
        }
        if (Capctha_Slave_URL != null && !Capctha_Slave_URL.endsWith("/")) {
            Capctha_Slave_URL = Capctha_Slave_URL + "/";
        }
        return Capctha_Slave_URL;
    }

    private static String getOtherContactUrlPrefix() {
        if (OtherContact_URL != null
                && !OtherContact_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !OtherContact_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            OtherContact_URL = HTTP_SCHEMA + OtherContact_URL;
        }
        if (OtherContact_URL != null && !OtherContact_URL.endsWith("/")) {
            OtherContact_URL = OtherContact_URL + "/";
        }
        return OtherContact_URL;
    }

    private static String getClientManagerUrlPrefix() {
        if (ClientManager_URL != null
                && !ClientManager_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !ClientManager_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            ClientManager_URL = HTTP_SCHEMA + ClientManager_URL;
        }
        if (ClientManager_URL != null && !ClientManager_URL.endsWith("/")) {
            ClientManager_URL = ClientManager_URL + "/";
        }
        return ClientManager_URL;
    }

    private static String getMedicalJettyUrlPrefix() {
        if (MDS_JETTY_URL != null
                && !MDS_JETTY_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !MDS_JETTY_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            MDS_JETTY_URL = HTTP_SCHEMA + MDS_JETTY_URL;
        }
        if (MDS_JETTY_URL != null && !MDS_JETTY_URL.endsWith("/")) {
            MDS_JETTY_URL = MDS_JETTY_URL + "/";
        }
        return MDS_JETTY_URL;
    }

    private static String getFavoriteCenterUrlPrefix() {
        if (Favorite_URL != null
                && !Favorite_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !Favorite_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            Favorite_URL = HTTP_SCHEMA + Favorite_URL;
        }
        if (Favorite_URL != null && !Favorite_URL.endsWith("/")) {
            Favorite_URL = Favorite_URL + "/";
        }
        return Favorite_URL;
    }

    private static String getGroupManagerPrefix() {
        if (groupManagerWebDomain != null
                && !groupManagerWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !groupManagerWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            groupManagerWebDomain = HTTP_SCHEMA + groupManagerWebDomain;
        }
        if (groupManagerWebDomain != null && !groupManagerWebDomain.endsWith("/")) {
            groupManagerWebDomain = groupManagerWebDomain + "/";
        }
        return groupManagerWebDomain;
    }

    private static String getFriendManagerPrefix() {
        if (Friend_Url != null
                && !Friend_Url.toLowerCase().contains(HTTP_SCHEMA)
                && !Friend_Url.toLowerCase().contains(HTTPS_SCHEMA)) {
            Friend_Url = HTTP_SCHEMA + Friend_Url;
        }
        if (Friend_Url != null && !Friend_Url.endsWith("/")) {
            Friend_Url = Friend_Url + "/";
        }
        return Friend_Url;

    }

    public static String getFavoriteItemUrl() {
        //	return getFavoriteCenterUrlPrefix()+FavoriteAddItemSuffix;
        return getFavoriteCenterUrlPrefix();
    }


    public static String getCdnTokenUrl() {
        return getCdnUrlPrefix() + CdngetTokenSuffix;
    }

    public static String getCdnConfigUrl() {
        return getCdnUrlPrefix() + CdngetConfigSuffix;
    }

    public static String getCdnVideoUrl() {
        return getCdnVideoImageUrl() + CdngetVideoSuffix;
    }

    private static String getCdnVideoImageUrl() {
        if (CDN_VIDEO_URL != null
                && !CDN_VIDEO_URL.toLowerCase().contains(HTTP_SCHEMA)
                && !CDN_VIDEO_URL.toLowerCase().contains(HTTPS_SCHEMA)) {
            CDN_VIDEO_URL = HTTP_SCHEMA + CDN_VIDEO_URL;
        }
        if (CDN_VIDEO_URL != null && !CDN_VIDEO_URL.endsWith("/")) {
            CDN_VIDEO_URL = CDN_VIDEO_URL + "/";
        }
        return CDN_VIDEO_URL;
    }

    private static String getCdnUrlPrefix() {
        if (CDN_Url != null
                && !CDN_Url.toLowerCase().contains(HTTP_SCHEMA)
                && !CDN_Url.toLowerCase().contains(HTTPS_SCHEMA)) {
            CDN_Url = HTTP_SCHEMA + CDN_Url;
        }
        if (CDN_Url != null && !CDN_Url.endsWith("/")) {
            CDN_Url = CDN_Url + "/";
        }
        return CDN_Url;
    }

    public ConstConfig() {

    }

    public static String getSearchAccount() {
        return getSearchAccountUrl();
    }

    // ����ͨѶ¼�ϴ���ϵ��
    public static String getUploadContactsData() {
        return getUploadContactsDataUrl();
    }

    private static String getUploadContactsDataUrl() {
        //    return getContactsDataHttpUrlPrefix() + "BaikuContactsYL/contactService";
        return getContactsDataHttpUrlPrefix();
    }

    // ����ͨѶ¼������ϵ��
    public static String getDownloadContactsData() {
        return getDownloadContactsDataUrl();
    }

    private static String getDownloadContactsDataUrl() {
        //    return getContactsDataHttpUrlPrefix() + "BaikuContactsYL/contactService";
        return getContactsDataHttpUrlPrefix();
    }

    // ��ӵ�
    public static String getResetPassword() {
        return getResetPasswordUrl();
    }

    // ��ӵ�
    private static String getResetPasswordUrl() {
        //    return getUserUserCenterHttpUrlPrefix()
        //        + "BaikuUserCenterV2/passportService";
        return getUserUserCenterHttpUrlPrefix()
                + "passportService";
    }

    // ��ӵ�
    public static String getSendCodeForResetPwd() {
        return getSendCodeForResetPwdUrl();
    }

    // ��ӵ�
    private static String getSendCodeForResetPwdUrl() {
        //    return getUserUserCenterHttpUrlPrefix()
        //        + "BaikuUserCenterV2/passportService";
        return getUserUserCenterHttpUrlPrefix()
                + "passportService";
    }

    // ��ӵ�
    public static String getChangePassword() {
        return getChangePasswordUrl();
    }

    // ��ӵ�
    private static String getChangePasswordUrl() {
        //    return getUserUserCenterHttpUrlPrefix()
        //        + "BaikuUserCenterV2/passportService";
        return getUserUserCenterHttpUrlPrefix()
                + "passportService";
    }

    // ��ӵ�
    public static String getSearchAccountByMobile() {
        return getSearchAccountByMobileUrl();
    }

    // ��ӵ�
    private static String getSearchAccountByMobileUrl() {
        return getEnterpriseUserCenterHttpUrlPrefix()
                + "EnterpriseUserCenter/eucService";
    }

    // ��ӵ�
    public static String getSetAccountAttr() {
        return getSetAccountAttrUrl();
    }

    public static String getUserCenterSetAccountAttr() {
        //    return getUserUserCenterHttpUrlPrefix() + "BaikuUserCenterV2/passportService";
        return getUserUserCenterHttpUrlPrefix()
                + "passportService";
    }

    // ��ӵ�
    private static String getSetAccountAttrUrl() {
        return getEnterpriseUserCenterHttpUrlPrefix()
                + "EnterpriseUserCenter/eucService";
    }

    // ��ӵ�
    public static String getReSendActivateCode() {
        return getReSendActivateCodeUrl();
    }

    // ��ӵ�
    private static String getReSendActivateCodeUrl() {
        //    return getUserUserCenterHttpUrlPrefix()
        //        + "BaikuUserCenterV2/passportService";
        return getUserUserCenterHttpUrlPrefix()
                + "passportService";
    }

    public static String getAcquireAccountInfo() {
        return getAcquireAccountInfoUrl();
    }

    public static String getLogin4Mobile() {
        return getLogin4MobileUrl();
    }

    public static String getActivateAccount() {
        return getActivateAccountUrl();
    }

    public static String getRegisterAccount() {
        return getRegisterAccountUrl();
    }

    public static String getGetNubeNumberList() {
        return getGetNubeNumberListUrl();
    }

    public static String getVerifyMeetingNoUrl() {
        return getMeetingManageUrl();
    }

    public static String getMeetingInfomationUrl() {
        return getMeetingManageUrl();
    }

    public static String getAttendMeetingName() {
        return getAttendMeetingNameUrl();
    }

    public static String getAuthUrl() {
        return getMeetingManageUrl();
    }

    public static final String getBindTokenUrl() {
        return getMeetingManageUrl();
    }

    public static final String getGetTerminalInfoUrl() {
        return getMeetingManageUrl();
    }

    public static String getmodifyAccountInfoUrl() {
        return getMeetingManageUrl();
    }

    public static String getmodifyMeetingInvitersUrl() {
        return getMeetingManageUrl();
    }

    public static String getQueryMeetingListNowUrl() {
        return getMeetingManageUrl();
    }

    public static String getRefillTokenUrl() {
        return getMeetingManageUrl();
    }

    public static final String getBindOnAccountUrl() {
        return getMeetingManageUrl();
    }

    public static final String getGetAccountInfoUrl() {
        return getMeetingManageUrl();
    }

    public static final String getCreateMeetingUrl() {
        return getMeetingManageUrl();
    }

    public static String getPlayUrl() {
        return getMeetingPlayUrl();
    }

    public static final String getEditMeetingUrl() {
        return getMeetingManageUrl();
    }

    public static final String getGetMeetingsUrl() {
        return getMeetingManageUrl();
    }

    public static final String getSlaveGetMeetingsUrl() {
        return getSlaveMeetingManageUrl();
    }

    public static final String getGetTimeNowUrl() {
        return getMeetingManageUrl();
    }

    public static final String getSuggestionUrl() {
        return getMeetingManageUrl();
    }

    public static final String getClientReportInfo() {
        return getMeetingManageUrl();
    }

    public static String getVerifyTokenUrl() {

        return getAuthorizeUrlPrefix() + "passportService";
    }

    public static String getSlaveVerifyTokenUrl() {

        return getSlaveAuthorizeUrlPrefix() + "passportService";
    }

    public static String getVerifyTokenUrlPrefix() {
        if (personalUserCenterWebDomain != null
                && !personalUserCenterWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !personalUserCenterWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            personalUserCenterWebDomain = HTTP_SCHEMA + personalUserCenterWebDomain;
        }
        if (personalUserCenterWebDomain != null
                && !personalUserCenterWebDomain.endsWith("/")) {
            personalUserCenterWebDomain = personalUserCenterWebDomain + "/";
        }
        return personalUserCenterWebDomain;
    }

    public static String getAuthorizeUrl() {
        //    return getAuthorizeUrlPrefix() + "BaikuUserCenterV2/auth";
        String authUrl = getAuthorizeUrlPrefix();
        if (authUrl.contains("|")) {
            int index = authUrl.indexOf("|");
            String filePath = authUrl.substring(index + 1, authUrl.length() - 1);
            String url = authUrl.substring(0, index);

            return url + "/auth" + "|" + filePath;
        } else {
            return authUrl + "auth";
        }
    }

    public static String getSlaveAuthorizeUrl() {
        //    return getAuthorizeUrlPrefix() + "BaikuUserCenterV2/auth";
        String authUrl = getSlaveAuthorizeUrlPrefix();
        if (authUrl.contains("|")) {
            int index = authUrl.indexOf("|");
            String filePath = authUrl.substring(index + 1, authUrl.length() - 1);
            String url = authUrl.substring(0, index);

            return url + "/auth" + "|" + filePath;
        } else {
            return authUrl + "auth";
        }
    }

    public static String getAuthorizeUrlPrefix() {

        if (personalUserCenterWebDomain != null
                && !personalUserCenterWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !personalUserCenterWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            personalUserCenterWebDomain = HTTP_SCHEMA + personalUserCenterWebDomain;
        }
        CustomLog.d(ConstConfig.class.getName(), "personanlUserCenterWebDomain = " + personalUserCenterWebDomain);

        if (personalUserCenterWebDomain != null
                && !personalUserCenterWebDomain.endsWith("/")) {
            personalUserCenterWebDomain = personalUserCenterWebDomain + "/";
        }
        return personalUserCenterWebDomain;
    }

    public static String getSlaveAuthorizeUrlPrefix() {

        if (slavePersonalUserCenterWebDomain != null
                && !slavePersonalUserCenterWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !slavePersonalUserCenterWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            slavePersonalUserCenterWebDomain = HTTP_SCHEMA + slavePersonalUserCenterWebDomain;
        }
        CustomLog.d(ConstConfig.class.getName(), "slavePersonalUserCenterWebDomain  = " + slavePersonalUserCenterWebDomain);

        if (slavePersonalUserCenterWebDomain != null
                && !slavePersonalUserCenterWebDomain.endsWith("/")) {
            slavePersonalUserCenterWebDomain = slavePersonalUserCenterWebDomain + "/";
        }
        return slavePersonalUserCenterWebDomain;
    }

    public static final String getNpsUrl() {
        if (npsWebDomain != null
                && !npsWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !npsWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            npsWebDomain = HTTP_SCHEMA + npsWebDomain;
        }
        if (npsWebDomain != null && !npsWebDomain.endsWith("/")) {
            npsWebDomain = npsWebDomain + "/";
        }
        return npsWebDomain;
    }

    public static final String getSlaveNpsUrl() {
        if (slaveNpsWebDomain != null
                && !slaveNpsWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !slaveNpsWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            slaveNpsWebDomain = HTTP_SCHEMA + slaveNpsWebDomain;
        }
        if (slaveNpsWebDomain != null && !slaveNpsWebDomain.endsWith("/")) {
            slaveNpsWebDomain = slaveNpsWebDomain + "/";
        }
        return slaveNpsWebDomain;
    }

    public static final String getROMVersionCheckUrl() {
        if (null != romUpdateServerWebDomain
                && !romUpdateServerWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !romUpdateServerWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            romUpdateServerWebDomain = HTTP_SCHEMA + romUpdateServerWebDomain;
        }
        return romUpdateServerWebDomain;
    }

    /**
     * @return 返回应用升级主服务器IP
     */
    public static final String getAppUpdateUrlPrefix() {
        if (masterAppUpdateServerWebDomain != null
                && !masterAppUpdateServerWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !masterAppUpdateServerWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            masterAppUpdateServerWebDomain = HTTP_SCHEMA
                    + masterAppUpdateServerWebDomain;
        }
        if (masterAppUpdateServerWebDomain != null
                && !masterAppUpdateServerWebDomain.endsWith("/")) {
            masterAppUpdateServerWebDomain = masterAppUpdateServerWebDomain + "/";
        }
        return masterAppUpdateServerWebDomain;
    }

    /**
     * @return 返回应用升级从服务器IP
     */
    public static final String getSlaveAppUpdateUrlPrefix() {
        if (slaveAppUpdateServerWebDomain != null
                && !slaveAppUpdateServerWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !slaveAppUpdateServerWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            slaveAppUpdateServerWebDomain = HTTP_SCHEMA
                    + slaveAppUpdateServerWebDomain;
        }
        if (slaveAppUpdateServerWebDomain != null
                && !slaveAppUpdateServerWebDomain.endsWith("/")) {
            slaveAppUpdateServerWebDomain = slaveAppUpdateServerWebDomain + "/";
        }
        return slaveAppUpdateServerWebDomain;
    }

    public static final String getAppUpdateUrl() {
        if (masterAppUpdateServerWebDomain != null
                && !masterAppUpdateServerWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !masterAppUpdateServerWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            masterAppUpdateServerWebDomain = HTTP_SCHEMA
                    + masterAppUpdateServerWebDomain;
        }
        if (masterAppUpdateServerWebDomain != null
                && !masterAppUpdateServerWebDomain.endsWith("/")) {
            masterAppUpdateServerWebDomain = masterAppUpdateServerWebDomain + "/";
        }
        return masterAppUpdateServerWebDomain + upgradeServiceSuffix;
    }

    public static final String getSlaveAppUpdateUrl() {
        if (slaveAppUpdateServerWebDomain != null
                && !slaveAppUpdateServerWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !slaveAppUpdateServerWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            slaveAppUpdateServerWebDomain = HTTP_SCHEMA
                    + slaveAppUpdateServerWebDomain;
        }
        if (slaveAppUpdateServerWebDomain != null
                && !slaveAppUpdateServerWebDomain.endsWith("/")) {
            slaveAppUpdateServerWebDomain = slaveAppUpdateServerWebDomain + "/";
        }
        return slaveAppUpdateServerWebDomain + upgradeServiceSuffix;
    }

    private static String getMeetingManageUrl() {
        return getMeetingManagementHttpUrlPrefix() + bmsWebDomainSuffix;
    }

    private static String getSlaveMeetingManageUrl() {
        return getSlaveMeetingManagementHttpUrlPrefix() + bmsWebDomainSuffix;
    }

    private static String getMeetingPlayUrl() {
        return getMeetingPlayPrefix() + playSuffix;
    }

    private static String getEnterpriseSlaveUserCenterHttpUrlPrefix() {
        if (slaveEnterPriseUserCenterWebDomain != null
                && !slaveEnterPriseUserCenterWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !slaveEnterPriseUserCenterWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            slaveEnterPriseUserCenterWebDomain = HTTP_SCHEMA
                    + slaveEnterPriseUserCenterWebDomain;
        }
        if (slaveEnterPriseUserCenterWebDomain != null
                && !slaveEnterPriseUserCenterWebDomain.endsWith("/")) {
            slaveEnterPriseUserCenterWebDomain = slaveEnterPriseUserCenterWebDomain + "/";
        }
        return slaveEnterPriseUserCenterWebDomain;
    }

    private static String getEnterpriseUserCenterHttpUrlPrefix() {
        if (enterPriseUserCenterWebDomain != null
                && !enterPriseUserCenterWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !enterPriseUserCenterWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            enterPriseUserCenterWebDomain = HTTP_SCHEMA
                    + enterPriseUserCenterWebDomain;
        }
        if (enterPriseUserCenterWebDomain != null
                && !enterPriseUserCenterWebDomain.endsWith("/")) {
            enterPriseUserCenterWebDomain = enterPriseUserCenterWebDomain + "/";
        }
        return enterPriseUserCenterWebDomain;
    }

    private static String getContactsDataHttpUrlPrefix() {
        if (personalContactWebDomain != null
                && !personalContactWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !personalContactWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            personalContactWebDomain = HTTP_SCHEMA + personalContactWebDomain;
        }
        //    if (personalContactWebDomain != null
        //        && !personalContactWebDomain.endsWith("/")) {
        //      personalContactWebDomain = personalContactWebDomain + "/";
        //    }
        return personalContactWebDomain;
    }

    private static String getUserUserCenterHttpUrlPrefix() {
        if (personalUserCenterWebDomain != null
                && !personalUserCenterWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !personalUserCenterWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            personalUserCenterWebDomain = HTTP_SCHEMA + personalUserCenterWebDomain;
        }
        if (personalUserCenterWebDomain != null
                && !personalUserCenterWebDomain.endsWith("/")) {
            personalUserCenterWebDomain = personalUserCenterWebDomain + "/";
        }
        return personalUserCenterWebDomain;
    }

    private static String getSearchAccountUrl() {
        return getEnterpriseUserCenterHttpUrlPrefix()
                + "EnterpriseUserCenter/eucService";
    }

    private static String getAttendMeetingNameUrl() {
        return getEnterpriseUserCenterHttpUrlPrefix()
                + "EnterpriseUserCenter/eucService";
    }

    public static String getAcquireAccountInfoUrl() {
        return getEnterpriseUserCenterHttpUrlPrefix()
                + "EnterpriseUserCenter/eucService";
    }

    public static String getAcquireAccountInfoSlaveUrl() {
        return getEnterpriseSlaveUserCenterHttpUrlPrefix() + "EnterpriseUserCenter/eucService";
    }

    private static String getActivateAccountUrl() {
        //    return getUserUserCenterHttpUrlPrefix()
        //        + "BaikuUserCenterV2/passportService";
        return getUserUserCenterHttpUrlPrefix()
                + "passportService";
    }

    private static String getLogin4MobileUrl() {
        return getEnterpriseUserCenterHttpUrlPrefix()
                + "EnterpriseUserCenter/eucService";
    }

    private static String getRegisterAccountUrl() {
        //    return getUserUserCenterHttpUrlPrefix()
        //        + "BaikuUserCenterV2/passportService";
        return getUserUserCenterHttpUrlPrefix()
                + "passportService";
    }

    private static String getGetNubeNumberListUrl() {
        //    return getUserUserCenterHttpUrlPrefix()
        //        + "BaikuUserCenterV2/passportService";
        return getUserUserCenterHttpUrlPrefix()
                + "passportService";
    }

    public static String getMeetingManagementHttpUrlPrefix() {
        if (masterBmsWebDomain != null
                && !masterBmsWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !masterBmsWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            masterBmsWebDomain = HTTP_SCHEMA + masterBmsWebDomain;
        }
        if (masterBmsWebDomain != null && !masterBmsWebDomain.endsWith("/")) {
            masterBmsWebDomain = masterBmsWebDomain + "/";
        }
        return masterBmsWebDomain;
    }

    public static String getMeetingPlayPrefix() {
        if (PlayDomain != null
                && !PlayDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !PlayDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            PlayDomain = HTTP_SCHEMA + PlayDomain;
        }
        if (PlayDomain != null && !PlayDomain.endsWith("/")) {
            PlayDomain = PlayDomain + "/";
        }
        return PlayDomain;
    }

    public static String getSlaveMeetingManagementHttpUrlPrefix() {
        if (slaveBmsWebDomain != null
                && !slaveBmsWebDomain.toLowerCase().contains(HTTP_SCHEMA)
                && !slaveBmsWebDomain.toLowerCase().contains(HTTPS_SCHEMA)) {
            slaveBmsWebDomain = HTTP_SCHEMA + slaveBmsWebDomain;
        }
        if (slaveBmsWebDomain != null && !slaveBmsWebDomain.endsWith("/")) {
            slaveBmsWebDomain = slaveBmsWebDomain + "/";
        }
        return slaveBmsWebDomain;
    }

    public static final String getCheckHasMeetingPwdUrl() {
        return getMeetingManageUrl();
    }

    public static final String getSlaveCheckHasMeetingPwdUrl() {
        return getSlaveMeetingManageUrl();
    }

    public static final String getResetMeetingPwdUrl() {
        return getMeetingManageUrl();
    }

    public static final String getSlaveResetMeetingPwdUrl() {
        return getSlaveMeetingManageUrl();
    }

    public static final String getGetMeetingPwdUrl() {
        return getMeetingManageUrl();
    }

    public static final String getSlaveGetMeetingPwdUrl() {
        return getSlaveMeetingManageUrl();
    }

    public static String getAccount(String str1, String str2) {
        return str1 + "|" + str2;
    }


    public static Map<String, String> mCerFileMap = new HashMap<>();

    public static void setCerFilePath(String hostUrl, String cerFilePath) {
        if (hostUrl != null && hostUrl.length() > 0
                && cerFilePath != null && cerFilePath.length() > 0) {
            CustomLog.d("ConstConfig", "set mCerFileMap hostUrl=" + hostUrl +
                    " cerFilePath=" + cerFilePath);
            mCerFileMap.put(hostUrl, cerFilePath);
        }
    }

    public static String getCerFile(String hostUrl) {
        if (mCerFileMap != null && mCerFileMap.size() > 0) {
            Iterator<Map.Entry<String, String>> it = mCerFileMap.entrySet().iterator();
            while (it.hasNext()) {
                Map.Entry<String, String> entry = it.next();
                if (hostUrl.toLowerCase().contains(entry.getKey().toLowerCase())) {
                    return entry.getValue();
                }
            }
            return "";
        } else {
            return "";
        }
    }
}