package cn.redcdn.datacenter.enterprisecenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.meetingmanage.MeetingManageParser;
import cn.redcdn.log.CustomLog;

public class EnterpriseCenterParser extends MeetingManageParser {
  @Override
  public void parse(String content) {
    try {
      JSONObject joContent = new JSONObject(content);
      rc = joContent.getInt("status");
      rd = joContent.getString("message");
      body = joContent;
    } catch (JSONException e) {

      rc = -1;
      rd = "数据异常,请重试!";

    }
  }
}
