package cn.redcdn.datacenter.hpucenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;

public class HPUCanelCsl extends MDSAbstractBusinessData<JSONObject>{

	private String TAG = HPUCanelCsl.class.getName();
	
	/**
	 *取消诊疗
	 * @param token
	 * @param id
	 */
   public void canel(String token,String id){
		
		JSONObject json = new JSONObject();
		try {
			
			json.put("token", token);
			json.put("id", id);
			
		} catch (JSONException e) {
			// TODO: handle exception
		}
		
		exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.HPU_CANEL_CSL, json.toString());
		
	}
	
	protected JSONObject parseContentBody(JSONObject jo){
		return jo;
	}
	
	
	 protected Parser getParser(){return new HpuParser();}
	
	
}
