package cn.redcdn.datacenter.hpucenter;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.List;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;

/**
 * Created by caizx on 2018/4/9.
 */

public class HPUListscheduldate extends MDSAbstractBusinessData<JSONArray> {

    /**
     *
     * @param token
     * @param month 自然月 例如201804 六位
     */
    public  void getListscheduldate(String token,String month,String dtId){
        JSONObject jsonObject = new JSONObject();
        try{
            jsonObject.put("token",token);
            jsonObject.put("dtId",dtId);
            jsonObject.put("month",month);

        }catch (JSONException e){

        }
        exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.HPU_GET_LIST_SCHEDUL,jsonObject.toString());
    }
    protected JSONArray parseContentBody(JSONObject jo){
        JSONArray mArray = jo.optJSONArray("data");
        return mArray;
    }


    protected Parser getParser(){return new HpuParser();}

}
