package cn.redcdn.datacenter.hpucenter;

import java.net.URLEncoder;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;

public class HPUReview extends MDSAbstractBusinessData<JSONObject> {
	
	
	/**
	 * 求诊者评价
	 * @param token
	 * @param id
	 * @param score
	 * @param review
	 */
	
	public void seekreview(String token,String id,String score,String review){
		
		 JSONObject json = new JSONObject();
		 String encodeReview = URLEncoder.encode(review);
			try {
				
				json.put("token", token);
				json.put("id", id);
				json.put("score", score);
				json.put("review", encodeReview);
				
			} catch (JSONException e) {
				// TODO: handle exception
			}
			
			exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.HPU_SEEK_REVIEW,json.toString());
		
	}
	
	/**
	 * 接诊者评价
	 * @param token
	 * @param id
	 * @param score
	 * @param review
	 */
	
	public void cslreview(String token,String id,String score,String review){
         JSONObject json = new JSONObject();
		String encodeReview = URLEncoder.encode(review);
		try {
			
			json.put("token", token);
			json.put("id", id);
			json.put("score", score);
			json.put("review", encodeReview);
			
		} catch (JSONException e) {
			// TODO: handle exception
		}
		
		exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.HPU_CSL_REVIEW,json.toString());
		
	}
	
	protected JSONObject parseContentBody(JSONObject jo){
		return jo;
	}
	
	
	 protected Parser getParser(){return new HpuParser();}
	

}
