package cn.redcdn.datacenter.hpucenter.data;

import java.util.ArrayList;
import java.util.List;

public class ContactInfo {

	public String dtId; //医联体id
	public String dtName; //医联体名称
	public String nube;  //视讯号
	public String nickName; //用户昵称
	public String headThumUrl; //头像
	public String workUnit; //公司/医院
	public String department; //科室
	
	public String uid; //用户id
	public String mobile; // 手机
	public String mail; //邮箱
	public int workUnitType; //公司类型
	public String officeTel; //科室电话
	public String professional; // 职位
	public List<DTInfo> dts; //所属医联体列表
	public long updateTime; //更新时间
	
	public ContactInfo(){
		
		dtId = "";
		dtName = "";
		nube = "";
		nickName = "";
		headThumUrl = "";
		workUnit = "";
		department = "";
		uid = "";
		mobile = "";
		mail = "";
		workUnitType = 0;
		officeTel = "";
		professional = "";
		dts = new ArrayList<DTInfo>();
		updateTime = 0;
		
	}
	
	public ContactInfo(ContactInfo info){
		
		this.dtId = info.dtId;
		this.dtName = info.dtName;
		this.nube = info.nube;
		this.nickName = info.nickName;
		this.headThumUrl = info.headThumUrl;
		this.workUnit = info.workUnit;
		this.department = info.department;
		this.uid = info.uid;
		this.mobile = info.mobile;
		this.mail = info.mail;
		this.workUnitType = info.workUnitType;
		this.officeTel = info.officeTel;
		this.professional = info.professional;
		this.dts = info.dts;
		this.updateTime = info.updateTime;
		
	}

	
	public long getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(long updateTime) {
		this.updateTime = updateTime;
	}

	public String getDtId() {
		return dtId;
	}

	public void setDtId(String dtId) {
		this.dtId = dtId;
	}

	public String getDtName() {
		return dtName;
	}

	public void setDtName(String dtName) {
		this.dtName = dtName;
	}

	public String getNube() {
		return nube;
	}

	public void setNube(String nube) {
		this.nube = nube;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public String getHeadThumUrl() {
		return headThumUrl;
	}

	public void setHeadThumUrl(String headThumUrl) {
		this.headThumUrl = headThumUrl;
	}

	public String getWorkUnit() {
		return workUnit;
	}

	public void setWorkUnit(String workUnit) {
		this.workUnit = workUnit;
	}

	public String getDepartment() {
		return department;
	}

	public void setDepartment(String department) {
		this.department = department;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getMail() {
		return mail;
	}

	public void setMail(String mail) {
		this.mail = mail;
	}

	public int getWorkUnitType() {
		return workUnitType;
	}

	public void setWorkUnitType(int workUnitType) {
		this.workUnitType = workUnitType;
	}

	public String getOfficeTel() {
		return officeTel;
	}

	public void setOfficeTel(String officeTel) {
		this.officeTel = officeTel;
	}

	public String getProfessional() {
		return professional;
	}

	public void setProfessional(String professional) {
		this.professional = professional;
	}

	public List<DTInfo> getDts() {
		return dts;
	}

	public void setDts(List<DTInfo> dts) {
		this.dts = dts;
	}
	
	
	
}
