package cn.redcdn.datacenter.hpucenter.data;

import org.json.JSONObject;

import java.util.ArrayList;
import java.util.List;

public class DTInfo {

	public String id; //医联体id
	public String name; //医联体名称
	public String logoUrl; //医联体logo
	public String mainLogoUrl;//主页logo地址
	public String qrCodeUrl;//医联体二维码地址
	public String intOffId;//介绍相关咨询号
	public String infoOffId;//资讯相关公众号
	public String intrOffName; //介绍关联公众号名称
	public String infoOffName; //资讯关联公众号名称
	public List<ModuleInfo> moduleList; //模块管理

	
	public DTInfo(){
		
		id = "";
		name = "";
		logoUrl = "";
		mainLogoUrl = "";
		qrCodeUrl = "";
		intOffId = "";
		infoOffId = "";
		infoOffName = "";
		intrOffName = "";
		moduleList = new ArrayList<>();

	}
	
	public DTInfo(DTInfo info){
		
		this.id = info.id;
		this.name = info.name;
		this.logoUrl = info.logoUrl;
		this.qrCodeUrl = info.qrCodeUrl;
		this.infoOffId = info.infoOffId;
		this.intOffId = info.intOffId;
		this.mainLogoUrl = info.mainLogoUrl;
		this.moduleList = info.moduleList;
		this.infoOffName = info.infoOffName;
		this.intrOffName = info.intrOffName;
		
	}

	public String getIntrOffName() {
		return intrOffName;
	}

	public void setIntrOffName(String intrOffName) {
		this.intrOffName = intrOffName;
	}

	public String getInfoOffName() {
		return infoOffName;
	}

	public void setInfoOffName(String infoOffName) {
		this.infoOffName = infoOffName;
	}

	public String getMainLogoUrl() {
		return mainLogoUrl;
	}

	public void setMainLogoUrl(String mainLogoUrl) {
		this.mainLogoUrl = mainLogoUrl;
	}

	public String getQrCodeUrl() {
		return qrCodeUrl;
	}

	public void setQrCodeUrl(String qrCodeUrl) {
		this.qrCodeUrl = qrCodeUrl;
	}

	public String getIntOffId() {
		return intOffId;
	}

	public void setIntOffId(String intOffId) {
		this.intOffId = intOffId;
	}

	public String getInfoOffId() {
		return infoOffId;
	}

	public void setInfoOffId(String infoOffId) {
		this.infoOffId = infoOffId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<ModuleInfo> getModuleList() {
		return moduleList;
	}

	public String getLogoUrl() {
		return logoUrl;
	}

	public void setLogoUrl(String logoUrl) {
		this.logoUrl = logoUrl;
	}

	public void setModuleList(List<ModuleInfo> moduleList) {
		this.moduleList = moduleList;
	}
}
