package cn.redcdn.datacenter.hpucenter.data;

public class HPUCommonCode {

	/** 诊疗状态 */
    public static final int SEEK_STATE_NOW = 1;// 接诊中
    public static final int SEEK_STATE_NOT = 2;// 待接诊
    public static final int SEEK_STATE_END = 3;// 结束
    public static final int SEEK_STATE_TRIAGE = 4; //待分诊
    public static final int SEEK_STATE_REDUSED = 5;//被拒绝
    
    /** 是否可以操作 */
    public static final String UNABLE_OPERATER = "1"; //不可操作
    public static final String ABLE_OPERATER = "2"; //可操作
    
    /** 是否从属医联体 */
    public static final int NOEXIT_HPULISTS = 1; //账号无关联医联体
    public static final int ISEXIT_HPULISTS = 2; //账号有关联医联体
    
    /** 是否就诊 */
    public static final String TF_READY = "1"; //未就诊 审核通过
    public static final String TF_ARLEADY = "2"; //已就诊
    public static final String TF_IS_VERIFING = "3"; //审核中
    public static final String TF_NOT_PASS = "4"; //未通过
    
    /** 时间段标识 */
    public static final String RANGE_MORING = "1"; //上午
    public static final String RANGE_AFTERNOON = "2"; //下午
    
    /** 转诊科室类别*/
    public static final String TF_DEP_NORMAL = "1"; //普通门诊
    public static final String TF_DEP_BETTER = "2"; //副高门诊
    public static final String TF_DEP_PROFESSION = "3"; //专家门诊
    public static final String TF_DEP_TX = "4"; //特需门诊
    public static final String TF_DEP_ZK = "5"; //专科门诊


    /**诊疗结论*/
    
    public static final String LOCAL_REVIEW = "1"; //本地评论
    public static final String TF_REVIEW = "2"; //转诊评论

    /** 是否发送短信 */
    public static final int SENDSMS_FLAG_NO = 1; //不发送短信通知患者
    public static final int  SENDSMS_FLAG_YES = 2; //发送短信通知患者

    /**
     * 是否所有人已经会诊建议
     */
    public static final int SUBMIT_ADVICE_ALL = 3; //没有会诊房提交建议
    public static final int SUMIT_ADVICE_PART = 2; //有会诊房没有提交诊疗建议
    public static final int SUMIT_ADVICE_NONE = 1; //全部没提交


    /**
     * 会诊类型
     */
    public static final String TYPE_CSL = "1"; //普通会诊
    public static final String TYPE_TRIAGE = "2"; //疑难分诊
    public static final String TYPE_INSTANT = "3"; //即时会诊
    /*

       时间段分类
     */
    public static final int RANGE_TYPE_ONE = 1; //09:00~10:00
    public static final int RANGE_TYPE_TWO = 2; //10:00~11:00
    public static final int RANGE_TYPE_THREE = 3; //13:30~14:30
    public static final int RANGE_TYPE_FOUR = 4; //14:30~15:30

}
