package cn.redcdn.datacenter.hpucenter.data;

public class HPUErrorCode {

	/**
	 * 状态码说明
	 */
	
	public static final int HPU_NOT_EXIT_ID   = -908; //诊疗号不存在
	
	public static final int HPU_NOT_EXIT_DEP    = -909; // 科室ID不存在
	
	public static final int HPU_NOT_WAIT_STATUS   = -910; // 诊疗号状态不是待接诊
	
	public static final int HPU_NOT_NOW_STATUS   = -911; //诊疗号状态不是接诊中
	
	public static final int HPU_NOT_SELF_CSL    = -912; //诊疗号不属于自己接诊
	
	public static final int HPU_NOT_SELF_SEEK  = -913; //诊疗号不是自己求诊
	
	public static final int HPU_HTTP_EMPTY = -914; //HTTP请求返回值空
	
	public static final int HPU_APONITNUM_OVER = -915; //预约号己满,无法预约
	
	public static final int HPU_NOTIN_SCHEDULING  = -916; //不在排班医生中
	
	public static final int HPU_DATE_FORMAT_ERROR   = -917; //日期FORMAT错误:{0}
	
	public static final int HPU_DTID_NOT_ALL      = -918; //机构Id不能是全部机构
	
	public static final int HPU_NUBE_NOT_EXIT = -919; //nube号不存在
	
	public static final int  HPU_PARAM_IS_EMPTY = -920; //排班ID或科室ID、排班日期、时间段标识为空
	
	public static final int HPU_NO_SCHED_DCTOR   = -921; //没有排班医生
	
	public static final int HPU_DEP_HAS_SHCHED= -922; //科室、排班日期、时间段已排班
	
	public static final int HPU_LESS_APOINTNUM  = -923; //放号不能小于预约数
	
	public static final int HPU_SHCEDID_NOT_EXIT     = -924; //排班ID不存在

	public static final int HPU_DTSTAUS_NOT_END    = -925; //诊疗单ID状态不是结束

	public static final int HPU_DT_HAS_ACCEPTED     = -926; //诊疗单ID已接诊

	public static final int HPU_DTID_NOT_EXIST    = -927; //转诊单号不存在:{0}

	public static final int HPU_PASSWORD_ERROR     = -928; //密码不正确

	public static final int HPU_DTID_HAS_TF    = -929; //诊疗号已转诊

	public static final int HPU_REQUEST_OUT_ERROR   = -930; //外部请求返回异常错误码

	public static final int HPU_PARAMS_IS_EMPTY    = -931; //参数列表为空:{0}

	public static final int HPU_AC_PW_ERROR     = -932; //排班ID不存在

	public static final int HPU_TFSHCEDID_NOT_EXIT     = -933; //转诊排班ID不存在

	public static final int HPU_DOCTOR_NOT_SHCED     = -934; //医生不在当前排班中

	public static final int HPU_CSL_SELF     = -935; //自己求诊不能自己接诊

	public static final int HPU_CDN_UPLOAD_ERROR    = -936; //CDN文件上传失败

	public static final int HPU_SHCEDID_HAS_APPOINT    = -937; //排班己被预约

	public static final int HPU_TF_NOTSUPPORT_OVERSUB    = -942; //转诊不支持重新提交预约

	public static final int HPU_TFSHCEDID_NOTEXIST    = -943; //转诊排班不存在

	public static final int HPU_TFSTAUS_NOT_WAITING  = -944; //转诊状态不是待就诊

	public static final int HPU_PASSWORD_TWICE_ERROR    = -945; //两次密码不一致

	public static final int HPU_MESSAGE_SEND_FAILED   = -946; //短信发送失败

	public static final int HPU_SHCEDID_OUT_DATE   = -947; //排班已过期

	public static final int HPU_JOIN_DT_NOT_ALLOW  = -949; //医联体未开通二维码加入医联体权限

	public static final int HPU_ALERAY_EXIST_IN_DT  = -951; //已经加入该医联体

    public static final int HPU_DT_NOT_EXIST = -950;//医联体不存在








}