package cn.redcdn.datacenter.hpucenter.data;

public class TFInfo {
 
	//转诊信息
	public String id; //转诊单号
	public String patientName; //患者姓名
	public String state; //转诊状态
	public String transferHosp; //转诊医院
	public String transferDept; //转诊科室
	public String expertName;   //转诊医生姓名
	public String transferSchedulDate; //转诊日期YYYYMMDD
	public String transferRangeFlg; //时间段标识
	public String confirmDate; //转诊确认日期 精确秒
	public String sectionType; //门诊类型
	public String auditState; //审核状态
	public String reason; //审核未通过原因
	public String printTransferUrl; //打印转诊详情地址
	public String requestName; //转出医生
	public String requestHospital; //转出医院
	public String requestDept; //转出科室
	//2018-4-11 增加参数 门诊名称
	public String sectionName;



	public String getRequestName() {
		return requestName;
	}

	public void setRequestName(String requestName) {
		this.requestName = requestName;
	}

	public String getRequestHospital() {
		return requestHospital;
	}

	public void setRequestHospital(String requestHospital) {
		this.requestHospital = requestHospital;
	}

	public String getRequestDept() {
		return requestDept;
	}

	public void setRequestDept(String requestDept) {
		this.requestDept = requestDept;
	}

	public TFInfo(){
		
		id = "";
		patientName = "";
		state = "";
		transferHosp = "";
		transferDept = "";
		expertName = "";
		transferSchedulDate = "";
		transferRangeFlg = "";
		confirmDate = "";
		sectionType = "";
		auditState = "";
		reason = "";
		printTransferUrl = "";
		sectionName = "";

	}

	public String getSectionName() {
		return sectionName;
	}

	public void setSectionName(String sectionName) {
		this.sectionName = sectionName;
	}

	public String getPrintTransferUrl() {
		return printTransferUrl;
	}

	public void setPrintTransferUrl(String printTransferUrl) {
		this.printTransferUrl = printTransferUrl;
	}

	public String getAuditState() {
		return auditState;
	}

	public void setAuditState(String auditState) {
		this.auditState = auditState;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getConfirmDate() {
		return confirmDate;
	}



	public void setConfirmDate(String confirmDate) {
		this.confirmDate = confirmDate;
	}



	public String getSectionType() {
		return sectionType;
	}



	public void setSectionType(String sectionType) {
		this.sectionType = sectionType;
	}



	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPatientName() {
		return patientName;
	}

	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getTransferHosp() {
		return transferHosp;
	}

	public void setTransferHosp(String transferHosp) {
		this.transferHosp = transferHosp;
	}

	public String getTransferDept() {
		return transferDept;
	}

	public void setTransferDept(String transferDept) {
		this.transferDept = transferDept;
	}

	public String getExpertName() {
		return expertName;
	}

	public void setExpertName(String expertName) {
		this.expertName = expertName;
	}

	public String getTransferSchedulDate() {
		return transferSchedulDate;
	}

	public void setTransferSchedulDate(String transferSchedulDate) {
		this.transferSchedulDate = transferSchedulDate;
	}

	public String getTransferRangeFlg() {
		return transferRangeFlg;
	}

	public void setTransferRangeFlg(String transferRangeFlg) {
		this.transferRangeFlg = transferRangeFlg;
	}
	
	
	
}
