package cn.redcdn.datacenter.hpucenter.data;

import java.io.Serializable;

public class TFdetailInfo implements Serializable{

	//转诊详细信息
	public String patientId; //患者id
	public String guardId; //监护人id
	public String state; //状态
	public String curNum; //预约号
	public String patientName; // 患者姓名
	public String cardType;  //证件类型
	public String patientCard;  //患者证件号
	public String patientAge;   //患者年龄
	public String patientMobile ; //患者电话
	public String patientSex;   //患者性别
	public String height;    //身高
	public String weight;    //体重
	public String chief;     //主诉
	public String physical;  //查体
	public String assCheckUrl; //辅助检查
	public String problem;   //患者目前待解决问题
	public String guardCard; //监护人身份证号
	public String guardMobile; //监护人手机
	public String guardSex;   //监护人性别
	public String requestNubeNumber; //求诊者视讯号
	public String requestHosp;   //求诊者医院
	public String requestDep;    //求诊者科室
	public String requestName;   //求诊者姓名
	public String responseNubeNumber; //接诊者视讯号
	public String responseHosp;   //接诊者医院
	public String responseDep;    //接诊者科室
	public String responseName;   //接诊者姓名
	public String advice; // 诊疗意见
	public String requestHeadThumUrl; //求诊者头像
	public String responseHeadThumUrl; //接诊者头像
	public String schedulDate; //预约日期
	public String requestProfessional; //求诊者职称
	public String responseProfessional;//接诊者职称
	public String requestScore; //求诊者评分
	public String requestReview; //求诊者评价
	public String responseScore; //接诊者平分
	public String responseReview; //接诊者评价
	public String groupId; //群组id
	public String meetingNo; //会议号
	public String rangeNumber; //时间段
	public String guardName; //监护人姓名
	public String transferState; //转诊状态
	public String transferHosp; //转诊医院
	public String transferDept; //转诊科室
	public String expertName;   //转诊医生姓名
	public String transferSchedulDate; //转诊日期YYYYMMDD
	public String transferRangeFlg; //时间段标识
	public String transferQrCode; //转诊二维码
	public String sectionType; //门诊类型
	public String transferRangeName; //转诊时间类型
	public String confirmDate;//转诊确认时间
	public String printTransferUrl; //打印详情地址
	public String curSystemTime; // 当前系统时间
	public String cardTypeName; //患者证件类型名称
	public String transferFlg; //转诊类型
	public String transferAdvice; //转诊诊疗意见
	public String reason; //审核未通过原因
	public String unionOrgId; //机构id
 	public String deptId;     //科室id
	public String transferSchedulId; //排班id
	public String transferUserId;//转诊排班医生id
	public String dtId;      //医联体id
	public String dtName;//医联体名称
	public int transferType; //转诊类型
    public String appointDate; //转出信息-申请时间 精确到秒
	public String appointName;//转出医生
	public String appointHosp;//转出医院
	public String appointDept; //转出科室
	public String auditDoctor;//审核医生
	public String auditAdvice;//审核建议

	//2018-4-11 新增 门诊名称
	public String sectionName; //门诊名称

	
	public TFdetailInfo(){
		
		patientCard = "";
		patientId = "";
		patientMobile = "";
		guardId = "";
		state = "";
		curNum = "";
		patientName = "";
		cardType = "";
		patientAge = "";
		patientSex = "";
		height = "";
		weight = "";
		chief = "";
		physical = "";
		assCheckUrl = "";
		problem = "";
		guardCard = "";
		guardMobile = "";
		guardSex = "";
		requestName = "";
		requestNubeNumber = "";
		requestHosp = "";
		requestDep = "";
		responseNubeNumber = "";
		responseHosp = "";
		responseDep = "";
		responseName = "";
		advice = "";	
		requestHeadThumUrl = "";
		responseHeadThumUrl = "";
		schedulDate = "";
	    requestProfessional = "";
	    responseProfessional = "";
	    requestScore = "";
	    requestReview = "";
	    responseScore = "";
	    responseReview = "";
	    meetingNo = "";
	    groupId = "";
	    rangeNumber = "";
	    guardName = "";
	    transferState = "";
		transferHosp = "";
		transferDept = "";
		expertName = "";
		transferSchedulDate = "";
		transferRangeFlg = "";
		transferQrCode = "";
		sectionType = "";
		transferRangeName = "";
		confirmDate = "";
		printTransferUrl = "";
		curSystemTime = "";
	    cardTypeName = "";
	    transferRangeFlg = "";
	    transferAdvice = "";
	    reason = "";
	    unionOrgId = "";
	    deptId = "";
	    transferSchedulId = "";
	    dtId = "";
	    dtName = "";
	    appointDate = "";
	    appointDept = "";
	    appointHosp = "";
	    appointName = "";
	    transferType = 0;
	    auditAdvice = "";
	    auditDoctor = "";
		transferUserId = "";
		sectionName = "";
	}

	public String getSectionName() {
		return sectionName;
	}

	public void setSectionName(String sectionName) {
		this.sectionName = sectionName;
	}

	public String getTransferUserId() {
		return transferUserId;
	}

	public void setTransferUserId(String transferUserId) {
		this.transferUserId = transferUserId;
	}

	public String getDtName() {
		return dtName;
	}

	public void setDtName(String dtName) {
		this.dtName = dtName;
	}

	public String getAuditDoctor() {
		return auditDoctor;
	}

	public void setAuditDoctor(String auditDoctor) {
		this.auditDoctor = auditDoctor;
	}

	public String getAuditAdvice() {
		return auditAdvice;
	}

	public void setAuditAdvice(String auditAdvice) {
		this.auditAdvice = auditAdvice;
	}

	public int getTransferType() {
		return transferType;
	}

	public void setTransferType(int transferType) {
		this.transferType = transferType;
	}

	public String getAppointDate() {
		return appointDate;
	}

	public void setAppointDate(String appointDate) {
		this.appointDate = appointDate;
	}

	public String getAppointName() {
		return appointName;
	}

	public void setAppointName(String appointName) {
		this.appointName = appointName;
	}

	public String getAppointHosp() {
		return appointHosp;
	}

	public void setAppointHosp(String appointHosp) {
		this.appointHosp = appointHosp;
	}

	public String getAppointDept() {
		return appointDept;
	}

	public void setAppointDept(String appointDept) {
		this.appointDept = appointDept;
	}

	public String getUnionOrgId() {
		return unionOrgId;
	}

	public void setUnionOrgId(String unionOrgId) {
		this.unionOrgId = unionOrgId;
	}

	public String getDeptId() {
		return deptId;
	}

	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}

	public String getTransferSchedulId() {
		return transferSchedulId;
	}

	public void setTransferSchedulId(String transferSchedulId) {
		this.transferSchedulId = transferSchedulId;
	}

	public String getDtId() {
		return dtId;
	}

	public void setDtId(String dtId) {
		this.dtId = dtId;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}


	public String getTransferAdvice() {
		return transferAdvice;
	}


	public void setTransferAdvice(String transferAdvice) {
		this.transferAdvice = transferAdvice;
	}





	public String getCardTypeName() {
		return cardTypeName;
	}





	public void setCardTypeName(String cardTypeName) {
		this.cardTypeName = cardTypeName;
	}





	public String getTransferFlg() {
		return transferFlg;
	}





	public void setTransferFlg(String transferFlg) {
		this.transferFlg = transferFlg;
	}





	public String getSectionType() {
		return sectionType;
	}



	public void setSectionType(String sectionType) {
		this.sectionType = sectionType;
	}



	public String getTransferRangeName() {
		return transferRangeName;
	}



	public void setTransferRangeName(String transferRangeName) {
		this.transferRangeName = transferRangeName;
	}



	public String getConfirmDate() {
		return confirmDate;
	}



	public void setConfirmDate(String confirmDate) {
		this.confirmDate = confirmDate;
	}



	public String getPrintTransferUrl() {
		return printTransferUrl;
	}



	public void setPrintTransferUrl(String printTransferUrl) {
		this.printTransferUrl = printTransferUrl;
	}



	public String getCurSystemTime() {
		return curSystemTime;
	}



	public void setCurSystemTime(String curSystemTime) {
		this.curSystemTime = curSystemTime;
	}



	public String getTransferQrCode() {
		return transferQrCode;
	}


	public void setTransferQrCode(String transferQrCode) {
		this.transferQrCode = transferQrCode;
	}


	public String getPatientId() {
		return patientId;
	}


	public void setPatientId(String patientId) {
		this.patientId = patientId;
	}


	public String getGuardId() {
		return guardId;
	}


	public void setGuardId(String guardId) {
		this.guardId = guardId;
	}


	public String getState() {
		return state;
	}


	public void setState(String state) {
		this.state = state;
	}


	public String getCurNum() {
		return curNum;
	}


	public void setCurNum(String curNum) {
		this.curNum = curNum;
	}


	public String getPatientName() {
		return patientName;
	}


	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}


	public String getCardType() {
		return cardType;
	}


	public void setCardType(String cardType) {
		this.cardType = cardType;
	}


	public String getPatientCard() {
		return patientCard;
	}


	public void setPatientCard(String patientCard) {
		this.patientCard = patientCard;
	}


	public String getPatientAge() {
		return patientAge;
	}


	public void setPatientAge(String patientAge) {
		this.patientAge = patientAge;
	}


	public String getPatientMobile() {
		return patientMobile;
	}


	public void setPatientMobile(String patientMobile) {
		this.patientMobile = patientMobile;
	}


	public String getPatientSex() {
		return patientSex;
	}


	public void setPatientSex(String patientSex) {
		this.patientSex = patientSex;
	}


	public String getHeight() {
		return height;
	}


	public void setHeight(String height) {
		this.height = height;
	}


	public String getWeight() {
		return weight;
	}


	public void setWeight(String weight) {
		this.weight = weight;
	}


	public String getChief() {
		return chief;
	}


	public void setChief(String chief) {
		this.chief = chief;
	}


	public String getPhysical() {
		return physical;
	}


	public void setPhysical(String physical) {
		this.physical = physical;
	}


	public String getAssCheckUrl() {
		return assCheckUrl;
	}


	public void setAssCheckUrl(String assCheckUrl) {
		this.assCheckUrl = assCheckUrl;
	}


	public String getProblem() {
		return problem;
	}


	public void setProblem(String problem) {
		this.problem = problem;
	}


	public String getGuardCard() {
		return guardCard;
	}


	public void setGuardCard(String guardCard) {
		this.guardCard = guardCard;
	}


	public String getGuardMobile() {
		return guardMobile;
	}


	public void setGuardMobile(String guardMobile) {
		this.guardMobile = guardMobile;
	}


	public String getGuardSex() {
		return guardSex;
	}


	public void setGuardSex(String guardSex) {
		this.guardSex = guardSex;
	}


	public String getRequestNubeNumber() {
		return requestNubeNumber;
	}


	public void setRequestNubeNumber(String requestNubeNumber) {
		this.requestNubeNumber = requestNubeNumber;
	}


	public String getRequestHosp() {
		return requestHosp;
	}


	public void setRequestHosp(String requestHosp) {
		this.requestHosp = requestHosp;
	}


	public String getRequestDep() {
		return requestDep;
	}


	public void setRequestDep(String requestDep) {
		this.requestDep = requestDep;
	}


	public String getRequestName() {
		return requestName;
	}


	public void setRequestName(String requestName) {
		this.requestName = requestName;
	}


	public String getResponseNubeNumber() {
		return responseNubeNumber;
	}


	public void setResponseNubeNumber(String responseNubeNumber) {
		this.responseNubeNumber = responseNubeNumber;
	}


	public String getResponseHosp() {
		return responseHosp;
	}


	public void setResponseHosp(String responseHosp) {
		this.responseHosp = responseHosp;
	}


	public String getResponseDep() {
		return responseDep;
	}


	public void setResponseDep(String responseDep) {
		this.responseDep = responseDep;
	}


	public String getResponseName() {
		return responseName;
	}


	public void setResponseName(String responseName) {
		this.responseName = responseName;
	}


	public String getAdvice() {
		return advice;
	}


	public void setAdvice(String advice) {
		this.advice = advice;
	}


	public String getRequestHeadThumUrl() {
		return requestHeadThumUrl;
	}


	public void setRequestHeadThumUrl(String requestHeadThumUrl) {
		this.requestHeadThumUrl = requestHeadThumUrl;
	}


	public String getResponseHeadThumUrl() {
		return responseHeadThumUrl;
	}


	public void setResponseHeadThumUrl(String responseHeadThumUrl) {
		this.responseHeadThumUrl = responseHeadThumUrl;
	}


	public String getSchedulDate() {
		return schedulDate;
	}


	public void setSchedulDate(String schedulDate) {
		this.schedulDate = schedulDate;
	}


	public String getRequestProfessional() {
		return requestProfessional;
	}


	public void setRequestProfessional(String requestProfessional) {
		this.requestProfessional = requestProfessional;
	}


	public String getResponseProfessional() {
		return responseProfessional;
	}


	public void setResponseProfessional(String responseProfessional) {
		this.responseProfessional = responseProfessional;
	}


	public String getRequestScore() {
		return requestScore;
	}


	public void setRequestScore(String requestScore) {
		this.requestScore = requestScore;
	}


	public String getRequestReview() {
		return requestReview;
	}


	public void setRequestReview(String requestReview) {
		this.requestReview = requestReview;
	}


	public String getResponseScore() {
		return responseScore;
	}


	public void setResponseScore(String responseScore) {
		this.responseScore = responseScore;
	}


	public String getResponseReview() {
		return responseReview;
	}


	public void setResponseReview(String responseReview) {
		this.responseReview = responseReview;
	}


	public String getGroupId() {
		return groupId;
	}


	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}


	public String getMeetingNo() {
		return meetingNo;
	}


	public void setMeetingNo(String meetingNo) {
		this.meetingNo = meetingNo;
	}


	public String getRangeNumber() {
		return rangeNumber;
	}


	public void setRangeNumber(String rangeNumber) {
		this.rangeNumber = rangeNumber;
	}


	public String getGuardName() {
		return guardName;
	}


	public void setGuardName(String guardName) {
		this.guardName = guardName;
	}


	public String getTransferState() {
		return transferState;
	}


	public void setTransferState(String transferState) {
		this.transferState = transferState;
	}


	public String getTransferHosp() {
		return transferHosp;
	}


	public void setTransferHosp(String transferHosp) {
		this.transferHosp = transferHosp;
	}


	public String getTransferDept() {
		return transferDept;
	}


	public void setTransferDept(String transferDept) {
		this.transferDept = transferDept;
	}


	public String getExpertName() {
		return expertName;
	}


	public void setExpertName(String expertName) {
		this.expertName = expertName;
	}


	public String getTransferSchedulDate() {
		return transferSchedulDate;
	}


	public void setTransferSchedulDate(String transferSchedulDate) {
		this.transferSchedulDate = transferSchedulDate;
	}


	public String getTransferRangeFlg() {
		return transferRangeFlg;
	}


	public void setTransferRangeFlg(String transferRangeFlg) {
		this.transferRangeFlg = transferRangeFlg;
	}
	
	
	
	
}
