package cn.redcdn.datacenter.jhycenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;
import cn.redcdn.datacenter.medicalcenter.data.MDSAccountInfo;

public class JHYappGetUserinfo extends MDSAbstractBusinessData<MDSAccountInfo> {

	public void getuserInfo(String token){
		JSONObject json = new JSONObject();
		try {
			json.put("token",token);
			
		} catch (JSONException e) {
			// TODO: handle exception
		}
		exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.MDS_GET_USERINFO,json.toString());
	}
	
protected MDSAccountInfo parseContentBody (JSONObject jo){
		
		MDSAccountInfo info = new MDSAccountInfo();
	    JSONObject json = jo.optJSONObject("data");
	    if (json!=null) {
			info.token = json.optString("token");
			info.id = json.optString("id");
			info.nube = json.optString("nube");
			info.nickName = json.optString("nickName");
			info.mobile = json.optString("mobile");
			info.mail = json.optString("mail");
			info.userType = json.optInt("userType");
			info.headUrl = json.optString("headUrl");
			info.expiryDate = json.optString("expiryDate");
			info.serviceTime = json.optString("serviceTime");
			info.day = json.optLong("day");
			info.phone = json.optString("phone");
			info.qrCodeUrl = json.optString("qrCodeUrl");
			info.payIntroUrl  = json.optString("payIntroUrl");
			
		}
		return info;	
	}
	
	protected Parser getParser(){
		return new MedicalParser();
	}
	
}
