package cn.redcdn.datacenter.jhycenter;

import org.json.JSONException;
import org.json.JSONObject;


import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;




public class JHYappJIUpdateUser extends MDSAbstractBusinessData<JSONObject> {
  /**
  * 修改用户信息
  * @param token
  * @param nickName
  * @param headUrl 头像地址
  */
	
	public void appJIUpdateUser (String token,String nickName,String headUrl){
		
	   JSONObject json = new JSONObject();
	   
	   try {
		json.put("token",token);
		json.put("nickName", nickName);
		json.put("headUrl", headUrl);
	} catch (JSONException e) {
		// TODO: handle exception
	}
		exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.JHY_UPDATE,json.toString());
		
	}
	
	protected JSONObject parseContentBody(JSONObject jo){ return jo;}	
	protected Parser getParser(){
		
		return new MedicalParser();
		
	}
 	
	
}
