package cn.redcdn.datacenter.jhycenter.data;

public class JHYAccountInfo {

	public String token; //登录鉴权token
	public String id;   //用户id
	public String nube; //视讯号
	public String name; //参会名称
	public String mobile; // 用户手机号
	public String mail; //用户邮箱
	public int userType; //用户类型 1.vip 2.试用 3.普通会员
	public String headUrl; //用户头像
	public String headThumUrl; //头像缩略图
	public String headPreviewUrl; //头像预览图
	public String createTime; //注册时间
	public String registerTime; //登记时间
	public String expiryDate; //服务期有效时间
	public String serviceTime; 
	
	public String uid;             //用户id
	public String nickName;        //昵称
	public String accountType;     //账号类型（1：手机号、2：邮箱号）
	 public String qrCodeUrl;       //二维码url地址
	  public String workUnit;        //公司/医院
	  public String workUnitType;    //单位类型(1：医院、2：公司)
	  public String department;      //科室/部门
	  public String professional;    //职称/职位
	  public String creatTime;       //提交审核资料时间
	  public String officTel;        //科室电话/公司电话
	  public String certificateThum; //认证照片缩略图
	  public String certificatePreview;//认证照片预览图
	  public int state;    //审核状态 (1：待审核、2：审核通过、3：未通过)
	  public String reason;//未通过原因
	  public String stateDes;//审核状态描述
	  public String accessToken;
	  public String remarks; //备注
	  
	  //红云紫光 新增 
	  public String model; //型号 专业
	  public String remarks2; //备注2
	  public String remarks3; //备注3
	
	public JHYAccountInfo() {
     
		token = "";
		id = "";
		nube = "";
		name = "";
		mobile = "";
		mail = "";
		userType = 0;
		headUrl = "";
		headThumUrl = "";
		headPreviewUrl = "";
		createTime = "";
		registerTime = "";
		expiryDate = "";
		serviceTime = "";
		
		uid = "";
		  nickName= "";
		  accountType= "";
		  qrCodeUrl="";
		  workUnit="";
		  workUnitType="";
		  department= "";
		  professional= "";
		  creatTime= "";
		  officTel= "";
		  certificateThum= "";
		  certificatePreview= "";
		  state= 0;
		  reason= "";
		  stateDes = "";//审核状态描述
		  accessToken = "";
		  remarks = "";
		  model = "";
		  remarks2= "";
		  remarks3 = "";
		
	}
	
	public JHYAccountInfo(JHYAccountInfo info){
		
		this.token = info.token;
		this.id = info.id;
		this.nube = info.nube;
		this.mobile = info.mobile;
		this.mail = info.mail;
		this.userType = info.userType;
		this.headUrl = info.headUrl;
		this.headThumUrl = info.headThumUrl;
		this.headPreviewUrl = info.headPreviewUrl;
		this.createTime = info.createTime;
		this.registerTime = info.registerTime;
		this.expiryDate = info.expiryDate;
		this.serviceTime = info.serviceTime;
		
	}

	
	
	public String getServiceTime() {
		return serviceTime;
	}

	public void setServiceTime(String serviceTime) {
		this.serviceTime = serviceTime;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public String getAccountType() {
		return accountType;
	}

	public void setAccountType(String accountType) {
		this.accountType = accountType;
	}

	public String getQrCodeUrl() {
		return qrCodeUrl;
	}

	public void setQrCodeUrl(String qrCodeUrl) {
		this.qrCodeUrl = qrCodeUrl;
	}

	public String getWorkUnit() {
		return workUnit;
	}

	public void setWorkUnit(String workUnit) {
		this.workUnit = workUnit;
	}

	public String getWorkUnitType() {
		return workUnitType;
	}

	public void setWorkUnitType(String workUnitType) {
		this.workUnitType = workUnitType;
	}

	public String getDepartment() {
		return department;
	}

	public void setDepartment(String department) {
		this.department = department;
	}

	public String getProfessional() {
		return professional;
	}

	public void setProfessional(String professional) {
		this.professional = professional;
	}

	public String getCreatTime() {
		return creatTime;
	}

	public void setCreatTime(String creatTime) {
		this.creatTime = creatTime;
	}

	public String getOfficTel() {
		return officTel;
	}

	public void setOfficTel(String officTel) {
		this.officTel = officTel;
	}

	public String getCertificateThum() {
		return certificateThum;
	}

	public void setCertificateThum(String certificateThum) {
		this.certificateThum = certificateThum;
	}

	public String getCertificatePreview() {
		return certificatePreview;
	}

	public void setCertificatePreview(String certificatePreview) {
		this.certificatePreview = certificatePreview;
	}

	public int getState() {
		return state;
	}

	public void setState(int state) {
		this.state = state;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getStateDes() {
		return stateDes;
	}

	public void setStateDes(String stateDes) {
		this.stateDes = stateDes;
	}

	public String getAccessToken() {
		return accessToken;
	}

	public void setAccessToken(String accessToken) {
		this.accessToken = accessToken;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}

	public String getRemarks2() {
		return remarks2;
	}

	public void setRemarks2(String remarks2) {
		this.remarks2 = remarks2;
	}

	public String getRemarks3() {
		return remarks3;
	}

	public void setRemarks3(String remarks3) {
		this.remarks3 = remarks3;
	}

	public String getHeadUrl() {
		return headUrl;
	}

	public void setHeadUrl(String headUrl) {
		this.headUrl = headUrl;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getNube() {
		return nube;
	}

	public void setNube(String nube) {
		this.nube = nube;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getMail() {
		return mail;
	}

	public void setMail(String mail) {
		this.mail = mail;
	}

	public int getUserType() {
		return userType;
	}

	public void setUserType(int userType) {
		this.userType = userType;
	}

	public String getHeadThumUrl() {
		return headThumUrl;
	}

	public void setHeadThumUrl(String headThumUrl) {
		this.headThumUrl = headThumUrl;
	}

	public String getHeadPreviewUrl() {
		return headPreviewUrl;
	}

	public void setHeadPreviewUrl(String headPreviewUrl) {
		this.headPreviewUrl = headPreviewUrl;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getRegisterTime() {
		return registerTime;
	}

	public void setRegisterTime(String registerTime) {
		this.registerTime = registerTime;
	}

	public String getExpiryDate() {
		return expiryDate;
	}

	public void setExpiryDate(String expiryDate) {
		this.expiryDate = expiryDate;
	}
	
	
	
}
