package cn.redcdn.datacenter.logMonitor;


import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;

public abstract class GetUuid extends MDSAbstractBusinessData<String>{

	/*
	 * 获取uuid
	 *@param appkey 应用秘钥 
	 *@param device 设备信息
	 *@param os 设备操作系统信息
	 */
  private String tag = GetUuid.class.getName();
	
 public int getUUid(String appkey,String device,String os) {
	
	 device = java.net.URLEncoder.encode(device);
	 String tmpStr = "appkey="+appkey+"&"+"device="+device+"&"+"os="+os;
	 
	 return exeg("http://175.102.21.35:8189/MedicalLogMonitor/external/"+ConstConfig.LOG_MONITOR_GET_UUID+"?"+tmpStr,"");
	 
}
 public int getUUid(String appkey,String device,String os,String url) {
		
	 device = java.net.URLEncoder.encode(device);
	 String tmpStr = "appkey="+appkey+"&"+"device="+device+"&"+"os="+os;
	 
	 return exeg(url+ConstConfig.LOG_MONITOR_GET_UUID+"?"+tmpStr,"");
	 
}
 
 protected String parseContentBody(JSONObject jo){
		
		return jo.optString("data");
	}
    protected Parser getParser(){return new MedicalParser();}	
}
