package cn.redcdn.datacenter.logMonitor;

import org.json.JSONObject;

import cn.redcdn.datacenter.AbstractBusinessData;
import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;

public abstract class SubmitLog extends AbstractBusinessData<JSONObject> {

    /*
     * 提交出错日志到服务器
     * @param appKey 应用秘钥
     * @param uuid 从服务器获取的uuid
     * @param account 用户视讯号
     * @param message 出错信息
     */
	
	
	private String TAG = SubmitLog.class.getName();
	
	public int submitLog(String appKey,String uuid,String account,String message){
		
		message = java.net.URLEncoder.encode(message);
		String tmpStr = "appkey="+appKey+"&uuid="+uuid+"&account="+account+"&message="+message;
		return exec("http://175.102.21.35:8189/MedicalLogMonitor/external/"+ConstConfig.LOG_MONITOR_SUBMIT_LOG,tmpStr);
//		return exeg("http://175.102.21.35:8189/MedicalLogMonitor/external/"+ConstConfig.LOG_MONITOR_SUBMIT_LOG+tmpStr,"");
	}
    public int submitLog(String appKey,String uuid,String account,String message,String url){
		
		message = java.net.URLEncoder.encode(message);
		String tmpStr = "appkey="+appKey+"&uuid="+uuid+"&account="+account+"&message="+message;
		return exec(url+ConstConfig.LOG_MONITOR_SUBMIT_LOG,tmpStr);
	}
	 protected JSONObject parseContentBody(JSONObject jo){
			JSONObject json = new JSONObject();
			return json.optJSONObject("data");
		}
	 protected Parser getParser(){return new MedicalParser();}
	
}
