package cn.redcdn.datacenter.medicalcenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.data.MDSGroupCslInfo;

public abstract class MDSAPPGetGroupCsl extends MDSAbstractBusinessData<MDSGroupCslInfo>{

	/**
	 * 查询群会诊
	 * @param token
	 * @param groupId
	 */
	
public void getGroupCsl(String token,String groupId){
		
		JSONObject json = new JSONObject();
		try {
			json.put("token", token);
			json.put("groupId", groupId);
		} catch (JSONException e) {
			// TODO: handle exception
		}
		exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.MDS_GET_GROUPCSL,json.toString());
	}
	protected MDSGroupCslInfo parseContentBody(JSONObject jo) 
	{
		MDSGroupCslInfo info = new MDSGroupCslInfo();
		if (jo!=null) {
			JSONObject json = jo.optJSONObject("data");
			if (json!=null) {
				info.cslRoomNo = json.optString("cslRoomNo");
				info.cslSubject = json.optString("cslSubject");
				info.cslPassword = json.optString("cslPassword");
			}
		}
		return info;
	}
    protected Parser getParser(){return new MedicalParser();}
	
}
