package cn.redcdn.datacenter.medicalcenter;

import java.util.ArrayList;
import java.util.List;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;


import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.data.MDSFanTypes;

public class MDSAppGetFanTypes extends MDSAbstractBusinessData<List<MDSFanTypes>> {

	public void appgetfantypes(String token,String windFarmId){
		
		JSONObject json = new JSONObject();
		try {
			json.put("token", token);
			json.put("windFarmId", windFarmId);
		} catch (JSONException e) {
			// TODO: handle exception
		}
		
		exec(ConstConfig.getMedicalCenterUrl()+ ConstConfig.MDS_GET_FANTYPE,json.toString());
		
	}
	
	protected List<MDSFanTypes> parseContentBody(JSONObject jo) 
		{
		
		   List<MDSFanTypes> fantypesList = new ArrayList<MDSFanTypes>();
			if (jo != null) {
				JSONArray arr = jo.optJSONArray("data");
				MDSFanTypes info = null;
				if (arr != null) {
					for (int i = 0; i < arr.length(); i++) {
						JSONObject tmpJson = arr.optJSONObject(i);
						info = new MDSFanTypes();
						info.id = tmpJson.optString("id");
						info.name = tmpJson.optString("name");
						fantypesList.add(info);
					} 
				}
			}
			return  fantypesList;
		
	}
	
	 protected Parser getParser(){return new MedicalParser();}
	
}
