package cn.redcdn.datacenter.medicalcenter;


import org.json.JSONObject;
import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.data.MDSVisitorInfo;


public abstract class MDSAppGetVisitorToken extends MDSAbstractBusinessData<MDSVisitorInfo>{

	/**
	 * 获取游客登录的token
	 */
	
	
	public void getVisitorToken(){
		
		JSONObject jsonObject = new JSONObject();
		
		
		
		exec(ConstConfig.getMedicalCenterUrl()+ ConstConfig.MDS_VISITOR_TOKEN, jsonObject.toString());
		
	}
	
	protected MDSVisitorInfo parseContentBody(JSONObject jo)
	{
				JSONObject json = jo.optJSONObject("data");
				MDSVisitorInfo visitorInfo = new MDSVisitorInfo();
				if (json!=null) {
					visitorInfo.token = json.optString("token");
					visitorInfo.validityTime = json.optLong("validityTime");
				}
				return visitorInfo;
	}
			
	protected Parser getParser(){return new MedicalParser();}
	
}
