package cn.redcdn.datacenter.medicalcenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;

public abstract  class MDSAppShareLinkUrl extends MDSAbstractBusinessData<String>{

	/**
	 * 获取文章详情分享页面 
	 * @param id  文章id
	 * 
	 * @return 分享页面地址
	 */
	
	public void shareLinkUrl(String id){
	
		JSONObject json = new JSONObject();
		
		try {
			json.put("id", id);
		} catch (JSONException e) {
			
		}
		exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.MDS_SHARE_LINK_URL,json.toString());
		
	}
	
	protected String  parseContentBody(JSONObject jo)
	{
				JSONObject json = jo.optJSONObject("data");
				return json.optString("linkUrl");
	}
			
	protected Parser getParser(){return new MedicalParser();}
	
}
