package cn.redcdn.datacenter.medicalcenter;

import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.log.CustomLog;

public abstract class MDSAppUpdateGroupQrCode extends MDSAbstractBusinessData<JSONObject>{

private String tag = MDSAppUpdateGroupQrCode.class.getName();
	
	/*
	 * 获取群二维码
	 * 
	 * @param token 登录用户鉴权
	 * 
	 * @param groupId 群id
	 * 
	 * @param qrCodeType 二维码类型
	 * 
	 */
	
	public int appUpdateGroupQrCode(String token,String groupId,int qrCodeType) {
		
		CustomLog.d(tag, "appUpdateGroupQrCode token="+token+"groupId = "+groupId+"qrCodeType ="+qrCodeType);
		
		JSONObject json = new JSONObject();
		try {
			json.put("token", token);
			json.put("groupId", groupId);
			json.put("qrCodeType", qrCodeType);
			
		} catch (Exception e) {
			// TODO: handle exception
			
			
		}
		
		return exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.MDS_UPDATE_QR_CODE, json.toString());
	}
	
    protected JSONObject parseContentBody(JSONObject jo){
		
    	
		return jo;
	}
	protected Parser getParser(){
		return new MedicalParser();
	}
	
}
