package cn.redcdn.datacenter.medicalcenter;

public class MDSErrorCode {

	public static final int MDS_SYSTEM_IS_ERROR    = -999;  // 系统错误
	
	public static final int MDS_SERVICE_IS_EMPTY   = -901;  // Service参数不能为空
	
	public static final int MDS_JSON_DATA_FALSE    = -902;   //  传入的json数据不正确
	
	public static final int MDS_PARAM_IS_EMPTY     = -903;    // 参数不能为空
	
	public static final int MDS_SERVICE_NOT_EXIST  = -904; // Service不存在
	
	public static final int MDS_GOTO_WRONG_PATH    = -905; // 跳转路径不正确
	
	public static final int MDS_ADMIN_PASSWORD_FALSE  = -906; //系统管理员用户密码不正确
	
	public static final int MDS_TOKEN_DISABLE      = -907;  // 授权令牌（token）无效
	
	public static final int MDS_ACCOUNT_IS_EXISTED   = -908; //注册的账号已存在
	
	public static final int MDS_NUBE_NOT_EXIST       = -909; // Nube号不存在
	
	public static final int MDS_GROUP_NOTICE_EMPTY   = -910; // 该群再无公告内容
	
	public static final int MDS_ENTINFO_NOT_EXIST    = -911; //该企业信息不存在
	
	public static final int MDS_OFFACC_NOT_EXIST     = -912; //该公众信息不存在
	
	public static final int MDS_FAILED_CREATE_GQRCODE = -913; //群二维码生成失败
	
	public static final int MDS_OFFACCUSER_ERROR_PASSWORD = -914; //公众号用户密码不正确
	
	public static final int MDS_SEARCHTYPE_OUT_RANGE = -915; //搜索类型（searchType）不在定义范围
	
	public static final int MDS_OFFACCID_IS_FALSE    = -916; //文章id错误或者用户id错误
	
	public static final int MDS_ACCTYPE_OUT_RANGE    = -917; //注册账号类型不在定义范围
	
	public static final int MDS_NUBE_IS_EXISTED      = -918; //注册的nube号已存在
	
	public static final int MDS_GET_CACHEDATA_FAILED = -919; //缓存数据源获取失败
	
	public static final int MDS_HTTP_RETURN_EMPTY    = -920; // HTTP请求返回空
	
	public static final int MDS_ACCOUNT_NOT_EXIST    = -921; //账号不存在
	
	public static final int MDS_ARTICLE_HAS_COLLECTED= -922; //文章已收藏
	
	public static final int MDS_TYPE_NOT_DEFINED     = -923; //类型不在定义范围
	
	public static final int MDS_NO_CHANCE_LOGIN      = -924; //账号或密码不正确，还有{0}次输入机会
	
	public static final int MDS_FORBID_LOGIN_MINUTE  = -925; //{0}次输入错误，禁止登陆{1}分钟
	
	public static final int MDS_REPEAT_FOUCS_OFFACC  = -926; //重复订阅同一个公众号
	
	public static final int MDS_UNFOLLOW_FAILED      = -927; //取消关注失败
	
	public static final int MDS_NOT_SUBSCRIBE_YET    = -928; //尚未订阅该公众号
	
	public static final int MDS_COMPANYNAME_NOT_EXISTED = -929; //企业名称不存在
	
	public static final int MDS_OFFACCNAME_EXIST_YET    = -930; //公众号名称已存在
	
	public static final int MDS_SEND_MESSAGE_FAILED   = -931;  //短信发送失败
	
	public static final int MDS_CONTENT_DATABASE_FAILED = -932; //数据库连接失败
	
	public static final int MDS_FOUCSOFFACC_NOT_EXISTED = -933; //关注的公众号不存
	
	public static final int MDS_ACCOUNT_HAS_AUDITED    = -934; //用户已经审核
	
	public static final int MDS_EXTERNAL_REWUEDT_UNUAUAL  = -935; //外部请求返回异常错误
	
	public static final int MDS_NOTEXIT_GRPOUPCSL     =     -941;//该群暂无会诊
	
}
