package cn.redcdn.datacenter.medicalcenter.data;

public class MDSHomelistInfo {

	public String id;
	public String name;  //文章标题
	public int articleType; //文章类型 1：文本文章 2视频文章
	public String showName; //显示名称
	public String showPic;  //显示图片
	public int showPicType; //显示大图还是小图  1.大图  2.小图
	public String sort;
	
	public MDSHomelistInfo(){
		id = "";
		name = "";
		articleType = 0;
		showName = "";
		showPic = "";
		showPicType = 0;
		sort = "";
	}
	
	public MDSHomelistInfo(MDSHomelistInfo info){
		this.id = info.id;
		this.name = info.name;
		this.articleType = info.articleType;
		this.showName = info.showName;
		this.showPic  = info.showPic;
		this.showPicType = info.showPicType;
		this.sort = info.sort;
	}

	
	
	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getArticleType() {
		return articleType;
	}

	public void setArticleType(int articleType) {
		this.articleType = articleType;
	}

	public String getShowName() {
		return showName;
	}

	public void setShowName(String showName) {
		this.showName = showName;
	}

	public String getShowPic() {
		return showPic;
	}

	public void setShowPic(String showPic) {
		this.showPic = showPic;
	}

	public int getShowPicType() {
		return showPicType;
	}

	public void setShowPicType(int showPicType) {
		this.showPicType = showPicType;
	}
	
	
	
}
