package cn.redcdn.datacenter.meetingmanage;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;



public class CheckMeetingPwdParser implements Parser {

  protected int rc;
  protected String rd;
  protected JSONObject body;

  @Override
  public int getHeaderValue() {
    return rc;
  }

  @Override
  public String getHeaderText() {
    return rd;
  }

  @Override
  public JSONObject getBody() {
    return body;
  }

  @Override
  public void parse(String content) {
    try {
      JSONObject joContent = new JSONObject(content);
      JSONObject resultObject = joContent.optJSONObject("result");
      rc = resultObject.optInt("rc");
      rd = resultObject.optString("rd");
      body = joContent.optJSONObject("result");
    } catch (JSONException e) {
    }
  }

  @Override
  public boolean isOk() {
    return rc==0;
  }
}
