package cn.redcdn.datacenter.meetingmanage;

public class GetMeetingInfo implements Comparable<GetMeetingInfo> {

    /**
     * meetingId???????int | ????????????
     */
    public int meetingId;

    /**
     * phoneId???????String | ???????????????????
     */
    public String phoneId;

    /**
     * creatorName???????String | ???????????????????
     */
    public String creatorName;

    /**
     * createTime???????String | ?????????????????????????????UTC???1970-1-1??????????????
     */
    public String createTime;

    public int count;

    /**
     * topic???????String | ?????????
     */
    public String topic;

    /**
     * meetingType???????int | ??????????????
     */
    public int meetingType;

    /**
     * meetingHost???????String | ??????????????????????????????
     */
    public String meetingHost;

    /**
     * expectEndtime???????String | ????????????????????1970-1-1????????UTC???
     */
    public String expectEndtime;

    /**
     * hasMeetingPwd???????int | ??????????????????"0?????1????"??
     */
    public int hasMeetingPwd;

    public int fixedFlg; //0不是固定会议1是固定会议

    public int speakersNum; //会议的最大发言人数


    public void setMeetingId(int meetingId) {
        this.meetingId = meetingId;
    }

    public int getMeetingId() {
        return this.meetingId;
    }

    public void setPhoneId(String phoneId) {
        this.phoneId = phoneId;
    }

    public String getPhoneId() {
        return this.phoneId;
    }

    public int getFixedFlg() {
        return fixedFlg;
    }

    public void setFixedFlg(int fixedFlg) {
        this.fixedFlg = fixedFlg;
    }

    public int getSpeakersNum() {
        return speakersNum;
    }

    public void setSpeakersNum(int speakersNum) {
        this.speakersNum = speakersNum;
    }

    public GetMeetingInfo() {
        creatorName = "";
        createTime = "";
        topic = "";
        count = 0;
        meetingType = 0;
        expectEndtime = "";
        meetingHost = "";
        hasMeetingPwd = 1;
        fixedFlg = 0;
        speakersNum = 0;
    }

    public GetMeetingInfo(GetMeetingInfo info) {
        if (info == null) {
            return;
        }
        this.topic = info.topic;
        this.creatorName = info.creatorName;
        this.createTime = info.createTime;
        this.count = info.count;
        this.meetingType = info.meetingType;
        this.expectEndtime = info.expectEndtime;
        this.meetingHost = info.meetingHost;
        this.hasMeetingPwd = info.hasMeetingPwd;
        this.fixedFlg = info.fixedFlg;
    }

    @Override
    public int compareTo(GetMeetingInfo info) {
        // TODO Auto-generated method stub
        if (info != null) {

            if (meetingType == 1) {
                if (Long.parseLong(this.createTime) < Long
                        .parseLong(info.createTime)) {
                    return 1;
                } else {
                    return -1;
                }
            } else if (meetingType == 2) {
                if (Long.parseLong(this.createTime) > Long
                        .parseLong(info.createTime)) {
                    return 1;
                } else {
                    return -1;
                }
            } else {
                return 0;
            }

        } else {
            return 0;
        }

    }

}
