package cn.redcdn.datacenter.meetingmanage;

import org.json.JSONObject;

import cn.redcdn.datacenter.AbstractBusinessData;
import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.meetingmanage.data.SlientServiceInfo;
import cn.redcdn.datacenter.meetingmanage.data.SlientServiceParse;

public class GetSlientService extends AbstractBusinessData<SlientServiceInfo>{
	
	public void getSlientService(){
		
		exec(ConstConfig.getSlientServiceUrl(),"");
		
	}
	
	protected SlientServiceInfo parseContentBody(JSONObject jo){
		
		
		SlientServiceInfo info = new SlientServiceInfo();
		 if (jo != null) {
			 JSONObject json = jo.optJSONObject("resultJson");
			 if (json != null) {
				 info.country = json.optString("country");
				 info.countryId = json.optString("country_id");
				 info.area = json.optString("area");
				 info.areaId = json.optString("area_id");
				 info.region = json.optString("region");
				 info.regionId = json.optString("region_id");
				 info.city = json.optString("city");
				 info.cityId = json.optString("city_id");
				 info.county = json.optString("county");
				 info.countyId = json.optString("county_id");
				 info.isp = json.optString("isp");
				 info.ispId = json.optString("isp_id");
				 info.ip = json.optString("ip");	
			}	
		}
		return info;
	}

	protected Parser getParser() {
		return new SlientServiceParse();
	}

}
