package cn.redcdn.datacenter.meetingmanage.data;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;

public class CheckROMVersionParser implements Parser{

  protected String rc;
  protected String rd;
  protected JSONObject body;

  @Override
  public int getHeaderValue() {
    return Integer.parseInt(rc);
  }

  @Override
  public String getHeaderText() {
    return rd;
  }

  @Override
  public JSONObject getBody() {
    return body;
  }

  @Override
  public void parse(String content) {
    try {
      JSONObject joContent = new JSONObject(content);
      body = joContent;
      rc = joContent.getString("status");
      rd = joContent.getString("hashCode");
    } catch (JSONException e) {
    }
  }

  @Override
  public boolean isOk() {
    return true;
  }
  
}
