package cn.redcdn.datacenter.offaccscenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;

import cn.redcdn.datacenter.medicalcenter.MedicalParser;
import cn.redcdn.log.CustomLog;

public abstract class MDSAppFocusoffacc extends MDSAbstractBusinessData<JSONObject>{
	
private String tag= MDSAppFocusoffacc.class.getName();
	
/*  订阅/取消订阅公众号
 * 
 * @param token 登录鉴权token
 * 
 * @param OffAccId  公众号id
 * 
 * @param optType  1:取消订阅、 2:订阅
 * 
 * @return 成功or失败
 * 
 */

	public int appFocusoffacc(String token,String id,int subscribe)
	{
    CustomLog.d(tag, "appFocusoffacc token="+token+"id ="+id+
    		"subscribe ="+subscribe);
		
		JSONObject json = new JSONObject();
		try {
			json.put("token",token);
			json.put("offAccId",id);
			json.put("optType", subscribe);
		} catch (JSONException e) {
			// TODO: handle exception
			return -3;
		}
		
		return exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.MDS_FOCUS_OFFACC,json.toString());
		
	}
	
	protected JSONObject parseContentBody(JSONObject jo){
		
		return jo;
	}
	protected Parser getParser(){
		return new MedicalParser();
	}
	

}
