package cn.redcdn.datacenter.offaccscenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;
import cn.redcdn.log.CustomLog;

public abstract class MDSAppPraiseOffAccArticle extends MDSAbstractBusinessData<JSONObject> {

private String tag= MDSAppPraiseOffAccArticle.class.getName();
	
	/*
	 * 点赞/取消点赞公众号内容
	 * @param token 登录鉴权token
	 * 
	 * @param id 文章id
	 * 
	 * @param praise 0：取消点赞、1：点赞
	 * 
	 * 
	 */

	public int appPraiseOffAccArticle(String token,String id,int praise)
	{
    CustomLog.d(tag, "appPraiseOffAccArticle token="+token+"id ="+id+
    		"praise ="+praise);
		
		JSONObject json = new JSONObject();
		try {
			json.put("token",token);
			json.put("articleId",id);
			json.put("praise", praise);
		} catch (JSONException e) {
			// TODO: handle exception
			return -3;
		}
		
		return exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.MDS_PRAISE_OFFACC,json.toString());
		
	}
	
	protected JSONObject parseContentBody(JSONObject jo){
		
		return jo;
	}
	protected Parser getParser(){
		return new MedicalParser();
	}
	
	
}
