package cn.redcdn.datacenter.offaccscenter.data;

public class ArtcleInfo {

	public String articleId;  //文章id
	public String title;      //文章标题
	public String publishTime;//发布日期
	public int playCount;    //浏览次数
	public int isEncipher;  //是否加密(0：未加密、1：加密)
	public String encipherPwd; //加密密码
	public int articleType; //文章类型 1.文本文章 2.视频文章
	public String previewUrl;
	
	public ArtcleInfo(){
		
		articleId = "";
		title = "";
		playCount = 0;
		publishTime = "";
		isEncipher = 0;
		encipherPwd = "";
		articleType = 0;
		previewUrl = "";
	}
	
	public ArtcleInfo(ArtcleInfo info){
		
		this.articleId = info.articleId;
		this.title = info.title;
		this.publishTime = info.publishTime;
		this.isEncipher = info.isEncipher;
		this.encipherPwd = info.encipherPwd;
		this.playCount = info.playCount;
		this.articleType = info.articleType;
		this.previewUrl = info.previewUrl;
		
	}

	
	public String getPreviewUrl() {
		return previewUrl;
	}

	public void setPreviewUrl(String previewUrl) {
		this.previewUrl = previewUrl;
	}

	public int getArticleType() {
		return articleType;
	}

	public void setArticleType(int articleType) {
		this.articleType = articleType;
	}

	public int getPlayCount() {
		return playCount;
	}

	public void setPlayCount(int playCount) {
		this.playCount = playCount;
	}

	public int getIsEncipher() {
		return isEncipher;
	}

	public void setIsEncipher(int isEncipher) {
		this.isEncipher = isEncipher;
	}

	public String getEncipherPwd() {
		return encipherPwd;
	}

	public void setEncipherPwd(String encipherPwd) {
		this.encipherPwd = encipherPwd;
	}

	public String getArticleId() {
		return articleId;
	}

	public void setArticleId(String articleId) {
		this.articleId = articleId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getPublishTime() {
		return publishTime;
	}

	public void setPublishTime(String publishTime) {
		this.publishTime = publishTime;
	}
	
	
	
}
