package cn.redcdn.datacenter.offaccscenter.data;

import java.util.ArrayList;
import java.util.List;

public class ArticleDetailInfo {

	public String name;
	public String introduction;
	public String label;
	public String previewUrl;
	public String accessPassword;
	public String commentType;
	public String description;
	public String creator;
	public List<ArticleDetailInfoSds> schedules;
	public List<ArticleDetailInfoCts> customizedContents;
	public List<ArticleDetailInfoVideos> videos;

	public ArticleDetailInfo(){
		
		name = "";
		introduction = "";
		label = "";
		previewUrl = "";
		accessPassword = "";
		commentType = "";
		description = "";
		creator = "";
		schedules = new ArrayList<ArticleDetailInfoSds>();
		customizedContents = new ArrayList<ArticleDetailInfoCts>();
		videos = new ArrayList<ArticleDetailInfoVideos>();
		
	}
	
	public ArticleDetailInfo(ArticleDetailInfo info){
		
		this.name = info.name;
		this.introduction = info.introduction;
		this.label = info.label;
		this.previewUrl = info.previewUrl;
		this.accessPassword = info.accessPassword;
		this.commentType = info.commentType;
		this.description = info.description;
		this.creator = info.creator;
		this.schedules = info.schedules;
		this.customizedContents = info.customizedContents;
		this.videos = info.videos;
		
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getPreviewUrl() {
		return previewUrl;
	}

	public void setPreviewUrl(String previewUrl) {
		this.previewUrl = previewUrl;
	}

	public String getAccessPassword() {
		return accessPassword;
	}

	public void setAccessPassword(String accessPassword) {
		this.accessPassword = accessPassword;
	}

	public String getCommentType() {
		return commentType;
	}

	public void setCommentType(String commentType) {
		this.commentType = commentType;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public List<ArticleDetailInfoSds> getSchedules() {
		return schedules;
	}

	public void setSchedules(List<ArticleDetailInfoSds> schedules) {
		this.schedules = schedules;
	}

	public List<ArticleDetailInfoCts> getCustomizedContents() {
		return customizedContents;
	}

	public void setCustomizedContents(List<ArticleDetailInfoCts> customizedContents) {
		this.customizedContents = customizedContents;
	}

	public List<ArticleDetailInfoVideos> getVideos() {
		return videos;
	}

	public void setVideos(List<ArticleDetailInfoVideos> videos) {
		this.videos = videos;
	}
	
	
	
} 