package cn.redcdn.datacenter.offaccscenter.data;

import java.util.ArrayList;
import java.util.List;

public class MDSRecommedOffaccInfo {

	public String offaccid; // 公众号ID
	public String logoUrl; // 公众号logo图片地址
	public String name; // 公众号的名称
	public String introduction;// 公众号简介
	public int subscribe; //是否已被订阅 
	public List<ArtcleInfo> artcleList;

	public MDSRecommedOffaccInfo() {

		offaccid = "";
		logoUrl = "";
		name = "";
		introduction = "";
		subscribe = 0;
		artcleList = new ArrayList<ArtcleInfo>();
	}

	public MDSRecommedOffaccInfo(MDSRecommedOffaccInfo info) {

		this.offaccid = info.offaccid;
		this.logoUrl = info.logoUrl;
		this.name = info.name;
		this.introduction = info.introduction;
		this.subscribe = info.subscribe;
		this.artcleList = info.artcleList;
		

	}

	public int getSubscribe() {
		return subscribe;
	}

	public void setSubscribe(int subscribe) {
		this.subscribe = subscribe;
	}

	public String getOffaccid() {
		return offaccid;
	}

	public void setOffaccid(String offaccid) {
		this.offaccid = offaccid;
	}

	public String getLogoUrl() {
		return logoUrl;
	}

	public void setLogoUrl(String logoUrl) {
		this.logoUrl = logoUrl;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public List<ArtcleInfo> getArtcleList() {
		return artcleList;
	}

	public void setArtcleList(List<ArtcleInfo> artcleList) {
		this.artcleList = artcleList;
	}
	
	
}
