package cn.redcdn.datacenter.offaccscenter.data;

public class OffAccdetailInfo {

	public String id;
	public String name;
	public String logoUrl;
	public String functionIntroduction;
	public String serviceTel;
	public String businessScope;
	public String enterpriseIntroduction;
	public String themeBackgroundUrl;
	public String introduction;
	public String subscribeNumber;
	public int isSubscribe; //是否被订阅
	public String entName;   //账号主体字段
	public String articlePreviewUrl; //最新一篇文章的预览图
	public String articleIntro;    //最新一篇文章的简介
	public String nameSpell;    //公众号名字的拼音的首字母
	public String nameInitial;   //公众号拼音
	public String qrcodeUrl;
   
	public OffAccdetailInfo(){
		id = "";
		name = "";
		logoUrl = "";
		functionIntroduction = "";
		serviceTel = "";
		businessScope = "";
		enterpriseIntroduction = "";
		themeBackgroundUrl = "";
		introduction = "";
		subscribeNumber = "";
		isSubscribe = 0;
		entName = "";
		articleIntro = "";
		articlePreviewUrl = "";
	    nameSpell = "";
	    nameInitial = "";
	    qrcodeUrl = "";
	}
	
	public OffAccdetailInfo(OffAccdetailInfo info){
		
		this.id = info.id;
		this.name = info.name;
		this.logoUrl = info.logoUrl;
		this.functionIntroduction = info.functionIntroduction;
		this.serviceTel = info.serviceTel;
		this.businessScope = info.businessScope;
		this.enterpriseIntroduction = info.enterpriseIntroduction;
		this.themeBackgroundUrl = info.themeBackgroundUrl;
		this.introduction = info.introduction;
		this.subscribeNumber = info.subscribeNumber;
		this.isSubscribe = info.isSubscribe;
		this.entName = info.entName;
		this.articleIntro = info.articleIntro;
		this.articlePreviewUrl = info.articlePreviewUrl;
		this.nameInitial = info.nameInitial;
		this.nameSpell = info.nameSpell;
		this.qrcodeUrl = info.qrcodeUrl;
	}

	public String getQrcodeUrl() {
		return qrcodeUrl;
	}

	public void setQrcodeUrl(String qrcodeUrl) {
		this.qrcodeUrl = qrcodeUrl;
	}

	public String getNameSpell() {
		return nameSpell;
	}

	public void setNameSpell(String nameSpell) {
		this.nameSpell = nameSpell;
	}

	public String getNameInitial() {
		return nameInitial;
	}

	public void setNameInitial(String nameInitial) {
		this.nameInitial = nameInitial;
	}

	public String getEntName() {
		return entName;
	}

	public void setEntName(String entName) {
		this.entName = entName;
	}

	public String getArticlePreviewUrl() {
		return articlePreviewUrl;
	}

	public void setArticlePreviewUrl(String articlePreviewUrl) {
		this.articlePreviewUrl = articlePreviewUrl;
	}

	public String getArticleIntro() {
		return articleIntro;
	}

	public void setArticleIntro(String articleIntro) {
		this.articleIntro = articleIntro;
	}

	public int getIsSubscribe() {
		return isSubscribe;
	}

	public void setIsSubscribe(int isSubscribe) {
		this.isSubscribe = isSubscribe;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLogoUrl() {
		return logoUrl;
	}

	public void setLogoUrl(String logoUrl) {
		this.logoUrl = logoUrl;
	}

	public String getFunctionIntroduction() {
		return functionIntroduction;
	}

	public void setFunctionIntroduction(String functionIntroduction) {
		this.functionIntroduction = functionIntroduction;
	}

	public String getServiceTel() {
		return serviceTel;
	}

	public void setServiceTel(String serviceTel) {
		this.serviceTel = serviceTel;
	}

	public String getBusinessScope() {
		return businessScope;
	}

	public void setBusinessScope(String businessScope) {
		this.businessScope = businessScope;
	}

	public String getEnterpriseIntroduction() {
		return enterpriseIntroduction;
	}

	public void setEnterpriseIntroduction(String enterpriseIntroduction) {
		this.enterpriseIntroduction = enterpriseIntroduction;
	}

	public String getThemeBackgroundUrl() {
		return themeBackgroundUrl;
	}

	public void setThemeBackgroundUrl(String themeBackgroundUrl) {
		this.themeBackgroundUrl = themeBackgroundUrl;
	}

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public String getSubscribeNumber() {
		return subscribeNumber;
	}

	public void setSubscribeNumber(String subscribeNumber) {
		this.subscribeNumber = subscribeNumber;
	}
	
	
	
}
