package cn.redcdn.datacenter.offaccscenter.data;

public class VideoInfo {

	/**
	 * channelId 频道id
	 */
	public String channelId;
	/**
	 * name 内容名称
	 */
	public String name;
	/**
	 * contentType 内容类型 1.点播 2.直播
	 */
	public int contentType;
	/**
	 * accessPassword 加密密码
	 */
	public String accessPassword;
	/**
	 * accessType 有没有加密 1.不加密 2.加密
	 */
	public int accessType;
	/**
	 * webViewUrl h5界面地址
	 */
	public String webViewUrl;
	/**
	 * 文章报名类型
	 */
	public int enrollFlag; //1 报名 2不报名
	/**
	 * 活动H5页面
	 */
	public String activityUrl;
	/**
	 * 报名类型
	 */
	public String signUpType;//1 未报名 2 已报名
	
	public String activityPic; //活动海报
	
	public String activityEndDate; //结束时间

	public String pcViewUrl; // PC端文章详情页面地址
	public String privilegeFlg; // 权限标识
	public String privilegeTip; // 权限提示语
	public String refuseFlg; // 拒绝状态标识
	
	public VideoInfo(){
		
		
		channelId = "";
		name = "";
		contentType = 0;
		accessPassword = "";
		accessType = 0;
		webViewUrl = "";
		enrollFlag = 0;
		activityUrl = "";
		signUpType = "";
		activityPic = "";
		activityEndDate = "";

		pcViewUrl = "";
		privilegeFlg = "";
		privilegeTip = "";
		refuseFlg = "";
	}
	
	public VideoInfo(VideoInfo info){
		
	
		this.channelId = info.channelId;
		this.name = info.name;
		this.contentType = info.contentType;
		this.accessPassword = info.accessPassword;
		this.accessType = info.accessType;
		this.webViewUrl = info.webViewUrl;
		this.enrollFlag = info.enrollFlag;
		this.activityUrl = info.activityUrl;
		this.signUpType = info.signUpType;
		this.activityPic = info.activityPic;
		this.activityEndDate = info.activityEndDate;
	}

	
	public String getActivityPic() {
		return activityPic;
	}

	public void setActivityPic(String activityPic) {
		this.activityPic = activityPic;
	}

	public String getActivityEndDate() {
		return activityEndDate;
	}

	public void setActivityEndDate(String activityEndDate) {
		this.activityEndDate = activityEndDate;
	}

	public int getEnrollFlag() {
		return enrollFlag;
	}

	public void setEnrollFlag(int enrollFlag) {
		this.enrollFlag = enrollFlag;
	}

	public String getActivityUrl() {
		return activityUrl;
	}

	public void setActivityUrl(String activityUrl) {
		this.activityUrl = activityUrl;
	}

	public String getSignUpType() {
		return signUpType;
	}

	public void setSignUpType(String signUpType) {
		this.signUpType = signUpType;
	}

	public int getContentType() {
		return contentType;
	}

	public void setContentType(int contentType) {
		this.contentType = contentType;
	}

	public String getAccessPassword() {
		return accessPassword;
	}

	public void setAccessPassword(String accessPassword) {
		this.accessPassword = accessPassword;
	}

	public int getAccessType() {
		return accessType;
	}

	public void setAccessType(int accessType) {
		this.accessType = accessType;
	}

	public String getWebViewUrl() {
		return webViewUrl;
	}

	public void setWebViewUrl(String webViewUrl) {
		this.webViewUrl = webViewUrl;
	}

	public String getChannelId() {
		return channelId;
	}

	public void setChannelId(String channelId) {
		this.channelId = channelId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRefuseFlg() {
		return refuseFlg;
	}

	public void setRefuseFlg(String refuseFlg) {
		this.refuseFlg = refuseFlg;
	}
}
