package cn.redcdn.datacenter.sptcenter;

/**
 * Created by gexy on 2018\7\30 0030.
 */

public class SPTErrorCode {

    public static final int SPT_SYSTEM_IS_ERROR        = -999;  // 系统错误

    public static final int SPT_SERVICE_IS_EMPTY       = -901;  // Service参数不能为空

    public static final int SPT_JSON_DATA_FALSE        = -902;   //  传入的json数据不正确

    public static final int SPT_PARAM_IS_EMPTY         = -903;    // 参数不能为空

    public static final int SPT_ADMIN_PASSWORD_FALSE   = -906; //系统管理员用户密码不正确

    public static final int SPT_TOKEN_DISABLE          = -907;  // 授权令牌（token）无效

    public static final int SPT_ACCOUNT_IS_EXISTED     = -908; //注册的账号已存在

    public static final int SPT_NUBE_NOT_EXIST         = -909; // Nube号不存在

    public static final int SPT_BASE_NOT_EXIST         = -910; //基地不存在

    public static final int SPT_LOG_TYPE_NOT_EXIST     = -913; //日志类型不存在

    public static final int SPT_LOG_SUBMIT_REPEAT      = -914; //同一患者同一病种不能重复提交

    public static final int SPT_LOG_NOT_EXIST          = -915; //日志不存在

    public static final int SPT_DEPARTMENT_NOT_EXIST   = -916; //科室不存在

    public static final int SPT_LOG_STANDARD_NOT_EXIST   = -917; //日志规范不存在

    public static final int SPT_TEMPLATE_NOT_SET       = -918; //模板未设置

    public static final int SPT_SUBJECT_NOT_EXIST      = -918; //学科不存在

    public static final int SPT_EXTERNAL_REWUEDT_UNUAUAL  = -935; //外部请求返回异常错误

}
