package cn.redcdn.datacenter.sptcenter;

import org.json.JSONArray;
import org.json.JSONObject;

import java.security.PublicKey;
import java.util.ArrayList;
import java.util.List;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;
import cn.redcdn.datacenter.sptcenter.data.SPTCourseProcessInfo;
import cn.redcdn.datacenter.sptcenter.data.SPTTaskProcessInfo;

/**
 * Created by caizx on 2018/7/11.
 */

public class SPTGetOtherTaskProcessList extends MDSAbstractBusinessData<List<SPTTaskProcessInfo>>{

    //获取学生其它任务完成进度
    //SPTTaskProcessInfo

    public void getOtherProcessList(String token,String baseId){

        JSONObject jsonObject = new JSONObject();
        try{
            jsonObject.put("baseId",baseId);
            jsonObject.put("token",token);;
        }catch (Exception e){

        }
        exec(ConstConfig.getSptCenterUrl()+ConstConfig.SPT_GET_OTHER_PROCESS,jsonObject.toString());

    }
    protected List<SPTTaskProcessInfo> parseContentBody(JSONObject jo){
        List<SPTTaskProcessInfo> infos = new ArrayList<>();
        if (jo!=null){
            JSONArray array = jo.optJSONArray("data");
            if (array!=null){
                for (int i = 0;i<array.length();i++){
                    JSONObject tmpJson = array.optJSONObject(i);
                    SPTTaskProcessInfo info = new SPTTaskProcessInfo();
                    if (tmpJson!=null){
                        info.finishedCount = tmpJson.optString("finishedLogs");
                        info.totalNeedCount = tmpJson.optString("needLogs");
                        info.taskName = tmpJson.optString("logName");
                        info.taskType = tmpJson.optString("logType");
                    }
                    infos.add(info);
                }
            }
        }
        return infos;
    }
    protected Parser getParser(){
        return new MedicalParser();
    }

}
