package cn.redcdn.datacenter.sptcenter;

import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;
import cn.redcdn.datacenter.sptcenter.data.SPTStudyPeroidInfo;

/**
 * Created by caizx on 2018/7/18.
 */

public class SPTGetStudyPeriod extends MDSAbstractBusinessData<SPTStudyPeroidInfo> {

    //获取学习周期

    public void getStudyPeriod(String token,String deptId){

        JSONObject jsonObject = new JSONObject();
        try {
            jsonObject.put("token",token);
            jsonObject.put("deptId",deptId);
        }catch (Exception e){

        }

        exec(ConstConfig.getSptCenterUrl()+ConstConfig.SPT_GET_STUDY_PEROID,jsonObject.toString());

    }

    protected SPTStudyPeroidInfo parseContentBody(JSONObject jo){
        SPTStudyPeroidInfo info = new SPTStudyPeroidInfo();
        if (jo!=null){
            JSONObject data = jo.optJSONObject("data");
            if (data!=null){
                info.studyPeriod = data.optString("studyPeriod");
            }
        }
        return info;
    }
    protected Parser getParser(){
        return new MedicalParser();
    }


}
