package cn.redcdn.datacenter.sptcenter.data;

import android.widget.LinearLayout;

import java.util.ArrayList;
import java.util.List;

import cn.redcdn.datacenter.sptcenter.data.template.SPTTemplateAuditInfo;
import cn.redcdn.datacenter.sptcenter.data.template.SPTTemplateOptionalInfo;

/**
 * Created by caizx on 2018/7/25.
 */

public class SPTAuditDetailInfo {

    public String auditRoleId; //审核角色业务id
    public String templateAuditId; //审核模板字段id
    public String templateAuditType;//审核模板字段类型
    public String templateAuditName; //审核模板字段名称
    public String templateAuditDefaultValue; //审核模板字段默认值
    public String tempKeyTip;//提示语
    public String showName; //显示名称
    public String nube;//视讯号

    public List<SPTTemplateOptionalInfo> optionalInfos; //selectUser可选值列表
    public List<SPTTemplateAuditInfo> auditInfos; //审核信息列表

    public SPTAuditDetailInfo(){
        auditRoleId = "";
        templateAuditId = "";
        templateAuditType = "";
        templateAuditName = "";
        templateAuditDefaultValue = "";
        tempKeyTip = "";
        showName = "";
        nube = "";

        optionalInfos = new ArrayList<>();
        auditInfos = new ArrayList<>();
    }

    public String getAuditRoleId() {
        return auditRoleId;
    }

    public void setAuditRoleId(String auditRoleId) {
        this.auditRoleId = auditRoleId;
    }

    public String getTemplateAuditId() {
        return templateAuditId;
    }

    public void setTemplateAuditId(String templateAuditId) {
        this.templateAuditId = templateAuditId;
    }

    public String getTemplateAuditType() {
        return templateAuditType;
    }

    public void setTemplateAuditType(String templateAuditType) {
        this.templateAuditType = templateAuditType;
    }

    public String getTemplateAuditName() {
        return templateAuditName;
    }

    public void setTemplateAuditName(String templateAuditName) {
        this.templateAuditName = templateAuditName;
    }

    public String getTemplateAuditDefaultValue() {
        return templateAuditDefaultValue;
    }

    public void setTemplateAuditDefaultValue(String templateAuditDefaultValue) {
        this.templateAuditDefaultValue = templateAuditDefaultValue;
    }

    public String getTempKeyTip() {
        return tempKeyTip;
    }

    public void setTempKeyTip(String tempKeyTip) {
        this.tempKeyTip = tempKeyTip;
    }

    public String getShowName() {
        return showName;
    }

    public void setShowName(String showName) {
        this.showName = showName;
    }

    public List<SPTTemplateOptionalInfo> getOptionalInfos() {
        return optionalInfos;
    }

    public void setOptionalInfos(List<SPTTemplateOptionalInfo> optionalInfos) {
        this.optionalInfos = optionalInfos;
    }

    public List<SPTTemplateAuditInfo> getAuditInfos() {
        return auditInfos;
    }

    public void setAuditInfos(List<SPTTemplateAuditInfo> auditInfos) {
        this.auditInfos = auditInfos;
    }

    public String getNube() {
        return nube;
    }

    public void setNube(String nube) {
        this.nube = nube;
    }
}
