package cn.redcdn.datacenter.sptcenter.data;

import java.util.ArrayList;
import java.util.List;

import cn.redcdn.datacenter.sptcenter.data.template.SPTTemplateAuditInfo;
import cn.redcdn.datacenter.sptcenter.data.template.SPTTemplateBaseInfo;
import cn.redcdn.datacenter.sptcenter.data.template.SPTTemplateStaus;

/**
 * Created by caizx on 2018/7/11.
 */

public class SPTLogDetailInfo {

    //日志详情

    public String logType; //日志类型
    public String totalStatus;//日志实际状态
    public String crossFlg;//是否跨学科
    public List<SPTTemplateStaus> staus; //审核状态列表
    public List<SPTTemplateBaseInfo> baseInfos; //学员基本信息列表
    public List<SPTTemplateBaseInfo> patientInfos;  //患者信息列表
    public List<SPTAuditDetailInfo> auditInfos;  //审核模板信息

    public SPTLogDetailInfo(){
        logType = "";
        totalStatus = "";
        crossFlg = "";
        staus = new ArrayList<>();
        baseInfos = new ArrayList<>();
        patientInfos = new ArrayList<>();
        auditInfos = new ArrayList<>();
    }

    public String getLogType() {
        return logType;
    }

    public void setLogType(String logType) {
        this.logType = logType;
    }

    public String getTotalStatus() {
        return totalStatus;
    }

    public void setTotalStatus(String totalStatus) {
        this.totalStatus = totalStatus;
    }

    public List<SPTTemplateStaus> getStaus() {
        return staus;
    }

    public void setStaus(List<SPTTemplateStaus> staus) {
        this.staus = staus;
    }

    public List<SPTTemplateBaseInfo> getBaseInfos() {
        return baseInfos;
    }

    public void setBaseInfos(List<SPTTemplateBaseInfo> baseInfos) {
        this.baseInfos = baseInfos;
    }

    public List<SPTTemplateBaseInfo> getPatientInfos() {
        return patientInfos;
    }

    public void setPatientInfos(List<SPTTemplateBaseInfo> patientInfos) {
        this.patientInfos = patientInfos;
    }

    public List<SPTAuditDetailInfo> getAuditInfos() {
        return auditInfos;
    }

    public void setAuditInfos(List<SPTAuditDetailInfo> auditInfos) {
        this.auditInfos = auditInfos;
    }

    public String getCrossFlg() {
        return crossFlg;
    }

    public void setCrossFlg(String crossFlg) {
        this.crossFlg = crossFlg;
    }
}
