package cn.redcdn.datacenter.sptcenter.data;

import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by caizx on 2018/7/11.
 */
 //返回原始数据

public class SPTTeacherInfo {

    public String auditingNum; //待审核任务数
    public String auditedNum;  //已审核任务数
    public String diseases;    //病种记录
    public String clinicals;   //临床操作记录
    public String others;      //其他记录
    public String name;        //名称
    public String sex;         //性别
    public String role;        //身份
    public String trainBase;  //所属基地
    public String trainMajor;  //专培专业
    public String nube;        //视讯号
    public String headUrl;     //头像
    public List<StudentInfo> students; //学员列表

    public JSONObject dataJson; //缓存Json

    public SPTTeacherInfo(){
        auditingNum = "";
        auditedNum = "";
        diseases = "";
        clinicals = "";
        others = "";
        name = "";
        sex = "";
        role = "";
        trainBase = "";
        trainMajor = "";
        nube = "";
        headUrl = "";
        students = new ArrayList<>();
        dataJson = new JSONObject();
    }

    public String getAuditingNum() {
        return auditingNum;
    }

    public void setAuditingNum(String auditingNum) {
        this.auditingNum = auditingNum;
    }

    public String getAuditedNum() {
        return auditedNum;
    }

    public void setAuditedNum(String auditedNum) {
        this.auditedNum = auditedNum;
    }

    public String getDiseases() {
        return diseases;
    }

    public void setDiseases(String diseases) {
        this.diseases = diseases;
    }

    public String getClinicals() {
        return clinicals;
    }

    public void setClinicals(String clinicals) {
        this.clinicals = clinicals;
    }

    public String getOthers() {
        return others;
    }

    public void setOthers(String others) {
        this.others = others;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getTrainBase() {
        return trainBase;
    }

    public void setTrainBase(String trainBase) {
        this.trainBase = trainBase;
    }

    public String getTrainMajor() {
        return trainMajor;
    }

    public void setTrainMajor(String trainMajor) {
        this.trainMajor = trainMajor;
    }

    public String getNube() {
        return nube;
    }

    public void setNube(String nube) {
        this.nube = nube;
    }

    public String getHeadUrl() {
        return headUrl;
    }

    public void setHeadUrl(String headUrl) {
        this.headUrl = headUrl;
    }

    public List<StudentInfo> getStudents() {
        return students;
    }

    public void setStudents(List<StudentInfo> students) {
        this.students = students;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public static SPTTeacherInfo analyze(JSONObject jo){
        SPTTeacherInfo info = new SPTTeacherInfo();
        if (jo!=null){
            JSONObject data = jo.optJSONObject("data");
            if (data!=null){
                info.auditedNum = data.optString("auditedNum");
                info.auditingNum = data.optString("auditingNum");
                info.headUrl = data.optString("headurl");
                info.diseases = data.optString("diseases");
                info.clinicals = data.optString("clinicals");
                info.others = data.optString("others");
                info.name = data.optString("name");
                info.role = data.optString("role");
                info.trainBase = data.optString("trainBase");
                info.trainMajor = data.optString("tainMajor");
                info.nube = data.optString("nube");
                JSONArray students = data.optJSONArray("students");
                if (students!=null){
                    for (int i = 0;i<students.length();i++){
                        JSONObject tmpJson = students.optJSONObject(i);
                        StudentInfo student = new StudentInfo();
                        if (tmpJson!=null){
                            student.nube = tmpJson.optString("nube");
                            student.headUrl = tmpJson.optString("headUrl");
                            student.name = tmpJson.optString("name");
                            student.logRate = tmpJson.optString("logRate");
                            student.dept = tmpJson.optString("dept");
                        }
                        info.students.add(student);
                    }
                }
            }
        }
        return info;
    }

}
