package cn.redcdn.datacenter.uploadimg;

import java.util.Map;

import cn.redcdn.log.CustomLog;
import cn.redcdn.network.httprequest.HttpErrorCode;
import cn.redcdn.network.httprequest.HttpUpload;

public abstract class UpLoadImg extends HttpUpload{
	
      public void onUploadProgress(int percent) {
          CustomLog.d("onUploadProgress:", "upload progress:" + percent);
      }

      public void OnUploadFail(int statusCode) {
          onFail(statusCode);
      }

      public void OnUploadFinish(int statusCode, String responseContent) {
         if (statusCode == HttpErrorCode.HTTP_CONNECT_TIMEOUT) 
         {
           CustomLog.e("HTTP_CONNECT_TIMEOUT",statusCode+"");
         }
         else if(statusCode == 200)
         {
        	
           onSuccess(responseContent);
         }
         
           
     }
      protected abstract void onSuccess(String responseContent);
      protected abstract void onFail(int statusCode);
}
