package cn.redcdn.dep;

/*
 * 回调函数接口,
 */
public interface CBInterface {
	/*
	 * StartSharing ,开始分享.通知UI层分享马上开始
	 */
	public abstract int StartSharing(int height, int width, int bitrate,
			int filmformat);

	/*
	 * StopSharing ,停止分享.通知UI层分享马上停止了
	 */
	public abstract int StopSharing();

	/*
	 * FrameDateArrive ,分享数据到达，回调UI层数据。
	 */
	public abstract int FrameDateArrive(byte[] fdata);

	/*
	 * OnNameChanged ,分享pc端的名字变化。
	 */
	public abstract void OnNameChanged(String newname);

	/*
	 * ApplyForStart， 申请开始分享。 返回值：0，成功。<0,失败的错误码
	 */
	public abstract int ApplyForStart();

	/*
	 * ApplyForStop ，申请停止分享
	 */
	public abstract int ApplyForStop();
}
