package com.channelsoft.sipsdk;

public class SmSdkJNI {

	// 媒体流类型定义
	public static final int SMSDK_STREAM_TYPE_VIDEO_SEND = 0; // 视频发送链路
	public static final int SMSDK_STREAM_TYPE_VIDEO_RECV = 1; // 视频接收链路
	public static final int SMSDK_STREAM_TYPE_AUDIO_SEND = 2; // 音频发送链路
	public static final int SMSDK_STREAM_TYPE_AUDIO_RECV = 3; // 音频接收链路
	public static final int SMSDK_STREAM_TYPE_LIVE = 4; // 直播录制链路
	public static final int SMSDK_STREAM_TYPE_CMD_SEND = 5; // 命令发送链路
	public static final int SMSDK_STREAM_TYPE_CMD_RECV = 6; // 命令接收链路
	public static final int SMSDK_STREAM_TYPE_VIDEO_SENDMR = 7; // 多流发送链路
	public static final int SMSDK_STREAM_TYPE_VIDEO_CAMERAENC = 8;
	public static final int SMSDK_STREAM_TYPE_WHITEBOARD_SEND = 8; // 白板发送链路
	public static final int SMSDK_STREAM_TYPE_WHITEBOARD_RECV = 9; // 白板接收链路
	public static final int SMSDK_STREAM_TYPE_VIRTUALLAYER_SEND = 10; // 虚拟图层发送链路
	public static final int SMSDK_STREAM_TYPE_VIRTUALLAYER_RECV = 11; // 虚拟图层接收链路

	// 媒体类型
	public static final int SMSDK_MEDIA_TYPE_VIDEO_CAMRA = 0; // 摄像头视频
	public static final int SMSDK_MEDIA_TYPE_AUDIO_MICPHONE = 1; // 麦克风音频
	public static final int SMSDK_MEDIA_TYPE_VIDEO_DOC = 2; // 屏幕采集视频(采集桌面,采集进程)
	public static final int SMSDK_MEDIA_TYPE_AUDIO_DOC = 3; // 屏幕分享音频
	public static final int SMSDK_MEDIA_TYPE_VIDEO_CAPTURECARD = 4; // 采集卡视频
	public static final int SMSDK_MEDIA_TYPE_AUDIO_CAPTURECARD = 5; // 采集卡音频
	public static final int SMSDK_MEDIA_TYPE_STREAMMEDIA = 6; // 流媒体
	public static final int SMSDK_MEDIA_TYPE_FILE = 7; // 文件
	public static final int SMSDK_MEDIA_TYPE_WHITEBOARD = 8; // 白板
	public static final int SMSDK_MEDIA_TYPE_REMOTECTRL = 9; // 远程控制

	// 码流状态
	public static final int SMSDK_STREAM_IDLE = 0; // 不启动编码
	public static final int SMSDK_STREAM_RUNNING = 1; // 启动编码

	// 显示充满模式
	public static final int SMSDK_FILL_MODE_RAWRATIO_WITHBLACK = 0; // 保持原始比例充满模式，留黑边
	public static final int SMSDK_FILL_MODE_RAWRATIO_NOBLACK_MIDDLE = 1; // 保持原始比例充满模式，不留黑边,居中
	public static final int SMSDK_FILL_MODE_RAWRATIO_NOBLACK_LEFT = 2; // 保持原始比例充满模式，不留黑边,单边裁剪-左上
	public static final int SMSDK_FILL_MODE_RAWRATIO_NOBLACK_RIGHT = 3; // 保持原始比例充满模式，不留黑边,单边裁剪-右下
	public static final int SMSDK_FILL_MODE_STRECH = 4; // 拉伸充满模式

	// 媒体流来源类型定义
	public static final int SMSDK_SOURCE_TYPE_DEVICE = 0; // <设备源
	public static final int SMSDK_SOURCE_TYPE_FILE = 1; // <文件源
	public static final int SMSDK_SOURCE_TYPE_NET = 2; // <网络源
	public static final int SMSDK_SOURCE_TYPE_CALLBACK = 3; // <回调源
	public static final int SMSDK_SOURCE_TYPE_UNKNOWN = 4; // <未知

	// 编码等级
	public static final int SMSDK_CODEC_LEVEL_LOW = 0;
	public static final int SMSDK_CODEC_LEVEL_MEDIUM = 1;
	public static final int SMSDK_CODEC_LEVEL_HIGH = 2;

	// 视频编解码器
	public static final int SMSDK_VIDEO_CODEC_ID_H264 = 0; // <H264编解码
	public static final int SMSDK_VIDEO_CODEC_ID_VP8 = 1; // <VP8编解码

	// 视频编码类型
	public static final int SMSDK_VIDEO_CODEC_TYPE_SOFT = 0; // <软编
	public static final int SMSDK_VIDEO_CODEC_TYPE_HARD = 1; // <硬编

	// 音频编码器
	public static final int SMSDK_AUDIO_CODEC_ALAW = 0; // <711 alaw
	public static final int SMSDK_AUDIO_CODEC_ULAW = 1; // <711 ulaw
	public static final int SMSDK_AUDIO_CODEC_SPEEX = 2; // <speex
	public static final int SMSDK_AUDIO_CODEC_OPUS = 3; // <opus
	public static final int SMSDK_AUDIO_CODEC_UNKNOWN = 4; // 未知

	// pushFrame 帧类型
	public static final int SMSDK_FRAME_TYPE_YUV = 0;
	public static final int SMSDK_FRAME_TYPE_H264 = 1;
	public static final int SMSDK_FRAME_TYPE_RTP = 2;

	// 网络类型
	public static final int SM_SDK_netType_undef = -1; // 没有设置网络类型
	public static final int SM_SDK_netType_wired = 0; // 有线
	public static final int SM_SDK_netType_wifi = 1; // 无线
	public static final int SM_SDK_netType_4g = 2;
	public static final int SM_SDK_netType_3g = 3;
	public static final int SM_SDK_netType_10086_3g = 4; // 移动3G
	public static final int SM_SDK_netType_10086_4g = 5; // 移动4G
	public static final int SM_SDK_netType_10010_3g = 6; // 联通3G
	public static final int SM_SDK_netType_10010_4G = 7; // 联通4G
	public static final int SM_SDK_netType_189_3g = 8; // 电信3G
	public static final int SM_SDK_netType_189_4g = 9; // 电信4G
	public static final int SM_SDK_netType_10086_2g = 10; // 移动2G
	public static final int SM_SDK_netType_10010_2g = 11; // 联通2G
	public static final int SM_SDK_netType_189_2g = 12; // 电信2G
	public static final int SM_SDK_netType_unknow = 13; // 未知网络类型

	// 手机版 回调给UI的状态码（待确认）
	public static final int SM_SDK_lossrateLevel = 1; // 网络等级回调的状态码
	public static final int SM_SDK_devicelost = 2; // 设备丢失回调状态码
	public static final int SM_SDK_CB_CPUStat = 3; // cpu状态回调码
	public static final int SM_SDK_CB_netStatusNotify = 4; // 网络状态回调码
	public static final int SM_SDK_CB_videoCloseNotify = 5; // 视频关闭回调码
	public static final int SM_SDK_CB_audioDBNotify = 6; // 音频分贝回调
	public static final int SM_SDK_CB_faultNotifyFinish = 7; // 故障通知处理结束回调
	// 为了同步pc各平台的回调通知，开始统一编码 hanbo
	public static final int SM_SDK_CB_frameWork_msgCB = 20; // 媒体模块json通知，内容格式自己协商存
	// public static final int SM_SDK_CB_relayagnet_msgCB
	// 21;//媒体传输json通知，内容格式自己协商存

	// 网络等级 SM_SDK_lossrateLevel 回调值
	public static final int SM_SDK_CallBackEvent_lossrateLevel_NULL = 0; // 没有发言人
	public static final int SM_SDK_CallBackEvent_lossrateLevel_one = 1; // 等级1
	public static final int SM_SDK_CallBackEvent_lossrateLevel_two = 2; // 等级2
	public static final int SM_SDK_CallBackEvent_lossrateLevel_three = 3; // 等级3
	public static final int SM_SDK_CallBackEvent_lossrateLevel_four = 4; // 等级4

	// stp变化的消息ID
	public static final int SM_SDK_stp_change = 0;
	public static final int SM_SDK_upLoadLinkTime = 1; // 目前没用
	public static final int SM_SDK_notifyQosServerData_msgId = 2; // 通知qos质量分析服务器信息ID

	// cpu状态回调码 SM_SDK_CB_CPUStat 回调值
	public static final int SM_SDK_CB_CPUStat_OtherOverLoad = 0; // 其他进程占用cpu过载
	public static final int SM_SDK_CB_CPUStat_SelfOverLoad = 1; // 自身占用cpu过载

	// 网络状态回调码 SM_SDK_CB_netStatusNotify 回调值
	public static final int SM_SDK_CB_netStatusNotify_linkNormal = 0; // 网络信号稳定
	public static final int SM_SDK_CB_netStatusNotify_linkBad = 1; // 网络信号差
	public static final int SM_SDK_CB_netStatusNotify_linkError = 2; // 网络信号极差

	// 视频关闭回调码 SM_SDK_CB_videoCloseNotify 回调值
	public static final int SM_SDK_CB_videoCloseNotify_adapte = 0; // 自适应关闭视频

	// 窗口模式
	public static final int SM_SDK_displayWin_unknow_mode = -1; // 未知
	public static final int SM_SDK_displayWin_adaption_mode = 0; // <自适应模式
	public static final int SM_SDK_displayWin_HD_mode = 1; // <高清模式
	public static final int SM_SDK_displayWin_fluency_mode = 2; // <流畅模式，目前没有实现\

	// 窗口类型
	public static final int SM_SDK_displayWin_unknow_wintype = -1; // 未知
	public static final int SM_SDK_displayWin_small_wintype = 0; // <小窗口显示
	public static final int SM_SDK_displayWin_middle_wintype = 1; // <中窗口显示
	public static final int SM_SDK_displayWin_big_wintype = 2; // <大窗口显示

	/**
	 * 设置回调函数，先于init 函数调用
	 * 
	 * @param cb
	 *            回调函数
	 * @return 0-成功 其他-失败 回调的状态码对应的json格式： 网络等级对应 json
	 *         的格式：{"Level":"网络等级宏所对应的值"}; 设备丢失对应 json
	 *         的格式：{"streamID":"1","description":"xxxxxxx"} cpu状态回调码对应 json
	 *         的格式：{"CPUStatus":"CPU回调码对应的回调值"}; 网络状态回调码对应json
	 *         的格式：{"NetWorkStatus":"网络状态回调码对应的回调值"} 视频关闭回调码对应 json
	 *         的格式：{"streamID":"1","VideoCloseReason":"视频关闭回调码所对应的回调值"};
	 */

	private static SmSdkCBInterface mCallback = null;

	public int setUserCallBack(SmSdkCBInterface cb) {
		mCallback = cb;
		return setUserCallBack2(this);
	}

	public static native int setUserCallBack2(Object cb);

	public void SMSDK_CallBack(int statusCode, byte[] description) {
		if (mCallback != null) {
			// CustomLog.d("SmSdkJNI", "SMSDK_CallBack" + statusCode);
			mCallback.SMSDK_CallBack(statusCode, description);
		}
	}

	/**
	 * 清除回调函数
	 * 
	 * @param cb
	 *            回调函数
	 * @return 0-成功 其他-失败
	 */
	public int resetUserCallBack(SmSdkCBInterface cb) {
		mCallback = null;
		return resetUserCallBack2(cb);
	}

	public static native int resetUserCallBack2(SmSdkCBInterface cb);

	/**
	 * 启动服务
	 * 
	 * @param userId
	 *            视讯号
	 * @param rcAddr
	 *            会议控制路由地址,格式(ip:port|ip:port)
	 * @param logConfigPath
	 *            日志配置文件名（带全路径,绝对路径）
	 * @param logOutPath
	 *            日志文件保存目录（带全路径,绝对路径）
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_Init(String userId, String rcAddr,
			String logConfigPath, String logOutPath, String rkPath);

	/**
	 * 停止服务(内部调用LeaveMeeting) 释放回调对象
	 * 
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_Release();

	/**
	 * 参加会议(Init后调用)
	 * 
	 * @param meetingId
	 *            会议号
	 * @param upBandwidth
	 *            上行带宽, 默认值:-1 表示内部自己探测, 大于0 表示设置可用值
	 * @param downBandwidth
	 *            下行带宽, 默认值:-1 表示内部自己探测,大于0 表示设置可用值
	 * @param retransBwRatio
	 *            预留补发带宽比例, 默认值:-1表示内部按照默认值分配,取值范围0-100 表示设置可用值（目前上、下行补发采用相同比例）
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_JoinMeeting(String meetingId,
			int upBandwidth, int downBandwidth, int retransBwRatio);

	/**
	 * 退出会议（与JoinMeeting成对调用）
	 * 
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_LeaveMeeting();

	/**
	 * 订阅视频流
	 * 
	 * @param userId
	 *            被订阅用户视讯号
	 * @param streamType
	 *            媒体流类型(SMSDK_STREAM_TYPE_VIDEO_RECV)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param AVSynGroupID
	 *            音视频同步标识
	 * @param displayWindow
	 *            本地预览窗口句柄(安卓传NULL)
	 * @param fillMode
	 *            显示充满模式,预定义显示模式，用户可以自己指定需要的显示比例(
	 *            SMSDK_FILL_MODE_RAWRATIO_WITHBLACK)
	 * @param fecDataCount
	 *            fec数据比例, 默认值: 6
	 * @param fecCheckCount
	 *            fec校验包比例, 默认值: 3
	 * @param dataSendCount
	 *            冗余数据包发送份数，默认值: 0
	 * @param checkSendCount
	 *            冗余校验包发送份数，默认值: 0
	 * @param dataRetransSendCount
	 *            冗余补发数据包发送份数，默认值: 3
	 * @param checkRetransSendCount
	 *            冗余补发校验包发送份数，默认值: 0
	 * @param dataResendCount
	 *            补发请求次数，默认值: 5
	 * @param delayTimeWinsize
	 *            接收延迟窗口大小，单位ms（仅下行使用），默认值:300
	 * @return 大于0 – streamId；其他 – 错误
	 */
	public final static native int SM_SDK_SubscribeVideo(String userId,
			int streamType, int resourceId, int mediaType, int AVSynGroupID,
			Object displayWindow, int fillMode, int fecDataCount,
			int fecCheckCount, int dataSendCount, int checkSendCount,
			int dataRetransSendCount, int checkRetransSendCount,
			int dataResendCount, int delayTimeWinsize);

	/**
	 * 订阅音频流
	 * 
	 * @param userId
	 *            被订阅用户视讯号
	 * @param streamType
	 *            媒体流类型(SMSDK_STREAM_TYPE_AUDIO_RECV)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param AVSynGroupID
	 *            音视频同步标识
	 * @param isMix
	 *            是否混音标识, 默认值:1表示混音，0表示不混音
	 * @param playDeviceame
	 *            音频播放设备名称，不需要传空串(安卓传入NULL)
	 * @param fecDataCount
	 *            fec数据比例，默认值: 4
	 * @param fecCheckCount
	 *            fec校验包比例，默认值: 6
	 * @param dataSendCount
	 *            冗余数据包发送份数，默认值: 1
	 * @param checkSendCount
	 *            冗余校验包发送份数，默认值: 0
	 * @param dataRetransSendCount
	 *            冗余补发数据包发送份数，默认值: 3
	 * @param checkRetransSendCount
	 *            冗余补发校验包发送份数，默认值: 0
	 * @param dataResendCount
	 *            补发请求次数，默认值: 5
	 * @param delayTimeWinsize
	 *            接收延迟大小，单位ms（仅下行使用）, 默认值:300
	 * @return 大于0 – streamId；其他 – 错误
	 */
	public final static native int SM_SDK_SubscribeAudio(String userId,
			int streamType, int resourceId, int mediaType, int AVSynGroupID,
			int isMix, String playDeviceame, int fecDataCount,
			int fecCheckCount, int dataSendCount, int checkSendCount,
			int dataRetransSendCount, int checkRetransSendCount,
			int dataResendCount, int delayTimeWinsize);

	/**
	 * 取消订阅
	 * 
	 * @param streamId
	 *            流ID
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_UnSubscribe(int streamId);

	/**
	 * 暂停接收媒体流
	 * 
	 * @param streamId
	 *            流ID
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_PauseRecv(int streamId);

	/**
	 * 继续接收媒体流
	 * 
	 * @param streamId
	 *            流ID
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_ContinueRecv(int streamId);

	/**
	 * 发布摄像头采集视频流,如果给了本地预览句柄就默认启动(安卓摄像头视频没有本地预览句柄)
	 * 
	 * @param streamType
	 *            媒体流类型(SMSDK_STREAM_TYPE_VIDEO_SEND)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param sourceType
	 *            媒体流来源类型(SMSDK_SOURCE_TYPE_DEVICE)
	 * @param sourceName
	 *            媒体来源设备名称(安卓传NULL)
	 * @param displayWindow
	 *            本地预览窗口句柄(安卓传NULL)
	 * @param fillMode
	 *            显示充满模式,预定义显示模式(SMSDK_FILL_MODE_RAWRATIO_WITHBLACK)
	 * @param capWidth
	 *            采集分辨率-宽度(需设置)
	 * @param capHeight
	 *            采集分辨率-高度(需设置)
	 * @param capFps
	 *            采集帧率, 默认值: 15
	 * @param encWidth
	 *            编码分辨率-宽度（与采集匹配）
	 * @param encHeight
	 *            编码分辨率-高度(与采集匹配)
	 * @param encFps
	 *            编码帧率, 默认值: 15
	 * @param encBitrate
	 *            编码码率, 默认值：800
	 * @param videoCodecLevel
	 *            编码等级，默认值: SMSDK_CODEC_LEVEL_LOW
	 * @param videoCodecID
	 *            视频编解码器, 默认值: SMSDK_VIDEO_CODEC_ID_H264
	 * @param videoCodecType
	 *            视频编码类型, 默认值: SMSDK_VIDEO_CODEC_TYPE_SOFT
	 * @param fecDataCount
	 *            fec数据比例，默认值: 6
	 * @param fecCheckCount
	 *            fec校验包比例，默认值: 3
	 * @param dataSendCount
	 *            冗余数据包发送份数，默认值: 0
	 * @param checkSendCount
	 *            冗余校验包发送份数，默认值: 0
	 * @param dataRetransSendCount
	 *            冗余补发数据包发送份数，默认值: 3
	 * @param checkRetransSendCount
	 *            冗余补发校验包发送份数，默认值: 0
	 * @param dataResendCount
	 *            补发请求次数，默认值: 5
	 * @return 大于0 – streamId；其他 – 错误
	 */
	public final static native int SM_SDK_PublishCameraVideo(int streamType,
			int resourceId, int mediaType, int sourceType, String sourceName,
			Object displayWindow, int fillMode, int capWidth, int capHeight,
			int capFps, int encWidth, int encHeight, int encFps,
			int encBitrate, int videoCodecLevel, int videoCodecID,
			int videoCodecType, int fecDataCount, int fecCheckCount,
			int dataSendCount, int checkSendCount, int dataRetransSendCount,
			int checkRetransSendCount, int dataResendCount);

	/**
	 * 发布远程桌面视频流
	 * 
	 * @param streamType
	 *            媒体流类型(SMSDK_STREAM_TYPE_VIDEO_SEND)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param sourceType
	 *            媒体流来源类型(SMSDK_SOURCE_TYPE_CALLBACK)
	 * @param sourceName
	 *            媒体来源设备名称，不用传空串(安卓传NULL)
	 * @param displayWindow
	 *            本地预览窗口句柄，不用传空串(安卓传NULL)
	 * @param fillMode
	 *            显示充满模式,预定义显示模式(SMSDK_FILL_MODE_RAWRATIO_WITHBLACK)
	 * @param capWidth
	 *            采集分辨率-宽度 (传过来的宽)
	 * @param capHeight
	 *            采集分辨率-高度 (传过来的高)
	 * @param capFps
	 *            采集帧率, 默认值：15
	 * @param encWidth
	 *            编码分辨率-宽度(与采集匹配)
	 * @param encHeight
	 *            编码分辨率-高度(与采集匹配)
	 * @param encFps
	 *            编码帧率, 默认值：15
	 * @param encBitrate
	 *            编码码率(码率单位Kbps)(传过来的码率)
	 * @param videoCodecLevel
	 *            编码等级, 默认值：SMSDK_CODEC_LEVEL_LOW
	 * @param videoCodecID
	 *            视频编解码器, 默认值：SMSDK_VIDEO_CODEC_ID_H264
	 * @param videoCodecType
	 *            视频编码类型，filmformat返回参数
	 * @param fecDataCount
	 *            fec数据比例，默认值: 6
	 * @param fecCheckCount
	 *            fec校验包比例，默认值: 3
	 * @param dataSendCount
	 *            冗余数据包发送份数，默认值: 0
	 * @param checkSendCount
	 *            冗余校验包发送份数，默认值: 0
	 * @param dataRetransSendCount
	 *            冗余补发数据包发送份数，默认值: 3
	 * @param checkRetransSendCount
	 *            冗余补发校验包发送份数，默认值: 0
	 * @param dataResendCount
	 *            补发请求次数，默认值: 5
	 * @return 大于0 – streamId；其他 – 错误
	 */
	public final static native int SM_SDK_PublishRemoteWinCaptureVedio(
			int streamType, int resourceId, int mediaType, int sourceType,
			String sourceName, Object displayWindow, int fillMode,
			int capWidth, int capHeight, int capFps, int encWidth,
			int encHeight, int encFps, int encBitrate, int videoCodecLevel,
			int videoCodecID, int videoCodecType, int fecDataCount,
			int fecCheckCount, int dataSendCount, int checkSendCount,
			int dataRetransSendCount, int checkRetransSendCount,
			int dataResendCount);

	/**
	 * 发布音频媒体流
	 * 
	 * @param streamType
	 *            媒体流类型(SMSDK_STREAM_TYPE_AUDIO_SEND)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param sourceType
	 *            媒体流来源类型(SMSDK_SOURCE_TYPE_DEVICE)
	 * @param sourceName
	 *            媒体来源设备名称，不用传空串(安卓传NULL)
	 * @param isMix
	 *            是否混音标识, 默认值:1表示混音，0表示不混音
	 * @param capSamplerate
	 *            采集参数-采样率，默认值: 8000
	 * @param capChannels
	 *            采集参数-通道数，默认值: 1
	 * @param capBitsPerSample
	 *            采集参数-采样精度，默认值: 16
	 * @param encSamplerate
	 *            编码参数-采样率，默认值: 8000
	 * @param encChannels
	 *            编码参数-通道数，默认值: 1
	 * @param encBitsPerSample
	 *            编码参数-采样精度，默认值: 16
	 * @param encBitrate
	 *            编码参数-码率(码率单位Kbps)，默认值: 64
	 * @param audioCodecID
	 *            编码参数-编码器类型，默认值: SMSDK_AUDIO_CODEC_SPEEX
	 * @param fecDataCount
	 *            fec数据比例，默认值: 4
	 * @param fecCheckCount
	 *            fec校验包比例，默认值: 6
	 * @param dataSendCount
	 *            冗余数据包发送份数，默认值: 1
	 * @param checkSendCount
	 *            冗余校验包发送份数，默认值: 0
	 * @param dataRetransSendCount
	 *            冗余补发数据包发送份数，默认值: 3
	 * @param checkRetransSendCount
	 *            冗余补发校验包发送份数，默认值: 0
	 * @param dataResendCount
	 *            补发请求次数，默认值: 5
	 * @return 大于0 – streamId；其他 – 错误
	 */
	public final static native int SM_SDK_PublishMicAudio(int streamType,
			int resourceId, int mediaType, int sourceType, String sourceName,
			int isMix, int capSamplerate, int capChannels,
			int capBitsPerSample, int encSamplerate, int encChannels,
			int encBitsPerSample, int encBitrate, int audioCodecID,
			int fecDataCount, int fecCheckCount, int dataSendCount,
			int checkSendCount, int dataRetransSendCount,
			int checkRetransSendCount, int dataResendCount);

	/**
	 * 取消发布
	 * 
	 * @param streamId
	 *            流ID
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_UnPublish(int streamId);

	/**
	 * 开始渲染本地视频
	 * 
	 * @param streamId
	 *            流ID
	 * @param displayWindow
	 *            渲染窗口
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_StartLocalVideoRender(int streamId,
			Object displayWindow, int apx, int apy);

	/**
	 * 停止渲染本地视频
	 * 
	 * @param streamId
	 *            流ID
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_StopLocalVideoRender(int streamId);

	/**
	 * 开始渲染远程视频
	 * 
	 * @param streamId
	 *            流ID
	 * @param displayWindow
	 *            渲染窗口
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_StartRemoteVideoRender(int streamId,
			Object displayWindow, int apx, int apy);

	/**
	 * 停止渲染远程视频
	 * 
	 * @param streamId
	 *            流ID
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_StopRemoteVideoRender(int streamId);

	/**
	 * 发送媒体流
	 * 
	 * @param streamId
	 *            流ID
	 * @param frameType
	 *            帧类型 (video ：SMSDK_FRAME_TYPE_YUV，DOC ：SMSDK_FRAME_TYPE_RTP)
	 * @param pData
	 *            帧数据
	 * @param dataLen
	 *            数据长度(实际数据长度)
	 * @param orientation
	 *            摄像头角度
	 * @return 0-成功 其他-失败
	 */
	public final static native int SM_SDK_PushFrame(int streamId,
			int frameType, byte[] pData, int dataLen, int orientation);

	/**
	 * 获取媒体链路qos数据
	 * 
	 * @return 以json格式返回媒体链路qos数据
	 */
	public final static native String GetStreamQosInfo();

	/**
	 * 设置网络情况
	 * 
	 * @param localIP
	 * @param netType
	 *            网络类型
	 * @param wifiLinkSpeed
	 *            网速
	 * @param wifiRssi
	 *            网络名称
	 * @param wifiSsid
	 *            无线名称
	 * @return
	 */
	public final static native void SM_SDK_SetNetInfo(String localIP,
			int netType, int wifiLinkSpeed, int wifiRssi, String wifiSsid);

	/**
	 * 远端发言者关闭摄像头
	 * 
	 * @param streamID
	 *            媒体流ID
	 * @return
	 */
	public final static native void SM_SDK_RemoteSpeakerCloseVideo(int streamID);

	/**
	 * 远端发言者开启摄像头
	 * 
	 * @param streamID
	 *            媒体流ID
	 * @return
	 */
	public final static native void SM_SDK_RemoteSpeakerOpenVideo(int streamID);

	/**
	 * 打开语音模式
	 * 
	 * @return
	 */
	public final static native void SM_SDK_AudioModeOn();

	/**
	 * 关闭语音模式
	 * 
	 * @return
	 */
	public final static native void SM_SDK_AudioModeOff();

	/**
	 * 设置stp接口
	 * 
	 * @param msgID
	 *            stp变化通知的消息ID //SM_SDK_stp_change = 0
	 * @param ip
	 *            变化后的stp的ip地址
	 * @param port
	 *            变化后的stp的Port
	 * @param sessionID
	 *            stp变化的session的ID
	 * @return 0 - 成功 ，其他 - 失败
	 */
	public final static native int SM_SDK_HandleMSG(int msgID, String ip,
			short port, int sessionID);

	/**
	 * QOS信息接口，视频流有效，获取渲染视频时的参数值
	 * 
	 * @param streamID
	 *            媒体流标识
	 * @return 成功 - 以json的格式返回QoS信息； 失败 - 返回空串 返回值列举： frameRate 视频帧率 vedioRate
	 *         视频码率 vedioWidth 视频宽 vedioHeight 视频高
	 *         json格式：{"frameRate":1,"vedioRate"
	 *         :2,"vedioWidth":3,"vedioHeight":4}
	 */
	public final static native String SM_SDK_GetRenderQosInfo(int streamID);

	/**
	 * 获取当前链路的视频缩放大小值
	 * 
	 * @param streamID
	 *            链路ID
	 * @return 1.0~10.0 - 缩放大小值,其他 -失败;
	 * @warning： 仅Video Stream支持获取缩放大小
	 */
	public final static native float SM_SDK_GetActualVideoZoomScale(int streamID);

	/**
	 * 设置视频缩放区间
	 * 
	 * @param streamID
	 *            链路ID
	 * @param minScale
	 *            允许的最小缩放值
	 * @param maxScale
	 *            允许的最大缩放值
	 * @return 0 - 成功 ，其他 - 失败
	 * @warning： 仅Video Stream支持设置缩放区间 如果不调用这个接口，则缩放区间默认是1.0~10.0
	 *           如果minScale>=maxScale，则使用默认区间1.0~10.0
	 */
	public final static native int SM_SDK_SetVideoZoomInterval(int streamID,
			float minScale, float maxScale);

	/**
	 * 设置视频缩放比例
	 * 
	 * @param streamID
	 *            链路ID
	 * @param x_position
	 *            缩放中心点x坐标
	 * @param y_position
	 *            缩放中心点y坐标
	 * @param scalefactor
	 *            缩放比例
	 * @return 0 - 成功 ，其他 - 失败
	 */
	public final static native int SM_SDK_SetVideoZoomScale(int streamID,
			float x_position, float y_position, float scalefactor);

	/**
	 * 设置媒体拖曳移动的坐标
	 * 
	 * @param streamID
	 *            链路ID
	 * @param tx
	 *            缩放中心点x坐标
	 * @param ty
	 *            缩放中心点y坐标
	 * @return 0 - 成功 ，其他 - 失败
	 */
	public final static native int SM_SDK_SetVideoMove(int streamID, float tx,
			float ty);

	/**
	 * 设置当前cpu使用信息
	 * 
	 * @param totalCpu
	 *            总体CPU
	 * @param selfCpu
	 *            自身进程CPU
	 * @return 0 - 成功 ，其他 - 失败
	 */
	public final static native int SM_SDK_SetMeetingCpuAdaptionInfo(
			int totalCpu, int selfCpu);

	/**
	 * 复位所有音频渲染输出源
	 * 
	 * @param AudioSourceType
	 *            设置音频渲染输出源，为1是选择蓝牙输出，为0时选择系统默认输出
	 * @return 0 - 成功 ，其他 - 失败
	 */
	public final static native int SM_SDK_ResetAudioRender(int AudioSourceType);

	/*************************************************************************
	 * @brief 设置客户端地域和运营商信息 进会时调用
	 * @param 服务器所在地域
	 * @param 运营商
	 * @return 0：成功；非零表示失败
	 *************************************************************************/
	public final static native int SM_SDK_setTerminalInfo(String area,
			String isp);

	/**
	 * @brief 添加带宽探测服务器信息(循环调用)
	 * @param ip
	 *            ip地址
	 * @param port
	 *            端口号
	 * @param relayid
	 *            relayID
	 * @param area
	 *            服务器所在地域
	 * @param isp
	 *            运营商
	 * @param isAGC
	 *            是否使用AGC。0表示不使用；非零表示使用
	 * @return 成功返回0；失败返回错误码
	 */
	public final static native int SM_SDK_addDetectServerInfo(String ip,
			short port, int relayId, String area, String isp);

	/**
	 * 发布摄像头采集视频流(多路,大小画面)
	 * 
	 * @param streamType
	 *            媒体流类型(SMSDK_STREAM_TYPE_VIDEO_SENDMR)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param sourceType
	 *            媒体流来源类型(SMSDK_SOURCE_TYPE_DEVICE)
	 * @param sourceName
	 *            媒体来源设备名称(安卓传NULL)
	 * @param displayWindow
	 *            本地预览窗口句柄(安卓传NULL)
	 * @param fillMode
	 *            显示充满模式,预定义显示模式(SMSDK_FILL_MODE_RAWRATIO_WITHBLACK)
	 * @param capWidth
	 *            采集分辨率-宽度(需设置)
	 * @param capHeight
	 *            采集分辨率-高度(需设置)
	 * @param capFps
	 *            采集帧率, 默认值: 15
	 * @param HDEncWidth
	 *            大流编码分辨率-宽度（与采集匹配）
	 * @param HDEncHeight
	 *            大流编码分辨率-高度(与采集匹配)
	 * @param HDEncFps
	 *            大流编码帧率, 默认值: 15
	 * @param HDEncBitrate
	 *            大流编码码率, 默认值：800
	 * @param HDVideoCodecLevel
	 *            大流编码等级，默认值: SMSDK_CODEC_LEVEL_LOW
	 * @param HDVideoCodecID
	 *            大流视频编解码器, 默认值: SMSDK_VIDEO_CODEC_ID_H264
	 * @param HDVideoCodecType
	 *            大流视频编码类型, 默认值: SMSDK_VIDEO_CODEC_TYPE_SOFT
	 * @param HDStreamState
	 *            大流码流状态, 默认值: SMSDK_STREAM_RUNNING
	 * @param SDEncWidth
	 *            小流编码分辨率-宽度（与采集匹配）
	 * @param SDEncHeight
	 *            小流编码分辨率-高度(与采集匹配)
	 * @param SDEncFps
	 *            小流编码帧率, 默认值: 15
	 * @param SDEncBitrate
	 *            小流编码码率, 默认值：800
	 * @param SDVideoCodecLevel
	 *            小流编码等级，默认值: SMSDK_CODEC_LEVEL_LOW
	 * @param SDVideoCodecID
	 *            小流视频编解码器, 默认值: SMSDK_VIDEO_CODEC_ID_H264
	 * @param SDVideoCodecType
	 *            小流视频编码类型, 默认值: SMSDK_VIDEO_CODEC_TYPE_SOFT
	 * @param SDStreamState
	 *            小流码流状态, 默认值: SMSDK_STREAM_RUNNING
	 * @param fecDataCount
	 *            fec数据比例，默认值: 6
	 * @param fecCheckCount
	 *            fec校验包比例，默认值: 3
	 * @param dataSendCount
	 *            冗余数据包发送份数，默认值: 0
	 * @param checkSendCount
	 *            冗余校验包发送份数，默认值: 0
	 * @param dataRetransSendCount
	 *            冗余补发数据包发送份数，默认值: 3
	 * @param checkRetransSendCount
	 *            冗余补发校验包发送份数，默认值: 0
	 * @param dataResendCount
	 *            补发请求次数，默认值: 5
	 * @return : 大于0 – 流标识; 其他 – 错误 说明:发布参数需要同时填写大码率和小码率流的编码参数,目前资源id(100)
	 *         大流分辨率大于小流分辨率
	 */
	public final static native int SM_SDK_publishMultiStreamCameraVideo(
			int streamType, int resourceId, int mediaType, int sourceType,
			String sourceName, Object displayWindow, int fillMode,
			int capWidth, int capHeight, int capFps, int HDEncWidth,
			int HDEncHeight, int HDEncFps, int HDEncBitrate,
			int HDVideoCodecLevel, int HDVideoCodecID, int HDVideoCodecType,
			int HDStreamState, int SDEncWidth, int SDEncHeight, int SDEncFps,
			int SDEncBitrate, int SDVideoCodecLevel, int SDVideoCodecID,
			int SDVideoCodecType, int SDStreamState, int fecDataCount,
			int fecCheckCount, int dataSendCount, int checkSendCount,
			int dataRetransSendCount, int checkRetransSendCount,
			int dataResendCount);

	/**
	 * 发布文档视频流(多路,大小画面)
	 * 
	 * @param streamType
	 *            媒体流类型(SMSDK_STREAM_TYPE_VIDEO_SENDMR)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param sourceType
	 *            媒体流来源类型(SMSDK_SOURCE_TYPE_DEVICE)
	 * @param sourceName
	 *            媒体来源设备名称(安卓传NULL)
	 * @param displayWindow
	 *            本地预览窗口句柄(安卓传NULL)
	 * @param fillMode
	 *            显示充满模式,预定义显示模式(SMSDK_FILL_MODE_RAWRATIO_WITHBLACK)
	 * @param capWidth
	 *            采集分辨率-宽度(需设置)
	 * @param capHeight
	 *            采集分辨率-高度(需设置)
	 * @param capFps
	 *            采集帧率, 默认值: 15
	 * @param HDEncWidth
	 *            大流编码分辨率-宽度（与采集匹配）
	 * @param HDEncHeight
	 *            大流编码分辨率-高度(与采集匹配)
	 * @param HDEncFps
	 *            大流编码帧率, 默认值: 15
	 * @param HDEncBitrate
	 *            大流编码码率, 默认值：800
	 * @param HDVideoCodecLevel
	 *            大流编码等级，默认值: SMSDK_CODEC_LEVEL_LOW
	 * @param HDVideoCodecID
	 *            大流视频编解码器, 默认值: SMSDK_VIDEO_CODEC_ID_H264
	 * @param HDVideoCodecType
	 *            大流视频编码类型, 默认值: SMSDK_VIDEO_CODEC_TYPE_SOFT
	 * @param HDStreamState
	 *            大流码流状态, 默认值: SMSDK_STREAM_RUNNING
	 * @param SDEncWidth
	 *            小流编码分辨率-宽度（小于大流）
	 * @param SDEncHeight
	 *            小流编码分辨率-高度(小于大流)
	 * @param SDEncFps
	 *            小流编码帧率, 默认值: 15
	 * @param SDEncBitrate
	 *            小流编码码率, 默认值：300
	 * @param SDVideoCodecLevel
	 *            小流编码等级，默认值: SMSDK_CODEC_LEVEL_LOW
	 * @param SDVideoCodecID
	 *            小流视频编解码器, 默认值: SMSDK_VIDEO_CODEC_ID_H264
	 * @param SDVideoCodecType
	 *            小流视频编码类型, 默认值: SMSDK_VIDEO_CODEC_TYPE_SOFT
	 * @param SDStreamState
	 *            小流码流状态, 默认值: SMSDK_STREAM_RUNNING
	 * @param fecDataCount
	 *            fec数据比例，默认值: 6
	 * @param fecCheckCount
	 *            fec校验包比例，默认值: 3
	 * @param dataSendCount
	 *            冗余数据包发送份数，默认值: 0
	 * @param checkSendCount
	 *            冗余校验包发送份数，默认值: 0
	 * @param dataRetransSendCount
	 *            冗余补发数据包发送份数，默认值: 3
	 * @param checkRetransSendCount
	 *            冗余补发校验包发送份数，默认值: 0
	 * @param dataResendCount
	 *            补发请求次数，默认值: 5
	 * @return : 大于0 – 流标识; 其他 – 错误 说明:发布参数需要同时填写大码率和小码率流的编码参数 大流分辨率大于小流分辨率
	 */
	public final static native int SM_SDK_publishMultiStreamWinCaptureVideo(
			int streamType, int resourceId, int mediaType, int sourceType,
			String sourceName, Object displayWindow, int fillMode,
			int capWidth, int capHeight, int capFps, int HDEncWidth,
			int HDEncHeight, int HDEncFps, int HDEncBitrate,
			int HDVideoCodecLevel, int HDVideoCodecID, int HDVideoCodecType,
			int HDStreamState, int SDEncWidth, int SDEncHeight, int SDEncFps,
			int SDEncBitrate, int SDVideoCodecLevel, int SDVideoCodecID,
			int SDVideoCodecType, int SDStreamState, int fecDataCount,
			int fecCheckCount, int dataSendCount, int checkSendCount,
			int dataRetransSendCount, int checkRetransSendCount,
			int dataResendCount);

	/**
	 * 更新媒体链路(用于大小画面) 参数：int streamID 流标识
	 * 
	 * @param streamType
	 *            媒体流类型(SMSDK_STREAM_TYPE_VIDEO_SENDMR)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param sourceType
	 *            媒体流来源类型(SMSDK_SOURCE_TYPE_DEVICE)
	 * @param sourceName
	 *            媒体来源设备名称(安卓传NULL)
	 * @param displayWindow
	 *            本地预览窗口句柄(安卓传NULL)
	 * @param fillMode
	 *            显示充满模式,预定义显示模式(SMSDK_FILL_MODE_RAWRATIO_WITHBLACK)
	 * @param capWidth
	 *            采集分辨率-宽度(需设置)
	 * @param capHeight
	 *            采集分辨率-高度(需设置)
	 * @param capFps
	 *            采集帧率, 默认值: 15
	 * @param HDEncWidth
	 *            大流编码分辨率-宽度（与采集匹配）
	 * @param HDEncHeight
	 *            大流编码分辨率-高度(与采集匹配)
	 * @param HDEncFps
	 *            大流编码帧率
	 * @param HDEncBitrate
	 *            大流编码码率
	 * @param HDVideoCodecLevel
	 *            大流编码等级，默认值: SMSDK_CODEC_LEVEL_LOW
	 * @param HDVideoCodecID
	 *            大流视频编解码器, 默认值: SMSDK_VIDEO_CODEC_ID_H264
	 * @param HDVideoCodecType
	 *            大流视频编码类型, 默认值: SMSDK_VIDEO_CODEC_TYPE_SOFT
	 * @param HDStreamState
	 *            大流码流状态, 默认值: SMSDK_STREAM_RUNNING
	 * @param SDEncWidth
	 *            小流编码分辨率-宽度（小于大流）
	 * @param SDEncHeight
	 *            小流编码分辨率-高度(小于大流)
	 * @param SDEncFps
	 *            小流编码帧率
	 * @param SDEncBitrate
	 *            小流编码码率
	 * @param SDVideoCodecLevel
	 *            小流编码等级，默认值: SMSDK_CODEC_LEVEL_LOW
	 * @param SDVideoCodecID
	 *            小流视频编解码器, 默认值: SMSDK_VIDEO_CODEC_ID_H264
	 * @param SDVideoCodecType
	 *            小流视频编码类型, 默认值: SMSDK_VIDEO_CODEC_TYPE_SOFT
	 * @param SDStreamState
	 *            小流码流状态, 默认值: SMSDK_STREAM_RUNNING
	 * @param fecDataCount
	 *            fec数据比例，默认值: 6
	 * @param fecCheckCount
	 *            fec校验包比例，默认值: 3
	 * @param dataSendCount
	 *            冗余数据包发送份数，默认值: 0
	 * @param checkSendCount
	 *            冗余校验包发送份数，默认值: 0
	 * @param dataRetransSendCount
	 *            冗余补发数据包发送份数，默认值: 3
	 * @param checkRetransSendCount
	 *            冗余补发校验包发送份数，默认值: 0
	 * @param dataResendCount
	 *            补发请求次数，默认值: 5
	 * @return : 大于0 – 流标识; 其他 – 错误 说明:发布参数需要同时填写大码率和小码率流的编码参数 大流分辨率大于小流分辨率
	 */
	public final static native int SM_SDK_MultiStreamUpdateStream(int streamID,
			int streamType, int resourceId, int mediaType, int sourceType,
			String sourceName, Object displayWindow, int fillMode,
			int capWidth, int capHeight, int capFps, int HDEncWidth,
			int HDEncHeight, int HDEncFps, int HDEncBitrate,
			int HDVideoCodecLevel, int HDVideoCodecID, int HDVideoCodecType,
			int HDStreamState, int SDEncWidth, int SDEncHeight, int SDEncFps,
			int SDEncBitrate, int SDVideoCodecLevel, int SDVideoCodecID,
			int SDVideoCodecType, int SDStreamState, int fecDataCount,
			int fecCheckCount, int dataSendCount, int checkSendCount,
			int dataRetransSendCount, int checkRetransSendCount,
			int dataResendCount);

	/**
	 * 设置多流窗口显示模式(用于大小画面)
	 * 
	 * @param streamID
	 *            链路ID
	 * @param MRDisplayMode
	 *            窗口模式（对应上面的窗口模式的宏）
	 * @param MRDisplayWindowType
	 *            窗口类型（对应上面窗口类型的宏） 返回值 成功返回0；失败返回错误码
	 */
	public final static native int SM_SDK_SetMRDisplayMode(int streamID,
			int MRDisplayMode, int MRDisplayWindowType);

	// 硬编硬解接口
	/**
	 * 获取显示窗口
	 * 
	 * @return 窗口句柄 - 成功 ，其他 - 失败
	 */
	public final static native Object SM_SDK_GetDisplayWindow(int streamID);

	/**
	 * 设置显示窗口
	 * 
	 * @return 窗口句柄 - 成功 ，其他 - 失败
	 */
	public final static native int SM_SDK_SetDisplayWindow(int streamID,
			Object displayW, int aspx, int aspy);

	/**
	 * 设置视频旋转角度
	 * 
	 * @param streamID
	 *            链路ID
	 * @param ori
	 *            角度
	 * @return 0 - 成功 ，其他 - 失败
	 */
	public final static native int SM_SDK_SetVideoOrientation(int streamID,
			int ori);

	/**
	 * @brief 媒体数据接收回调
	 * @param streamID
	 *            媒体链路ID
	 * @param pFrame
	 *            媒体数据指针
	 * @param frameLen
	 *            媒体数据长度
	 * @param ts
	 *            时间戳
	 * @param oritention
	 *            角度
	 */
	public final static native int SM_SDK_PushCameraEncFrame(int streamID,
			int type, byte[] pFrame, int frameLen, long ts, int orientation);

	/**
	 * 发布摄像头自编码视频流
	 * 
	 * @param streamType
	 *            媒体流类型(SMSDK_STREAM_TYPE_VIDEO_CAMERAENC)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param sourceType
	 *            媒体流来源类型(SMSDK_SOURCE_TYPE_DEVICE)
	 * @param sourceName
	 *            媒体来源设备名称(安卓传NULL)
	 * @param displayWindow
	 *            本地预览窗口句柄(安卓传NULL)
	 * @param fillMode
	 *            显示充满模式,预定义显示模式(SMSDK_FILL_MODE_RAWRATIO_WITHBLACK)
	 * @param encWidth
	 *            编码分辨率-宽度（与采集匹配）
	 * @param encHeight
	 *            编码分辨率-高度(与采集匹配)
	 * @param encFps
	 *            编码分辨率-宽度（与采集匹配）
	 * @param encbitRate
	 *            编码分辨率-高度(与采集匹配)
	 * @param videoCodecID
	 *            视频编解码器, 默认值: SMSDK_VIDEO_CODEC_ID_H264
	 * @param videoCodecType
	 *            视频编码类型, 默认值: SMSDK_VIDEO_CODEC_TYPE_SOFT
	 * @param fecDataCount
	 *            fec数据比例，默认值: 6
	 * @param fecCheckCount
	 *            fec校验包比例，默认值: 3
	 * @param dataSendCount
	 *            冗余数据包发送份数，默认值: 0
	 * @param checkSendCount
	 *            冗余校验包发送份数，默认值: 0
	 * @param dataRetransSendCount
	 *            冗余补发数据包发送份数，默认值: 3
	 * @param checkRetransSendCount
	 *            冗余补发校验包发送份数，默认值: 0
	 * @param dataResendCount
	 *            补发请求次数，默认值: 5
	 * @return 大于0 – streamId；其他 – 错误
	 */
	public final static native int SM_SDK_PublishCameraEncodeVideo(
			int streamType, int resourceId, int mediaType, int sourceType,
			String sourceName, Object displayWindow, int fillMode,
			int encWidth, int encHeight, int encFps, int encbitRate,
			int videoCodecID, int videoCodecType, int fecDataCount,
			int fecCheckCount, int dataSendCount, int checkSendCount,
			int dataRetransSendCount, int checkRetransSendCount,
			int dataResendCount);

	/**
	 * @brief 设置上行自适应带宽探测最大值（初始化之后,进会前调用）
	 * @param upBDMaxValue
	 *            最大的上行带宽值(kbps)对于手机端目前建议设置5M
	 * @return 成功返回0；失败返回错误码
	 */
	public final static native int SM_SDK_SetAdaptionUpBandWidthDetectMaxBW(
			int upBDMaxValue);

	/**
	 * @brief 设置下行自适应带宽探测最大值（初始化之后,进会前调用）
	 * @param downBDMaxValue
	 *            最大的上行带宽值(kbps)对于手机端目前建议设置5M
	 * @return 成功返回0；失败返回错误码
	 */
	public final static native int SM_SDK_SetAdaptionDownBandWidthDetectMaxBW(
			int downBDMaxValue);

	/**
	 * @brief 设置音频音量，包括采集和播放音量
	 * @param devName
	 *            设备名称
	 * @param volume
	 *            音量大小，范围0~100
	 * @return 成功返回0；失败返回错误码
	 */
	public final static native int SM_SDK_SetVolume(String devName, int volume);

	/**
	 * @brief 获取音量值，包括采集和播放音量
	 * @param devName
	 *            设备名称
	 * @return <0失败；>=0音量值
	 */
	public final static native int SM_SDK_GetVolume(String devName);

	/**
	 * 设置是否开启自适应
	 * 
	 * @param adapteState
	 *            自适应状态(打开自适应:MEETINGSDK_OPEN_Adapte=0
	 *            关闭自适应:MEETINGSDK_CLOSE_Adapte=1)
	 * @return 0 - 成功 ，其他 - 失败
	 */
	public final static native int SM_SDK_AdjustAdapteState(int adapteState);

	/**
	 * @brief 通知后台质量分析服务器信息
	 * @param msgID
	 *            使用SM_SDK_notifyQosServerData_msgId pData 通知数据信息 len 数据长度
	 * @return 成功返回0；失败返回错误码
	 */
	public final static native int SM_SDK_NotifyQosServerData(int msgID,
			String pData, int len);

	/**
	 * @brief 设置是否使用AGC
	 * @param streamID
	 * @param isAGC
	 *            是否使用AGC。0表示不使用；非零表示使用
	 * @return 成功返回0；失败返回错误码
	 */
	public final static native int SM_SDK_SetIsAGC(int isAGC);

	/**
	 * @brief 获取是否使用AGC
	 * @param 无
	 * @return 0：表示不使用；非零表示使用
	 */
	public final static native int SM_SDK_GetIsAGC();

	/**
	 * @brief 远程录制相关接口,设置的录制服务器信息在单次会议中有效（版本2）
	 * @param ip
	 *            录制服务器IP port 录制服务器port(非负,小于65535)
	 * @return 0-成功，其他-失败 目前只支持一个录制服务器地址
	 */
	public final static native int SM_SDK_setRecordServerAddr2(String ip,
			int port, String pstrcmd, int len);

	/**
	 * @brief 开始录制
	 * @return 0-成功，其他-失败
	 */
	public final static native int SM_SDK_startRecord();

	/**
	 * @brief 停止录制
	 * @return 0-成功，其他-失败
	 */
	public final static native int SM_SDK_stopRecord();

	/**
	 * 订阅视频流（目前提供图层和白板使用）
	 * 
	 * @param userId
	 *            被订阅用户视讯号
	 * @param streamType
	 *            媒体流类型 (SMSDK_STREAM_TYPE_WHITEBOARD_RECV)
	 *            (SMSDK_STREAM_TYPE_VIRTUALLAYER_RECV)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param AVSynGroupID
	 *            音视频同步标识
	 * @param displayWindow
	 *            本地预览窗口句柄(安卓传NULL)
	 * @param fillMode
	 *            显示充满模式,预定义显示模式
	 * @return 大于0 – streamId；其他 – 错误
	 */
	public final static native int SM_SDK_SubscribeVideo2(String userId,
			int streamType, int resourceId, int mediaType, int AVSynGroupID,
			Object displayWindow, int fillMode);

	/**
	 * 发布视频流
	 * 
	 * @param streamType
	 *            媒体流类型(SMSDK_STREAM_TYPE_WHITEBOARD_SEND)
	 * @param resourceId
	 *            资源标识
	 * @param mediaType
	 *            媒体类型
	 * @param displayWindow
	 *            本地预览窗口句柄(安卓传NULL)
	 * @return 大于0 – streamId；其他 – 错误
	 */
	public final static native int SM_SDK_PublishVideo2(int streamType,
			int resourceId, int mediaType, Object displayWindow);

	/**
	 * @brief 获取framework层的StreamID
	 * @param srtreamid
	 *            sdk流id
	 * @return 大于0 – StreamID；其他 – 错误
	 */
	public final static native int SM_SDK_getFrameWorkStreamID(int srtreamid);

	/**
	 * @brief 设置relay的转换map,可以实时调用
	 * @param mapStr
	 *            json格式字符串
	 * @return 无
	 */
	public final static native void SM_SDK_setUpConvertRelayIPMap(String mapStr);

	public final static native void SM_SDK_setDownConvertRelayIPMap(
			String mapStr);

	/*************************************************************************
	 * @brief 设置recver的转换map,可以实时调用
	 * @param mapStr
	 *            json格式字符串
	 * @return 无
	 *************************************************************************/
	public final static native void SM_SDK_setConvertRecverIPMap(String mapStr);

	/**
	 * @ 参数:streamID:流ID 没有需要填写-1即可 sm_msg
	 * smsdk消息id值（0-relayagent消息，1-framework消息） msgInfo 消息信息 {"eventId":"1"}
	 * msgLen 返回结果空间大小
	 * 
	 * @ 返回值: 1 空串,内部异常，无法返回json串 2 返回结果： {"result":"0"} //0 - 成功，other-失败。任意扩展
	 */
	public final static native String SM_SDK_MsgNotify(int streamID,
			int sm_msg, String msgInfo, int msgLen);

	static {

		System.loadLibrary("logwriter");
		System.loadLibrary("MeetingQosInfoReportTools");
		System.loadLibrary("MediaServiceAgent");
		System.loadLibrary("agc");
//		System.loadLibrary("gnustl_shared");
		// System.loadLibrary("tbb");
		// System.loadLibrary("Part1Mask");
//		System.loadLibrary("ButelVoiceEngine");
		System.loadLibrary("MediaFrameWork");
		System.loadLibrary("smsdk");
	}
}
