package cn.redcdn.datacenter.CapcthaCenter;

import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;
import cn.redcdn.log.CustomLog;

/**
 * Created by gexy on 2019\9\26 0026.
 */

public class CheckCaptcha extends MDSAbstractBusinessData<String> {
    private static final String TAG = "CheckCaptcha";

    /**
     * 校验验证码
     * @param id    验证码id
     * @param imgCode  验证码内容
     * @return 0:成功 其他:失败
     */
    public int checkCaptcha(String id,String imgCode) {
        try {
            JSONObject json = new JSONObject();
            json.put("id", id);
            json.put("imgCode", imgCode);

            return exec(ConstConfig.getCaptchaMasterUrl() + ConstConfig.CAPTCHA_GET_CAPTCHA, json.toString());
        } catch (Exception e) {
            CustomLog.e(TAG, e.getMessage());
        }
        return  -1;
    }

    protected String parseContentBody(JSONObject jo) {
        JSONObject json = jo.optJSONObject("data");
        if (json != null) {

        }
        return "";
    }

    protected Parser getParser() {
        return new MedicalParser();
    }
}
