package cn.redcdn.datacenter.JasCenter;

import org.json.JSONObject;

import cn.redcdn.datacenter.InvalidateResponseException;
import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;
import cn.redcdn.log.CustomLog;

/**
 * Created by gexy on 2019\4\23 0023.
 */

public class FaceAuth extends MDSAbstractBusinessData<String> {

    private String TAG = "FaceAuth";

    public int faceCompare(String token,String headThumUrl) {
        CustomLog.d(TAG, "faceCompare token=" + token + " headThumUrl=" + headThumUrl);
        JSONObject json = new JSONObject();
        try {
            json.put("token", token);
            json.put("headThumUrl", headThumUrl);
        } catch (Exception e) {
            return -3;
        }
        return exec(ConstConfig.getJasUrl() + ConstConfig.JAS_FACE_AUTH, json.toString());
    }

    protected String parseContentBody(JSONObject jo) throws InvalidateResponseException {
        return "";
    }

    protected Parser getParser() {
        return new MedicalParser();
    }
}
