package cn.redcdn.datacenter.JasCenter;

import org.json.JSONObject;

import cn.redcdn.datacenter.InvalidateResponseException;
import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;
import cn.redcdn.log.CustomLog;

/**
 * Created by gexy on 2019\4\23 0023.
 */

public class InterUserExamine extends MDSAbstractBusinessData<String> {
    private String TAG = "InterUserExamine";

    public int examine(String token, String nube, String state, String reason) {
        CustomLog.d(TAG, "examine token=" + token + " nube=" + nube + " state=" + state + " reason=" + reason);
        JSONObject json = new JSONObject();
        try {
            json.put("token", token);
            json.put("nube", nube);
            json.put("state", state);
            json.put("reason", reason);
        } catch (Exception e) {
            return -3;
        }
        return exec(ConstConfig.getJasUrl() + ConstConfig.JAS_INTER_USER_EXAMINE, json.toString());
    }

    protected String parseContentBody(JSONObject jo) throws InvalidateResponseException {
        return "";
    }

    protected Parser getParser() {
        return new MedicalParser();
    }
}
