package cn.redcdn.datacenter.JasCenter.data;

import java.io.Serializable;

/**
 * Created by gexy on 2019\4\23 0023.
 */

public class UserInfo implements Serializable {
    private String type; // 用户类型 1:内部用户  2:外部用户
    private String mobile; // 手机号
    private String headThumUrl; // 头像
    private String nube; // 视讯号
    private String name; // 姓名
    private String company; // 单位
    private String state; // 认证状态  1:未邀请 2:未提交审核 3:己提交审核 4:己通过审核 5:己拒绝
    private String guaranteeMode; // 保障模式 1 项目保障 2 局部保障
    private String guarantorNube; // 担保人视讯号(外部用户时设定)
    private String guarantorName; // 担保人名称(外部用户时设定)
    private String guarantorCompany; // 担保人单位(外部用户时设定)
    private String guarantorMobile; // 担保人手机号(外部用户时设定)
    private String guarantorGroupId; // 担保人组织机构最后一级分组id
    private String reason; // 拒绝理由
    private String authSign; // 认证标识(参照3.5认证标识定义)  1:需要认证 2:不需要认证
    private String monitorSign; // 监控标识(参照3.6认证标识定义) 1:不监控(不是超级用户) 2:监控(超级用户)
    private String contactExistSign; // 通讯录标识(参照3.7通讯录标识定义) 1:不存在  2:存在

    public UserInfo() {
        type = "";
        mobile = "";
        headThumUrl = "";
        nube = "";
        name = "";
        company = "";
        state = "";
        guaranteeMode = "";
        guarantorNube = "";
        guarantorName = "";
        guarantorCompany = "";
        guarantorMobile = "";
        guarantorGroupId = "";
        reason = "";
        authSign = "";
        monitorSign = "";
        contactExistSign = "";
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getHeadThumUrl() {
        return headThumUrl;
    }

    public void setHeadThumUrl(String headThumUrl) {
        this.headThumUrl = headThumUrl;
    }

    public String getNube() {
        return nube;
    }

    public void setNube(String nube) {
        this.nube = nube;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getGuarantorNube() {
        return guarantorNube;
    }

    public void setGuarantorNube(String guarantorNube) {
        this.guarantorNube = guarantorNube;
    }

    public String getGuarantorName() {
        return guarantorName;
    }

    public void setGuarantorName(String guarantorName) {
        this.guarantorName = guarantorName;
    }

    public String getGuarantorCompany() {
        return guarantorCompany;
    }

    public void setGuarantorCompany(String guarantorCompany) {
        this.guarantorCompany = guarantorCompany;
    }

    public String getGuarantorMobile() {
        return guarantorMobile;
    }

    public void setGuarantorMobile(String guarantorMobile) {
        this.guarantorMobile = guarantorMobile;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getGuaranteeMode() {
        return guaranteeMode;
    }

    public void setGuaranteeMode(String guaranteeMode) {
        this.guaranteeMode = guaranteeMode;
    }

    public String getGuarantorGroupId() {
        return guarantorGroupId;
    }

    public void setGuarantorGroupId(String guarantorGroupId) {
        this.guarantorGroupId = guarantorGroupId;
    }

    public String getAuthSign() {
        return authSign;
    }

    public void setAuthSign(String authSign) {
        this.authSign = authSign;
    }

    public String getMonitorSign() {
        return monitorSign;
    }

    public void setMonitorSign(String monitorSign) {
        this.monitorSign = monitorSign;
    }

    public String getContactExistSign() {
        return contactExistSign;
    }

    public void setContactExistSign(String contactExistSign) {
        this.contactExistSign = contactExistSign;
    }
}
