package cn.redcdn.datacenter.LssCenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.hpucenter.data.HPUHomeListInfo;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;

/**
 * Created by gexy on 2018\12\5 0005.
 */

public class PlayReport extends MDSAbstractBusinessData<String> {

    /**
     * 播放心跳接口
     *
     * @param cid   内容ID
     * @param type  浏览器类型 （移动端固定 “3”： mobile）
     * @param pid   播放ID  终端/分享页面产生
     * @param uid   终端：视讯号（固定为视讯号）
     * @param ctype 内容类型 1：点播 2：直播 默认不传直播
     * @param ptime 播放时长 单位秒（直播时默认传0）
     */
    public void reportPlayInfo(String cid, String type, String pid, String uid, int ctype, long ptime) {
        String param = "cid=" + cid + "&type=" + type + "&pid=" + pid + "&uid="
                + uid + "&ctype=" + ctype + "&ptime=" + ptime;
        execFaceCompare(ConstConfig.getLssUrl() + ConstConfig.LSS_PLAYER_REPORT, param);
    }

    protected String parseContentBody(JSONObject jo) {
        JSONObject json = jo.optJSONObject("data");
        if (json != null) {

        }
        return "";
    }

    protected Parser getParser() {
        return new MedicalParser();
    }
}
