package cn.redcdn.datacenter;

import org.json.JSONException;
import org.json.JSONObject;

public class PlayParser implements Parser {

	  protected int rc;
	  protected String rd;
	  protected JSONObject body;

	  @Override
	  public int getHeaderValue() {
	    return rc;
	  }

	  @Override
	  public String getHeaderText() {
	    return rd;
	  }

	  @Override
	  public JSONObject getBody() {
	    return body;
	  }

	  @Override
	  public void parse(String content) {
	    try {
	      JSONObject joContent = new JSONObject(content);
//	      JSONObject resultObject = joContent.optJSONObject("result");
//	      rc = resultObject.optInt("rc");
//	      rd = resultObject.optString("rd");
//	      body = joContent.optJSONObject("response");
	      body = joContent;
	    } catch (JSONException e) {
			rc = -1;
			rd = "数据异常,请重试!";
	    }
	  }

	  @Override
	  public boolean isOk() {
	    return rc==0;
	  }
	
}