package cn.redcdn.datacenter.cdnuploadimg;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.MeetingManageParser;
import cn.redcdn.log.CustomLog;

public class CdnUploadParser extends MeetingManageParser {

    @Override
    public void parse(String content) {
//        CustomLog.d("CdnUploadParser", "start parse");
        try {
            JSONObject joContent = new JSONObject(content);
            JSONObject aJson = joContent.getJSONObject("state");
            JSONObject bjson = joContent.getJSONObject("result");
            rc = aJson.getInt("rc");
            rd = aJson.getString("msg");
            body = bjson;
            CustomLog.d("CdnUploadParser", "rc=" + rc + " rd=" + rd);
        } catch (JSONException e) {
            rc = -1;
            rd = "数据异常,请重试!";
            CustomLog.d("CdnUploadParser", "e=" + e.toString());
        }
    }
}
