package cn.redcdn.datacenter.collectcenter;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class DataBodyInfo implements Serializable {
   
	private static final long serialVersionUID = 1287147906126641266L;
	
	public String collectionId;
	public String localUrl;    
	public String remoteUrl;   
	public String thumbnailRemoteUrl;   
	public String fileType;   
	public int photoHeight;  
	public int photoWidh;   
	public int duration;  
	public Long size;
	public String fileName;
	public String compressPath;
	public String txt;
	public String officialAccountId;
	public String name;
	public String ArticleId;
	public int articleType;
	public String introduction;
	public String title;
	public String previewUrl;
	public String offAccLogoUrl; //公众号logo
	public String createTime;
	public int  isforwarded;
	public String ForwarderNube; //被转发者视讯号
	public String ForwarderName;
	public String ForwarderHeaderUrl;
	public int type;
	public String collecTime; //收藏时间  以秒为单位 时间戳
	public String groupName; //收藏的消息，图片文字语音视频 是属于哪个群的
	public String combineHeadUrl;
	public String combineName;
	public String messageTime ;
	public List<DataBodyInfo> combineInfoList;
	public String cardname;
	public String cardCode;
	public String cardUrl;
	public String text;
	public String externalLinkUrl;
	
	public List<WebDataInfo> webdatalist;
	
	public DataBodyInfo(){
		collectionId  = "";
		localUrl = "";
		remoteUrl = "";
		thumbnailRemoteUrl = "";
		fileType = "";
		photoHeight = 0;
		photoWidh = 0;
		duration = 0;
		size = 0L;
		fileName = "";
		compressPath = "";
		txt = "";
		webdatalist = new ArrayList<WebDataInfo>();
		officialAccountId = "";
		name = "";
		ArticleId = "";
		title = "";
		previewUrl = "";
		offAccLogoUrl = "";
		createTime = "";
		isforwarded = -1;
		ForwarderNube = "";
		ForwarderHeaderUrl = "";
		ForwarderName = "";
		type = 0;
		collecTime = "";
		groupName = "";
		combineHeadUrl = "";
		combineName = "";
		combineInfoList = new ArrayList<DataBodyInfo>();
		messageTime = "";
		articleType = 0;
		introduction = "";
		cardCode = "";
		cardname = "";
		cardUrl = "";
		text = "";
		externalLinkUrl = "";
	}
	
	public DataBodyInfo(DataBodyInfo info){
		
		this.collectionId = info.collectionId;
		this.localUrl = info.localUrl;
		this.remoteUrl = info.remoteUrl;
		this.thumbnailRemoteUrl = info.thumbnailRemoteUrl;
		this.fileType = info.fileType;
		this.photoHeight = info.photoHeight;
		this.photoWidh = info.photoWidh;
		this.duration = info.duration;
		this.size = info.size;
		this.fileName = info.fileName;
		this.compressPath = info.compressPath;
		this.txt = info.txt;
		this.webdatalist = info.webdatalist;
		this.officialAccountId = info.officialAccountId;
		this.name = info.name;
		this.ArticleId = info.ArticleId;
		this.title = info.title;
		this.previewUrl = info.previewUrl;
		this.offAccLogoUrl = info.offAccLogoUrl;
		this.createTime = info.createTime;
		this.isforwarded = info.isforwarded;
		this.ForwarderNube = info.ForwarderNube;
		this.ForwarderName = info.ForwarderName;
		this.ForwarderHeaderUrl = info.ForwarderHeaderUrl;
		this.type = info.type;
		this.collecTime = info.collecTime;
		this.groupName = info.groupName;
		this.combineHeadUrl = info.combineHeadUrl;
		this.combineName = info.combineName;
		this.combineInfoList = info.combineInfoList;
		this.messageTime = info.messageTime;
		this.articleType = info.articleType;
		this.introduction = info.introduction;
		this.cardCode = info.cardCode;
		this.cardname = info.cardname;
		this.cardUrl = info.cardUrl;
		this.text = info.text;
		this.externalLinkUrl = info.externalLinkUrl;
	}
    
	
	public String getExternalLinkUrl() {
		return externalLinkUrl;
	}

	public void setExternalLinkUrl(String externalLinkUrl) {
		this.externalLinkUrl = externalLinkUrl;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getCardname() {
		return cardname;
	}

	public void setCardname(String cardname) {
		this.cardname = cardname;
	}

	public String getCardCode() {
		return cardCode;
	}

	public void setCardCode(String cardCode) {
		this.cardCode = cardCode;
	}

	public String getCardUrl() {
		return cardUrl;
	}

	public void setCardUrl(String cardUrl) {
		this.cardUrl = cardUrl;
	}

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public int getArticleType() {
		return articleType;
	}

	public void setArticleType(int articleType) {
		this.articleType = articleType;
	}

	public String getCombineHeadUrl() {
		return combineHeadUrl;
	}

	public void setCombineHeadUrl(String combineHeadUrl) {
		this.combineHeadUrl = combineHeadUrl;
	}

	public String getCombineName() {
		return combineName;
	}

	public void setCombineName(String combineName) {
		this.combineName = combineName;
	}

	public String getMessageTime() {
		return messageTime;
	}

	public void setMessageTime(String messageTime) {
		this.messageTime = messageTime;
	}

	public List<DataBodyInfo> getCombineInfoList() {
		return combineInfoList;
	}

	public void setCombineInfoList(List<DataBodyInfo> combineInfoList) {
		this.combineInfoList = combineInfoList;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public String getCollectionId() {
		return collectionId;
	}

	public void setCollectionId(String collectionId) {
		this.collectionId = collectionId;
	}

	public String getCollecTime() {
		return collecTime;
	}

	public void setCollecTime(String collecTime) {
		this.collecTime = collecTime;
	}

	public String getForwarderName() {
		return ForwarderName;
	}

	public void setForwarderName(String forwarderName) {
		ForwarderName = forwarderName;
	}

	public String getForwarderHeaderUrl() {
		return ForwarderHeaderUrl;
	}

	public void setForwarderHeaderUrl(String forwarderHeaderUrl) {
		ForwarderHeaderUrl = forwarderHeaderUrl;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getOfficialAccountId() {
		return officialAccountId;
	}

	public void setOfficialAccountId(String officialAccountId) {
		this.officialAccountId = officialAccountId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getArticleId() {
		return ArticleId;
	}

	public void setArticleId(String articleId) {
		ArticleId = articleId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getPreviewUrl() {
		return previewUrl;
	}

	public void setPreviewUrl(String previewUrl) {
		this.previewUrl = previewUrl;
	}

	public String getOffAccLogoUrl() {
		return offAccLogoUrl;
	}

	public void setOffAccLogoUrl(String offAccLogoUrl) {
		this.offAccLogoUrl = offAccLogoUrl;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public int getIsforwarded() {
		return isforwarded;
	}

	public void setIsforwarded(int isforwarded) {
		this.isforwarded = isforwarded;
	}

	public String getForwarderNube() {
		return ForwarderNube;
	}

	public void setForwarderNube(String forwarderNube) {
		ForwarderNube = forwarderNube;
	}

	public String getLocalUrl() {
		return localUrl;
	}

	public void setLocalUrl(String localUrl) {
		this.localUrl = localUrl;
	}

	public String getRemoteUrl() {
		return remoteUrl;
	}

	public void setRemoteUrl(String remoteUrl) {
		this.remoteUrl = remoteUrl;
	}

	public String getThumbnailRemoteUrl() {
		return thumbnailRemoteUrl;
	}

	public void setThumbnailRemoteUrl(String thumbnailRemoteUrl) {
		this.thumbnailRemoteUrl = thumbnailRemoteUrl;
	}

	public String getFileType() {
		return fileType;
	}

	public void setFileType(String fileType) {
		this.fileType = fileType;
	}

	public int getPhotoHeight() {
		return photoHeight;
	}

	public void setPhotoHeight(int photoHeight) {
		this.photoHeight = photoHeight;
	}

	public int getPhotoWidh() {
		return photoWidh;
	}

	public void setPhotoWidh(int photoWidh) {
		this.photoWidh = photoWidh;
	}

	public int getDuration() {
		return duration;
	}

	public void setDuration(int duration) {
		this.duration = duration;
	}

	public Long getSize() {
		return size;
	}

	public void setSize(Long size) {
		this.size = size;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getCompressPath() {
		return compressPath;
	}

	public void setCompressPath(String compressPath) {
		this.compressPath = compressPath;
	}

	public String getTxt() {
		return txt;
	}

	public void setTxt(String txt) {
		this.txt = txt;
	}

	public List<WebDataInfo> getWebdatalist() {
		return webdatalist;
	}

	public void setWebdatalist(List<WebDataInfo> webdatalist) {
		this.webdatalist = webdatalist;
	}
	
	
	
}
