package cn.redcdn.datacenter.enterprisecenter.data;

public class AccountInfo {
  public String accesstoken;
  public String nubeNumber;
  public String nickName; // 成员昵称信息
  public String headUrl;   //头像地址
  public int serviceType;// 会议类型 0：全能 1：参会
  public String useStartTime;// 极会议全能服务开始时间
  public String useEndTime; // 极会议全能服务到期时间
  public String mobile;// 用户手机号
  
  public String deviceType;//设备类型
  public String tradeIds; //所属的行业id (对应的行业名称 查看企业用户中心管理界面 极会议_全局配置_行业配置)
  public String paidType; //收費類型：付费类型：0免费，1销售，2试用 默认是0
  
  public int  isEnableMeeting; // 是否具有会议能(1:具有 0:不具有)
  public int  isEnableQueue; // 是否具有点对点能力(1:具有 0:不具有)
  public int  isEnableCharMessage; //是否具有文字消息能力(1:具有 0:不具有)
  public int  isEnableShortVideo; // 是否具有短视频能力(1:具有 0:不具有)
  public int  isEnablePicture; // 是否具有图片能力(1:具有 0:不具有)
  public int  isEnableCard; // 是否具有名片能力
  
  public AccountInfo(){
    accesstoken = "";
    nubeNumber = "";
    nickName = "";
    headUrl = "";
    serviceType = 0;
    useStartTime = "";
    useEndTime = "";
    mobile = "";
    deviceType  = "";
    tradeIds = "";
    paidType = "";
    
    isEnableMeeting = 0;
    isEnableQueue = 0;
    isEnableCharMessage = 0;
    isEnableShortVideo = 0;
    isEnablePicture = 0;
    isEnableCard = 0;
  }
  
  public AccountInfo(AccountInfo info){
    this.accesstoken = info.accesstoken;
    this.nubeNumber = info.nubeNumber;
    this.nickName = info.nickName;
    this.headUrl = info.headUrl;
    this.serviceType = info.serviceType;
    this.useStartTime = info.useStartTime;
    this.useEndTime = info.useEndTime;
    this.mobile = info.mobile;
    this.deviceType = info.deviceType;
    this.tradeIds = info.tradeIds;
    this.paidType = info.paidType;
    
    this.isEnableMeeting = info.isEnableMeeting;
    this.isEnableQueue = info.isEnableQueue;
    this.isEnableCharMessage = info.isEnableCharMessage;
    this.isEnableShortVideo = info.isEnableShortVideo;
    this.isEnablePicture = info.isEnablePicture;
    this.isEnableCard = info.isEnableCard;
  }
  
}
