package cn.redcdn.datacenter.friendValidation;

import org.apache.http.entity.mime.content.ContentBody;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;


public abstract class AddFriend extends MDSAbstractBusinessData<JSONObject>{
/**
 *添加好友接口
 *
 * @param token     鉴权token
 * 
 * @param nube      视讯号
 * 
 * @param nickName  昵称
 * 
 * @param friendNube 好友视讯号 
 * 
 * @param friendNickName 好友昵称
 * 
 * @return 
 *  
 **/
	
	public int addfriend(String token,String nube,String nickName,String friendNube,String friendNickName){
		
		nickName = java.net.URLEncoder.encode(nickName);
		friendNickName = java.net.URLEncoder.encode(friendNickName);
	    String tmpStr = "?token="+token+"&nube="+nube+"&nickName="+nickName+"&friendNube="+friendNube+"&friendNickName="+friendNickName;
	    
//		return exeg("http://175.102.21.35:8189/mfv/friend/add"+tmpStr, "");
		return exeg(ConstConfig.getFriendMangerUrl()+ConstConfig.FRIEND_ADD+tmpStr, "");
//	    return exeg(ConstConfig.getFriend_Url()+ConstConfig.FRIEND_ADD+tmpStr, "");
		
	}
	
	 protected JSONObject parseContentBody(JSONObject jo){
			JSONObject json = new JSONObject();
			return json.optJSONObject("data");
		}
	 
	 protected Parser getParser(){return new MedicalParser();}
	
	
}
