package cn.redcdn.datacenter.friendValidation;

import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;

public abstract class DeleteFriend extends MDSAbstractBusinessData<JSONObject> {

	/**
	 * 删除好友接口
	 * 
	 * @param token  鉴权token
	 *  
	 * @param nube   视讯号
	 * 
 	 * @param friendNube 好友视讯号
 	 * 
 	 * @return 
	 */
	
	public int deletefriend(String token,String nube,String friendNube){
		
		String tmpStr = "?token="+token+"&nube="+nube+"&friendNube="+friendNube;
		
//		return exeg("http://175.102.21.35:8189/mfv/friend/delete"+tmpStr, "");
		return exeg(ConstConfig.getFriendMangerUrl()+ConstConfig.FRIEND_DELETE+tmpStr, "");

	}
	
	 protected JSONObject parseContentBody(JSONObject jo){
			JSONObject json = new JSONObject();
			return json.optJSONObject("data");
		}
	 
	 protected Parser getParser(){return new MedicalParser();}
	
}
