package cn.redcdn.datacenter.groupchat;

import java.util.ArrayList;
import java.util.List;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import android.nfc.Tag;

import cn.redcdn.datacenter.AbstractBusinessData;
import cn.redcdn.datacenter.InvalidateResponseException;
import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.collectcenter.CollectionParser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.data.MDSProviceInfo;
import cn.redcdn.log.CustomLog;

public abstract class GroupAddoneself extends AbstractBusinessData<JSONObject>{
   
	private String tag = GroupAddoneself.class.getName();
	/**
	 * 用户自己加入群组（不需要邀请）
	 * 
	 * @param groupId 群组id
	 * 
	 * @param userToken 用户token
	 * 
	 * @param reqId (选填)http请求标识
	 * 
	 * @return
	 */
	
	public int addOneselfToGroup(String groupid,String userToken){
		
		CustomLog.d(tag, "GroupAddoneself groupId="+groupid+"userToken="+userToken);
		
		String paramStr = "groupId="+groupid+"&userToken="+userToken;
		
		return exec(ConstConfig.getGroupManagerUrl()+"AddOneselfToGroup.html?"+paramStr,"");
			
	}
	protected JSONObject parseContentBody(JSONObject jo) 
			throws InvalidateResponseException{
		
		if (jo!=null) {
	       try {
			System.out.println(jo.getJSONArray("AddOneself").toString());
		} catch (JSONException e) {
			
			e.printStackTrace();
		}
		}
		return jo;
	}
	protected Parser getParser(){
		return new GroupParse();
	}
	
}
