package cn.redcdn.datacenter.hpucenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;

public class HPUAcceptCsl extends MDSAbstractBusinessData<JSONObject>{

	private String TAG = HPUAcceptCsl.class.getName();
	
	/**
	 * 接受诊疗
	 * @param token
	 * @param id   诊疗室id
	 */
	
	
	public void accept(String token,String id){
		
		JSONObject json = new JSONObject();
		try {
			
	    json.put("token", token);
	    json.put("id", id);
				
		} catch (JSONException e) {
			// TODO: handle exception
		}
		
		exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.HPU_ACCEPT_CSL, json.toString());
		
	}
	
	protected JSONObject parseContentBody(JSONObject jo){
		return jo;
	}
	
	
	 protected Parser getParser(){return new HpuParser();}
	
	
}
