package cn.redcdn.datacenter.hpucenter;

import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.List;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

//import android.provider.ContactsContract.StreamItemPhotos;
import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.hpucenter.data.TFCommonInfo;
import cn.redcdn.datacenter.hpucenter.data.TFdepInfo;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;

public class HPUCreateTftm extends MDSAbstractBusinessData<TFCommonInfo>{
	
	/**
	 * 创建转诊
	 * @param token
	 * @param cslId
	 * @param transferSchedulId
	 * @param expertId
	 * @param advice
	 */
	
	public void create(String token,String cslId,String transferSchedulId,String expertId,String advice){
		
		JSONObject json = new JSONObject();
		String encodeAdvice = URLEncoder.encode(advice);
        try {
			
			json.put("token", token);
			json.put("id", cslId);
			json.put("transferSchedulId", transferSchedulId);
			json.put("expertId", expertId);
			json.put("advice", encodeAdvice);
			
			
		} catch (JSONException e) {
			// TODO: handle exception
		}
        exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.HPU_TF_CREATE, json.toString());
		
	}
	public void create(String token,String cslId,String transferSchedulId,String expertId,String advice,String expertName){

		JSONObject json = new JSONObject();
		String encodeAdvice = URLEncoder.encode(advice);
		try {

			json.put("token", token);
			json.put("id", cslId);
			json.put("transferSchedulId", transferSchedulId);
			json.put("expertId", expertId);
			json.put("advice", encodeAdvice);
			json.put("expertName", expertName);


		} catch (JSONException e) {
			// TODO: handle exception
		}
		exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.HPU_TF_CREATE, json.toString());

	}
	
	 protected TFCommonInfo parseContentBody(JSONObject jo){
			
			JSONObject json = jo.optJSONObject("data");
			TFCommonInfo info = new TFCommonInfo();
			if(json!=null){
				info.tfId = json.optString("id");
			}
			
			return info;
		}
		
		
		 protected Parser getParser(){return new HpuParser();}

}
