package cn.redcdn.datacenter.hpucenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.hpucenter.data.TFPdfInfo;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;

/**
 * Created by caizx on 2018/2/28.
 */

public class HPUGetPdfUrl extends MDSAbstractBusinessData<TFPdfInfo> {

    public void  getPdf(String token,String id){
        JSONObject json = new JSONObject();
        try{
            json.put("token",token);
            json.put("id",id);
        }catch (JSONException e){

        }

        exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.HPU_TF_GETPDF,json.toString());
    }

    public  void getCslPdf(String token,String id){
        JSONObject json = new JSONObject();
        try{
            json.put("token",token);
            json.put("id",id);
        }catch (JSONException e){

        }

        exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.HPU_GET_CSL_PDFURL,json.toString());
    }
    protected TFPdfInfo parseContentBody(JSONObject jo){
        TFPdfInfo info = new TFPdfInfo();
        if (jo!=null){
            JSONObject json = jo.optJSONObject("data");
            if (json!=null){
                info.pdfName = json.optString("pdfName");
                info.pdfUrl = json.optString("pdfUrl");
            }
        }
       return info;
    }


    protected Parser getParser(){return new HpuParser();}
}
