package cn.redcdn.datacenter.hpucenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.log.CustomLog;

/**
 * Created by caizx on 2018/5/4.
 */

public class HPUQrJoin extends MDSAbstractBusinessData<JSONObject> {

    String TAG = HPUQrJoin.class.getName();

    /**
     * 通过二维码加入医联体
     * @param token
     * @param id
     */
    public void join(String token,String id){

       JSONObject jsonObject = new JSONObject();
       try {
           jsonObject.put("token",token);
           jsonObject.put("id",id);
       }catch (JSONException e){
           CustomLog.e(TAG,e.getMessage());
       }

       exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.HPU_JOIN_BY_QR,jsonObject.toString());
    }
    protected JSONObject parseContentBody(JSONObject jo){
        return jo;
    }


    protected Parser getParser(){return new HpuParser();}
}
