package cn.redcdn.datacenter.hpucenter.data;

public class CSLInfo {

	public String range; //时间段 开始时间-结束时间
	public String id;  //诊疗号
	public int state; //诊疗状态 
	public String schedulDate; //诊疗预约看诊时间 YYYYMMDD
	public String curNum; //预约号
	public String dtId;  //医联体id
	public String dtName; //医联体名称
	public long cslStartTime; //诊疗开始时间 单位秒
	public long cslEndTime;   //诊疗结束时间 单位秒
	public long curSystemTime;//当前系统时间 单位秒
	public String requestNubeNumber; //求诊者视讯号
	public String requestHosp; //求诊者医院
	public String requestDep;  //求诊者科室
	public String requestName; //求诊者名称
	public String responseNubeNumber; //接诊者视讯号
	public String responseHosp; //接诊者医院
	public String responseDep;  //接诊者科室
	public String responseName; //接诊者名称
	public String patientName;  //患者名称
	public String chief;        //主诉	
    public String groupId;    //群id
    public String meetingNo;  //会议号
	
	public CSLInfo(){
		
		range = "";
		id    = "";
		state = 0;
		schedulDate = "";
		curNum = "";
		dtId = "";
		dtName = "";
		cslStartTime = 0;
		cslEndTime = 0;
		curSystemTime = 0;
		requestNubeNumber = "";
		requestHosp = "";
		requestDep  = "";
		requestName = "";
		responseNubeNumber = "";
		responseHosp = "";
		responseDep = "";
		responseName = "";
		patientName = "";
		chief ="";
		groupId = "";
		meetingNo = "";
		
	}
	
	public CSLInfo(CSLInfo info){
		
		this.range = info.range;
		this.id = info.id;
		this.state = info.state;
		this.schedulDate = info.schedulDate;
		this.curNum = info.curNum;
		this.dtId = info.dtId;
		this.dtName = info.dtName;
		this.requestNubeNumber = info.requestNubeNumber;
		this.requestHosp = info.requestHosp;
		this.requestDep = info.requestDep;
		this.requestName = info.requestName;
		this.responseNubeNumber = info.responseNubeNumber;
		this.responseHosp = info.responseHosp;
		this.responseDep = info.responseDep;
		this.responseName = info.responseName;
		this.patientName = info.patientName;
		this.chief = info.chief;
		this.cslStartTime = info.cslStartTime;
		this.cslEndTime = info.cslEndTime;
		this.curSystemTime = info.curSystemTime;
		this.groupId = info.groupId;
		this.meetingNo = info.meetingNo;
 		
	}
   
	
	
	public String getGroupId() {
		return groupId;
	}

	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}

	public String getMeetingNo() {
		return meetingNo;
	}

	public void setMeetingNo(String meetingNo) {
		this.meetingNo = meetingNo;
	}

	public String getRange() {
		return range;
	}

	public void setRange(String range) {
		this.range = range;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public int getState() {
		return state;
	}

	public void setState(int state) {
		this.state = state;
	}

	public String getSchedulDate() {
		return schedulDate;
	}

	public void setSchedulDate(String schedulDate) {
		this.schedulDate = schedulDate;
	}

	public String getCurNum() {
		return curNum;
	}

	public void setCurNum(String curNum) {
		this.curNum = curNum;
	}

	public String getDtId() {
		return dtId;
	}

	public void setDtId(String dtId) {
		this.dtId = dtId;
	}

	public String getDtName() {
		return dtName;
	}

	public void setDtName(String dtName) {
		this.dtName = dtName;
	}

	public long getCslStartTime() {
		return cslStartTime;
	}

	public void setCslStartTime(long cslStartTime) {
		this.cslStartTime = cslStartTime;
	}

	public long getCslEndTime() {
		return cslEndTime;
	}

	public void setCslEndTime(long cslEndTime) {
		this.cslEndTime = cslEndTime;
	}

	public long getCurSystemTime() {
		return curSystemTime;
	}

	public void setCurSystemTime(long curSystemTime) {
		this.curSystemTime = curSystemTime;
	}

	public String getRequestNubeNumber() {
		return requestNubeNumber;
	}

	public void setRequestNubeNumber(String requestNubeNumber) {
		this.requestNubeNumber = requestNubeNumber;
	}

	public String getRequestHosp() {
		return requestHosp;
	}

	public void setRequestHosp(String requestHosp) {
		this.requestHosp = requestHosp;
	}

	public String getRequestDep() {
		return requestDep;
	}

	public void setRequestDep(String requestDep) {
		this.requestDep = requestDep;
	}

	public String getRequestName() {
		return requestName;
	}

	public void setRequestName(String requestName) {
		this.requestName = requestName;
	}

	public String getResponseNubeNumber() {
		return responseNubeNumber;
	}

	public void setResponseNubeNumber(String responseNubeNumber) {
		this.responseNubeNumber = responseNubeNumber;
	}

	public String getResponseHosp() {
		return responseHosp;
	}

	public void setResponseHosp(String responseHosp) {
		this.responseHosp = responseHosp;
	}

	public String getResponseDep() {
		return responseDep;
	}

	public void setResponseDep(String responseDep) {
		this.responseDep = responseDep;
	}

	public String getResponseName() {
		return responseName;
	}

	public void setResponseName(String responseName) {
		this.responseName = responseName;
	}

	public String getPatientName() {
		return patientName;
	}

	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}

	public String getChief() {
		return chief;
	}

	public void setChief(String chief) {
		this.chief = chief;
	}
	
	
	
	
	
}
