package cn.redcdn.datacenter.hpucenter.data;

import java.util.ArrayList;
import java.util.List;

public class CSLRoomDetailInfo {

    public String patientId; //患者id
    public String guardId; //监护人id
    public String state; //状态
    public String curNum; //预约号
    public String patientName; // 患者姓名
    public String cardType;  //证件类型
    public String patientCard;  //患者证件号
    public String patientAge;   //患者年龄
    public String patientMobile; //患者电话
    public String patientSex;   //患者性别
    public String height;    //身高
    public String weight;    //体重
    public String chief;     //主诉
    public String physical;  //查体
    public String assCheckUrl; //辅助检查
    public String problem;   //患者目前待解决问题
    public String guardCard; //监护人身份证号
    public String guardMobile; //监护人手机
    public String guardSex;   //监护人性别
    public String requestNubeNumber; //求诊者视讯号
    public String requestHosp;   //求诊者医院
    public String requestDep;    //求诊者科室
    public String requestName;   //求诊者姓名
    public String responseNubeNumber; //接诊者视讯号
    public String responseHosp;   //接诊者医院
    public String responseDep;    //接诊者科室
    public String responseName;   //接诊者姓名
    public String advice; // 诊疗意见
    public String requestHeadThumUrl; //求诊者头像
    public String responseHeadThumUrl; //接诊者头像
    public String schedulDate; //预约日期
    public String requestProfessional; //求诊者职称
    public String responseProfessional;//接诊者职称
    public String requestScore; //求诊者评分
    public String requestReview; //求诊者评价
    public String responseScore; //接诊者平分
    public String responseReview; //接诊者评价
    public String groupId; //群组id
    public String meetingNo; //会议号
    public String rangeNumber; //时间段
    public String guardName; //监护人姓名
    public String transferFlg; //是否转诊
    public String transferId; //转诊id
    public String transferAdvice; //转诊诊疗意见
    public String transferHosp; //转诊医院
    public String transferDept; //转诊科室
    public String sectionType; //门诊类型
    public String expertName; //转诊医生姓名
    public String transferSchedulDate; //转诊排班日期
    public String transferRangeFlg; //时间段标识
    public String curSystemTime; //当前系统时间
    public String logoUrL; //
    public String printTransferUrl;
    public String sectionName;
    public String transferNube;

    public String transferAuthority;  //接诊医生的机构是否有转诊权限
    public String confirmDate;   //转诊确认日期精确秒
    public String transferState;  //转诊状态

    public String triageType;    //会诊类型
    public String expectDate;    //
    public String expectRangeNumber;
    public String expectReason;  //分诊被拒绝原因
    public String expectUnionOrgId; //分诊预期机构ID
    public String expectDeptId;  //分诊预期科室ID
    public String expectUnionOrgName; //分诊预期机构名称
    public String expectDeptName;  //分诊预期机构部门名称
    public String comment; //备注

    public String cslNube; //真实接诊医生视讯号
    public String cslHosp; //真实接诊者医院
    public String cslDep;  //真实接诊者科室
    public String cslName; //真实接诊者姓名
    public String cslHeadThumUrl; //真实接诊者头像
    public String cslProfessional;//真实接诊者职称
    public String printTriageUrl; //打印会诊详情地址


    public List<ResponeseInfo> responeseInfos;  //接诊方列表
    public List<EstimatesInfo> estimatesInfos; //评价列表

    public List<TriageExpectResponseInfo> expectResponseInfos; //期望接诊的医院，科室医生

    public CSLRoomDetailInfo() {

        cslDep = "";
        cslHeadThumUrl = "";
        cslHosp = "";
        cslName = "";
        cslNube = "";
        cslProfessional = "";

        transferAuthority = "";
        confirmDate = "";
        transferState = "";

        expectUnionOrgId = ""; //分诊预期机构ID
        expectDeptId = "";  //分诊预期科室ID
        expectUnionOrgName = ""; //分诊预期机构名称
        expectDeptName = "";  //分诊预期机构部门名称
        comment = ""; //备注

        patientCard = "";
        patientId = "";
        patientMobile = "";
        guardId = "";
        state = "";
        curNum = "";
        patientName = "";
        cardType = "";
        patientAge = "";
        patientSex = "";
        height = "";
        weight = "";
        chief = "";
        physical = "";
        assCheckUrl = "";
        problem = "";
        guardCard = "";
        guardMobile = "";
        guardSex = "";
        requestName = "";
        requestNubeNumber = "";
        requestHosp = "";
        requestDep = "";
        responseNubeNumber = "";
        responseHosp = "";
        responseDep = "";
        responseName = "";
        advice = "";
        requestHeadThumUrl = "";
        responseHeadThumUrl = "";
        schedulDate = "";
        requestProfessional = "";
        responseProfessional = "";
        requestScore = "";
        requestReview = "";
        responseScore = "";
        responseReview = "";
        meetingNo = "";
        groupId = "";
        rangeNumber = "";
        guardName = "";
        transferFlg = "";
        transferId = "";
        transferAdvice = "";
        transferHosp = "";
        transferDept = "";
        sectionType = "";
        expertName = "";
        transferSchedulDate = "";
        transferRangeFlg = "";
        curSystemTime = "";
        logoUrL = "";
        sectionName = "";
        printTransferUrl = "";

        responeseInfos = new ArrayList<>();
        estimatesInfos = new ArrayList<>();

        triageType = "";
        expectDate = "";
        expectRangeNumber = "";
        expectReason = "";
        transferNube = "";

        printTriageUrl = "";
        expectResponseInfos = new ArrayList<>();
    }

    public List<TriageExpectResponseInfo> getExpectResponseInfos() {
        return expectResponseInfos;
    }

    public void setExpectResponseInfos(List<TriageExpectResponseInfo> expectResponseInfos) {
        this.expectResponseInfos = expectResponseInfos;
    }

    public String getTransferNube() {
        return transferNube;
    }

    public void setTransferNube(String transferNube) {
        this.transferNube = transferNube;
    }

    public String getTransferAuthority() {
        return transferAuthority;
    }

    public void setTransferAuthority(String transferAuthority) {
        this.transferAuthority = transferAuthority;
    }

    public String getConfirmDate() {
        return confirmDate;
    }

    public void setConfirmDate(String confirmDate) {
        this.confirmDate = confirmDate;
    }

    public String getTransferState() {
        return transferState;
    }

    public void setTransferState(String transferState) {
        this.transferState = transferState;
    }

    public String getExpectUnionOrgId() {
        return expectUnionOrgId;
    }

    public void setExpectUnionOrgId(String expectUnionOrgId) {
        this.expectUnionOrgId = expectUnionOrgId;
    }

    public String getExpectDeptId() {
        return expectDeptId;
    }

    public void setExpectDeptId(String expectDeptId) {
        this.expectDeptId = expectDeptId;
    }

    public String getExpectUnionOrgName() {
        return expectUnionOrgName;
    }

    public void setExpectUnionOrgName(String expectUnionOrgName) {
        this.expectUnionOrgName = expectUnionOrgName;
    }

    public String getExpectDeptName() {
        return expectDeptName;
    }

    public void setExpectDeptName(String expectDeptName) {
        this.expectDeptName = expectDeptName;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getCslNube() {
        return cslNube;
    }

    public void setCslNube(String cslNube) {
        this.cslNube = cslNube;
    }

    public String getCslHosp() {
        return cslHosp;
    }

    public void setCslHosp(String cslHosp) {
        this.cslHosp = cslHosp;
    }

    public String getCslDep() {
        return cslDep;
    }

    public void setCslDep(String cslDep) {
        this.cslDep = cslDep;
    }

    public String getCslName() {
        return cslName;
    }

    public void setCslName(String cslName) {
        this.cslName = cslName;
    }

    public String getCslHeadThumUrl() {
        return cslHeadThumUrl;
    }

    public void setCslHeadThumUrl(String cslHeadThumUrl) {
        this.cslHeadThumUrl = cslHeadThumUrl;
    }

    public String getCslProfessional() {
        return cslProfessional;
    }

    public void setCslProfessional(String cslProfessional) {
        this.cslProfessional = cslProfessional;
    }

    public String getTriageType() {
        return triageType;
    }

    public void setTriageType(String triageType) {
        this.triageType = triageType;
    }

    public String getExpectDate() {
        return expectDate;
    }

    public void setExpectDate(String expectDate) {
        this.expectDate = expectDate;
    }

    public String getExpectRangeNumber() {
        return expectRangeNumber;
    }

    public void setExpectRangeNumber(String expectRangeNumber) {
        this.expectRangeNumber = expectRangeNumber;
    }

    public String getExpectReason() {
        return expectReason;
    }

    public void setExpectReason(String expectReason) {
        this.expectReason = expectReason;
    }

    public List<ResponeseInfo> getResponeseInfos() {
        return responeseInfos;
    }

    public void setResponeseInfos(List<ResponeseInfo> responeseInfos) {
        this.responeseInfos = responeseInfos;
    }

    public List<EstimatesInfo> getEstimatesInfos() {
        return estimatesInfos;
    }

    public void setEstimatesInfos(List<EstimatesInfo> estimatesInfos) {
        this.estimatesInfos = estimatesInfos;
    }

    public String getLogoUrL() {
        return logoUrL;
    }

    public void setLogoUrL(String logoUrL) {
        this.logoUrL = logoUrL;
    }

    public String getPrintTransferUrl() {
        return printTransferUrl;
    }

    public void setPrintTransferUrl(String printTransferUrl) {
        this.printTransferUrl = printTransferUrl;
    }

    public String getSectionName() {
        return sectionName;
    }

    public void setSectionName(String sectionName) {
        this.sectionName = sectionName;
    }

    public String getGuardName() {
        return guardName;
    }


    public void setGuardName(String guardName) {
        this.guardName = guardName;
    }


    public String getTransferFlg() {
        return transferFlg;
    }


    public void setTransferFlg(String transferFlg) {
        this.transferFlg = transferFlg;
    }


    public String getTransferId() {
        return transferId;
    }


    public void setTransferId(String transferId) {
        this.transferId = transferId;
    }


    public String getTransferAdvice() {
        return transferAdvice;
    }


    public void setTransferAdvice(String transferAdvice) {
        this.transferAdvice = transferAdvice;
    }


    public String getTransferHosp() {
        return transferHosp;
    }


    public void setTransferHosp(String transferHosp) {
        this.transferHosp = transferHosp;
    }


    public String getTransferDept() {
        return transferDept;
    }


    public void setTransferDept(String transferDept) {
        this.transferDept = transferDept;
    }


    public String getSectionType() {
        return sectionType;
    }


    public void setSectionType(String sectionType) {
        this.sectionType = sectionType;
    }


    public String getExpertName() {
        return expertName;
    }


    public void setExpertName(String expertName) {
        this.expertName = expertName;
    }


    public String getTransferSchedulDate() {
        return transferSchedulDate;
    }


    public void setTransferSchedulDate(String transferSchedulDate) {
        this.transferSchedulDate = transferSchedulDate;
    }


    public String getTransferRangeFlg() {
        return transferRangeFlg;
    }


    public void setTransferRangeFlg(String transferRangeFlg) {
        this.transferRangeFlg = transferRangeFlg;
    }


    public String getCurSystemTime() {
        return curSystemTime;
    }


    public void setCurSystemTime(String curSystemTime) {
        this.curSystemTime = curSystemTime;
    }


    public String getRangeNumber() {
        return rangeNumber;
    }


    public void setRangeNumber(String rangeNumber) {
        this.rangeNumber = rangeNumber;
    }


    public String getRequestScore() {
        return requestScore;
    }


    public void setRequestScore(String requestScore) {
        this.requestScore = requestScore;
    }


    public String getRequestReview() {
        return requestReview;
    }


    public void setRequestReview(String requestReview) {
        this.requestReview = requestReview;
    }


    public String getResponseScore() {
        return responseScore;
    }


    public void setResponseScore(String responseScore) {
        this.responseScore = responseScore;
    }


    public String getResponseReview() {
        return responseReview;
    }


    public void setResponseReview(String responseReview) {
        this.responseReview = responseReview;
    }


    public String getGroupId() {
        return groupId;
    }


    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }


    public String getMeetingNo() {
        return meetingNo;
    }


    public void setMeetingNo(String meetingNo) {
        this.meetingNo = meetingNo;
    }


    public String getSchedulDate() {
        return schedulDate;
    }


    public void setSchedulDate(String schedulDate) {
        this.schedulDate = schedulDate;
    }


    public String getRequestProfessional() {
        return requestProfessional;
    }


    public void setRequestProfessional(String requestProfessional) {
        this.requestProfessional = requestProfessional;
    }


    public String getResponseProfessional() {
        return responseProfessional;
    }


    public void setResponseProfessional(String responseProfessional) {
        this.responseProfessional = responseProfessional;
    }


    public String getRequestHeadThumUrl() {
        return requestHeadThumUrl;
    }


    public void setRequestHeadThumUrl(String requestHeadThumUrl) {
        this.requestHeadThumUrl = requestHeadThumUrl;
    }


    public String getResponseHeadThumUrl() {
        return responseHeadThumUrl;
    }


    public void setResponseHeadThumUrl(String responseHeadThumUrl) {
        this.responseHeadThumUrl = responseHeadThumUrl;
    }


    public String getPatientAge() {
        return patientAge;
    }

    public void setPatientAge(String patientAge) {
        this.patientAge = patientAge;
    }


    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getGuardId() {
        return guardId;
    }

    public void setGuardId(String guardId) {
        this.guardId = guardId;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getCurNum() {
        return curNum;
    }

    public void setCurNum(String curNum) {
        this.curNum = curNum;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getPatientCard() {
        return patientCard;
    }

    public void setPatientCard(String patientCard) {
        this.patientCard = patientCard;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public String getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(String patientSex) {
        this.patientSex = patientSex;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getChief() {
        return chief;
    }

    public void setChief(String chief) {
        this.chief = chief;
    }

    public String getPhysical() {
        return physical;
    }

    public void setPhysical(String physical) {
        this.physical = physical;
    }

    public String getAssCheckUrl() {
        return assCheckUrl;
    }

    public void setAssCheckUrl(String assCheckUrl) {
        this.assCheckUrl = assCheckUrl;
    }

    public String getProblem() {
        return problem;
    }

    public void setProblem(String problem) {
        this.problem = problem;
    }

    public String getGuardCard() {
        return guardCard;
    }

    public void setGuardCard(String guardCard) {
        this.guardCard = guardCard;
    }

    public String getGuardMobile() {
        return guardMobile;
    }

    public void setGuardMobile(String guardMobile) {
        this.guardMobile = guardMobile;
    }

    public String getGuardSex() {
        return guardSex;
    }

    public void setGuardSex(String guardSex) {
        this.guardSex = guardSex;
    }

    public String getRequestNubeNumber() {
        return requestNubeNumber;
    }

    public void setRequestNubeNumber(String requestNubeNumber) {
        this.requestNubeNumber = requestNubeNumber;
    }

    public String getRequestHosp() {
        return requestHosp;
    }

    public void setRequestHosp(String requestHosp) {
        this.requestHosp = requestHosp;
    }

    public String getRequestDep() {
        return requestDep;
    }

    public void setRequestDep(String requestDep) {
        this.requestDep = requestDep;
    }

    public String getRequestName() {
        return requestName;
    }

    public void setRequestName(String requestName) {
        this.requestName = requestName;
    }

    public String getResponseNubeNumber() {
        return responseNubeNumber;
    }

    public void setResponseNubeNumber(String responseNubeNumber) {
        this.responseNubeNumber = responseNubeNumber;
    }

    public String getResponseHosp() {
        return responseHosp;
    }

    public void setResponseHosp(String responseHosp) {
        this.responseHosp = responseHosp;
    }

    public String getResponseDep() {
        return responseDep;
    }

    public void setResponseDep(String responseDep) {
        this.responseDep = responseDep;
    }

    public String getResponseName() {
        return responseName;
    }

    public void setResponseName(String responseName) {
        this.responseName = responseName;
    }

    public String getAdvice() {
        return advice;
    }

    public void setAdvice(String advice) {
        this.advice = advice;
    }

    public String getPrintTriageUrl() {
        return printTriageUrl;
    }

    public void setPrintTriageUrl(String printTriageUrl) {
        this.printTriageUrl = printTriageUrl;
    }
}
