package cn.redcdn.datacenter.hpucenter.data;

import java.util.ArrayList;
import java.util.List;

import cn.redcdn.datacenter.medicalcenter.data.MDSHomeCustomInfo;
import cn.redcdn.datacenter.medicalcenter.data.MDSHomeInfo;
import cn.redcdn.datacenter.medicalcenter.data.MDSHomelistInfo;

public class MainPageInfo {

	public String dtId;
	public String dtName;

	public List<MDSHomelistInfo> homeRecommendList; //推荐列表
	public List<MDSHomeCustomInfo>  homeCustomList;  //自定义列表
	
    public MainPageInfo(){
    	
    	dtId = "";
    	dtName = "";
    	homeRecommendList = new ArrayList<MDSHomelistInfo>();
    	homeCustomList = new ArrayList<MDSHomeCustomInfo>();
    	
    }
    
    public MainPageInfo(MainPageInfo info){
    	
    	this.dtId = info.dtId;
    	this.dtName = info.dtName;
    	this.homeRecommendList = info.homeRecommendList;
    	this.homeCustomList = info.homeCustomList;
    }

	public String getDtId() {
		return dtId;
	}

	public void setDtId(String dtId) {
		this.dtId = dtId;
	}

	public String getDtName() {
		return dtName;
	}

	public void setDtName(String dtName) {
		this.dtName = dtName;
	}

	public List<MDSHomelistInfo> getHomeRecommendList() {
		return homeRecommendList;
	}

	public void setHomeRecommendList(List<MDSHomelistInfo> homeRecommendList) {
		this.homeRecommendList = homeRecommendList;
	}

	public List<MDSHomeCustomInfo> getHomeCustomList() {
		return homeCustomList;
	}

	public void setHomeCustomList(List<MDSHomeCustomInfo> homeCustomList) {
		this.homeCustomList = homeCustomList;
	}
    
    

	
    
    
	
}
