package cn.redcdn.datacenter.jhycenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.datacenter.jhycenter.data.JHYAccountInfo;
import cn.redcdn.datacenter.jhycenter.data.JHYVipInfo;
import cn.redcdn.datacenter.medicalcenter.MDSAbstractBusinessData;
import cn.redcdn.datacenter.medicalcenter.MedicalParser;

public class JHYappJIGetMCUrl extends MDSAbstractBusinessData<JHYVipInfo>{

	
	public void getMCurl(String token,String nube){
		
          JSONObject json = new JSONObject();
          try {
			
        	  json.put("token",token);
        	  json.put("nube", nube);
        	  
		} catch (JSONException e) {
			// TODO: handle exception
		}
		exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.JHY_MCURL, json.toString());
	}
	
	protected JHYVipInfo  parseContentBody (JSONObject jo){
		
		JHYVipInfo info = new JHYVipInfo();
		if(jo!=null){
			info.memberCenterUrl = jo.optString("memberCenterUrl");
		}
		return info;
	}
	
	protected Parser getParser(){
		return new MedicalParser();
	}
	
}
