package cn.redcdn.datacenter.medicalcenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;

public abstract class MDSAPPUnbindGroupCsl extends MDSAbstractBusinessData<JSONObject>{

    /**
     * 解绑群会诊
     * @param token
     * @param groupId
     */
	
	public void unbindGroupCsl(String token,String groupId){
		
		JSONObject json = new JSONObject();
		try {
			json.put("token", token);
			json.put("groupId", groupId);
		} catch (JSONException e) {
			// TODO: handle exception
		}
		exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.MDS_UNBIND_GROUPCSL,json.toString());
	}
	protected JSONObject parseContentBody(JSONObject jo) 
	{
		return jo;
	}
    protected Parser getParser(){return new MedicalParser();}
	
}
