package cn.redcdn.datacenter.medicalcenter;



import org.json.JSONObject;
import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.log.CustomLog;

public abstract class MDSAppLogout extends MDSAbstractBusinessData<JSONObject>{
	private String tag = MDSAppLogout.class.getName();
	
	public int appLogout(String token)
	{
		CustomLog.d(tag, "token = "+token);
		JSONObject json = new JSONObject();
		try {
			json.put("token", token);
		} catch (Exception e) {
			// TODO: handle exception
			return -3;
		}
       return exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.MDS_APP_LOGOUT, json.toString());
	}
    protected Parser getParser(){return new MedicalParser();}	
}
