package cn.redcdn.datacenter.medicalcenter;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.log.CustomLog;

public abstract class MDSAppUpdatePhoto extends MDSAbstractBusinessData<String>
{
	private String tag= MDSAppUpdatePhoto.class.getName();
	
	public int appUpdatePhoto(String token,String headThumUrl,String headPreviewUrl)
	{
    CustomLog.d(tag, "MDSAppUpdatePhoto token="+token+"headThumUrl ="+headThumUrl+
    		"headPreviewUrl ="+headPreviewUrl);
		
		JSONObject json = new JSONObject();
		try {
			json.put("token",token);
			json.put("headThumUrl",headThumUrl);
			json.put("headPreviewUrl", headPreviewUrl);
		} catch (JSONException e) {
			// TODO: handle exception
			return -3;
		}
		
		return exec(ConstConfig.getMedicalCenterUrl()+ConstConfig.MDS_UPDATE_PHOTO,json.toString());
		
	}
	
	protected String parseContentBody(JSONObject jo){
		JSONObject json = new JSONObject();
		return json.optString("qrCodeUrl");
	}
	protected Parser getParser(){
		return new MedicalParser();
	}
	
}
