package cn.redcdn.datacenter.medicalcenter;

import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;
import cn.redcdn.log.CustomLog;

public abstract class MDSAppUploadGroupNotice extends MDSAbstractBusinessData<JSONObject> {

	private String tag = MDSAppUploadGroupNotice.class.getName();
	/*
	 * 上传/更新群公告
	 * @param token
	 * 
	 * @param groupId  群ID
	 * 
	 * @param noticeContent 公告内容
	 * 
	 */
	public int appUploadGroupNotice(String token,String groupId,String noticeContent) {
		
	    CustomLog.d(tag, "appUploadGroupNotice +token ="+token+"groupId ="+groupId+"noticeContent ="+noticeContent);
		JSONObject json = new JSONObject();
		String decodeConent = java.net.URLEncoder.encode(noticeContent);
		
		try {
			json.put("token", token);
			json.put("groupId", groupId);
			json.put("noticeContent", decodeConent);
		} catch (Exception e) {
			// TODO: handle exception
		}
		
		return exec(ConstConfig.getMedicalCenterUrl()+"group/uploadnotice", json.toString());
	}
	protected Parser getParser(){
		return new MedicalParser();
	}
}
