package cn.redcdn.datacenter.medicalcenter;

import org.json.JSONObject;

import cn.redcdn.datacenter.Parser;
import cn.redcdn.datacenter.config.ConstConfig;

/**
 * Created by gexy on 2019\7\3 0003.
 */

public class MDSUploadBefore extends MDSAbstractBusinessData<String> {

    /**
     * MDS 视频文件占位
     * @param token
     * @param fileName
     */
    public void getFileId(String token,String fileName) {
        JSONObject jsonObject = new JSONObject();
        try {
            jsonObject.put("token", token);
            jsonObject.put("fileName", fileName);
        } catch (Exception e) {

        }
        exec(ConstConfig.getMedicalCenterUrl() + ConstConfig.MDS_GET_FILE_ID, jsonObject.toString());
    }

    protected String parseContentBody(JSONObject jo) {
        String fileId = "";
        if (jo != null) {
            JSONObject jsonObject = jo.optJSONObject("data");
            if (jsonObject != null) {
                fileId = jsonObject.optString("fileID");
            }
        }
        return fileId;
    }

    protected Parser getParser() {
        return new MedicalParser();
    }
}
