package cn.redcdn.datacenter.medicalcenter.data;

public class MDSDetailInfo {
    public String uid;
    public String headThumUrl;
    public String headPreviewUrl;
    public String nickName;
    public String account;
    public String accountType;
    public String nubeNumber;
    public String qrCodeUrl;
    public String workUnit;
    public String workUnitType;
    public String department;
    public String professional;
    public String officTel;
    public String mail;
    public String mobile;
    public String remarks;

    //红云紫光 新增
    public String model; //型号 专业
    public String remarks2; //备注2
    public String remarks3; //备注3

    //极会议新增
    public String headUrl; //头像
    public int userType;
    public String expiryDate;

    public int state; //注册审核状态（详见5.33） 1:待注册审核 2:已通过注册审核 3:已拒绝注册审核
    public int doctubeState; //认证审核状态（详见5.34）1:未提交认证资料 2:待认证审核 3:已通过认证审核 4:已拒绝认证审核
    public String certificateThumUrl; //认证照片缩略图
    public String certificatePreviewUrl; //认证照片预览图
    public String versionNo; //版本号
    public String createTime; //创建时间
    public String updateTime; //更新时间

    public MDSDetailInfo() {
        uid = "";
        headThumUrl = "";
        headPreviewUrl = "";
        nickName = "";
        account = "";
        accountType = "";
        nubeNumber = "";
        qrCodeUrl = "";
        workUnit = "";
        workUnitType = "";
        department = "";
        professional = "";
        officTel = "";
        mail = "";
        mobile = "";
        remarks = "";

        model = "";
        remarks2 = "";
        remarks3 = "";

        headUrl = "";
        expiryDate = "";
        userType = 0;

        state = 0;
        doctubeState = 0;
        certificateThumUrl = "";
        certificatePreviewUrl = "";
        versionNo = "";
        createTime = "";
        updateTime = "";
    }

    public MDSDetailInfo(MDSDetailInfo info) {
        this.uid = info.uid;
        this.headThumUrl = info.headThumUrl;
        this.headPreviewUrl = info.headPreviewUrl;
        this.nickName = info.nickName;
        this.account = info.account;
        this.accountType = info.accountType;
        this.nubeNumber = info.nubeNumber;
        this.qrCodeUrl = info.qrCodeUrl;
        this.workUnit = info.workUnit;
        this.workUnitType = info.workUnitType;
        this.department = info.department;
        this.professional = info.professional;
        this.officTel = info.officTel;
        this.mail = info.mail;
        this.mobile = info.mobile;
        this.remarks = info.remarks;

        this.model = info.model;
        this.remarks2 = info.remarks2;
        this.remarks3 = info.remarks3;

        this.headUrl = info.headUrl;
        this.expiryDate = info.expiryDate;
        this.userType = info.userType;

    }


    public String getHeadUrl() {
        return headUrl;
    }

    public void setHeadUrl(String headUrl) {
        this.headUrl = headUrl;
    }

    public int getUserType() {
        return userType;
    }

    public void setUserType(int userType) {
        this.userType = userType;
    }

    public String getExpiryDate() {
        return expiryDate;
    }

    public void setExpiryDate(String expiryDate) {
        this.expiryDate = expiryDate;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getRemarks2() {
        return remarks2;
    }

    public void setRemarks2(String remarks2) {
        this.remarks2 = remarks2;
    }

    public String getRemarks3() {
        return remarks3;
    }

    public void setRemarks3(String remarks3) {
        this.remarks3 = remarks3;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getHeadThumUrl() {
        return headThumUrl;
    }

    public void setHeadThumUrl(String headThumUrl) {
        this.headThumUrl = headThumUrl;
    }

    public String getHeadPreviewUrl() {
        return headPreviewUrl;
    }

    public void setHeadPreviewUrl(String headPreviewUrl) {
        this.headPreviewUrl = headPreviewUrl;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getAccountType() {
        return accountType;
    }

    public void setAccountType(String accountType) {
        this.accountType = accountType;
    }

    public String getNubeNumber() {
        return nubeNumber;
    }

    public void setNubeNumber(String nubeNumber) {
        this.nubeNumber = nubeNumber;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }

    public String getWorkUnitType() {
        return workUnitType;
    }

    public void setWorkUnitType(String workUnitType) {
        this.workUnitType = workUnitType;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getProfessional() {
        return professional;
    }

    public void setProfessional(String professional) {
        this.professional = professional;
    }

    public String getOfficTel() {
        return officTel;
    }

    public void setOfficTel(String officTel) {
        this.officTel = officTel;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public int getDoctubeState() {
        return doctubeState;
    }

    public void setDoctubeState(int doctubeState) {
        this.doctubeState = doctubeState;
    }

    public String getCertificateThumUrl() {
        return certificateThumUrl;
    }

    public void setCertificateThumUrl(String certificateThumUrl) {
        this.certificateThumUrl = certificateThumUrl;
    }

    public String getCertificatePreviewUrl() {
        return certificatePreviewUrl;
    }

    public void setCertificatePreviewUrl(String certificatePreviewUrl) {
        this.certificatePreviewUrl = certificatePreviewUrl;
    }

    public String getVersionNo() {
        return versionNo;
    }

    public void setVersionNo(String versionNo) {
        this.versionNo = versionNo;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
