package cn.redcdn.datacenter.meetingmanage;

import org.json.JSONArray;
import org.json.JSONException;

import org.json.JSONObject;

import cn.redcdn.datacenter.AbstractBusinessDataBoth;
import cn.redcdn.datacenter.Parser;
import cn.redcdn.log.CustomLog;

public class GetNowMeetingsParser implements Parser {

  private String tag = getClass().getName();
  protected int rc;
  protected String rd;
  protected JSONObject body;
  protected JSONObject SecondBody;
  protected JSONArray SecondBodyData;

  @Override
  public int getHeaderValue() {
    return rc;
  }

  @Override
  public String getHeaderText() {
    return rd;
  }

  @Override
  public JSONObject getBody() {
    return body;
  }

  @Override
  public void parse(String content) {
	  String FirstContent;
	  String SecondContent;
	  
	  CustomLog.e(tag, "content:"+content);
	  
	  if(content.contains(AbstractBusinessDataBoth.Devide)){
		  
		  CustomLog.e(tag, "content contains Devide");
		  
		  FirstContent = content.substring(0, content.indexOf(AbstractBusinessDataBoth.Devide));
		  
		  CustomLog.e(tag, "FirstContent:"+FirstContent);
		  
		  SecondContent = content.substring(content.indexOf(AbstractBusinessDataBoth.Devide)+5,content.length());
	  
	      CustomLog.e(tag, "SecondContent:"+SecondContent);
		  
		  try {
		        JSONObject FirstJoContent = new JSONObject(FirstContent);
		        
		        JSONObject FirstResultObject = FirstJoContent.optJSONObject("result");
		        
		        JSONObject SecondJoContent = new JSONObject(SecondContent);
		        
		        JSONObject SecondResultObject = SecondJoContent.optJSONObject("result");
		        		        
		        rc = FirstResultObject.optInt("rc");
		        
		        rd = FirstResultObject.optString("rd");
		        
		        body = FirstJoContent.optJSONObject("response");
		        
		        if(null!=FirstJoContent.optJSONObject("response")){
		        	CustomLog.e(tag, "body:"+body.toString());
		        	
			        SecondBody = SecondJoContent.optJSONObject("response");
			        
			        if(null!=SecondJoContent.optJSONObject("response")){
			        	CustomLog.e(tag, "SecondBody:"+SecondBody.toString());
			        	
				        SecondBodyData = SecondBody.optJSONArray("data");
				        
				        if(null!=SecondBody.optJSONArray("data")){
				        	CustomLog.e(tag, "SecondBodyData:"+SecondBodyData.toString());
				        	
				        	body.put("data2", SecondBodyData);
				        	
				        }else{
				        	CustomLog.e(tag, "SecondBodyData==null");
				        }
			        	
			        }else{
			        	CustomLog.e(tag, "SecondBody==null");
			        	
			        }
		        	
		        }else{
		        	CustomLog.e(tag, "body==null");
		        }
		   
		      } catch (JSONException e) {
		      }	
		  
	  }else{
		  
		  CustomLog.e(tag, "content doesn't contain Devide");
		  
		  CustomLog.e(tag,"content:"+content);
		  
		    try {
		        JSONObject joContent = new JSONObject(content);
		        JSONObject resultObject = joContent.optJSONObject("result");
		        rc = resultObject.optInt("rc");
		        rd = resultObject.optString("rd");
		        body = joContent.optJSONObject("response");
		      } catch (JSONException e) {
		      }	  	  
		  
	  }
	  

  }

  @Override
  public boolean isOk() {
    return rc==0;
  }
}
