package cn.redcdn.datacenter.meetingmanage.data;

import org.json.JSONException;
import org.json.JSONObject;

import cn.redcdn.datacenter.meetingmanage.MeetingManageParser;

public  class CheckAppVersionParser extends MeetingManageParser {
  @Override
  public void parse(String content) {
    try {
      JSONObject joContent = new JSONObject(content);
      JSONObject resultObject = joContent.getJSONObject("result");
      rc = resultObject.getInt("rc");
      rd = resultObject.getString("rd");
      body = joContent;
    } catch (JSONException e) {
      rc = -1;
      rd = "数据异常,请重试!";
    }
  }
  
  
  @Override
  public boolean isOk() {
    return rc == 1 || rc == 0;
  }
  
}
