package cn.redcdn.datacenter.offaccscenter.data;

public class PlayerInfo {

	public String sourceType;
	public String url;
	public int liveState;
	public String previewVideo;
	public String poster;
	public int previewType;
	public String startTime;
	public String endTime;
	public String flvUrl;
	
	
	public PlayerInfo(){
		
		sourceType = "";
		url = "";
		liveState = 0;
		previewVideo = "";
		poster = "";
		previewType = 0;
		startTime = "";
		endTime = "";
		flvUrl = "";
	}
	
	public PlayerInfo(PlayerInfo info){
		this.sourceType = info.sourceType;
		this.url = info.url;
		this.liveState = info.liveState;
		this.previewVideo = info.previewVideo;
		this.poster = info.poster;
		this.previewType = info.previewType;
		this.startTime = info.startTime;
		this.endTime = info.endTime;
		this.flvUrl = info.flvUrl;
		
	}

	public String getFlvUrl() {
		return flvUrl;
	}

	public void setFlvUrl(String flvUrl) {
		this.flvUrl = flvUrl;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getSourceType() {
		return sourceType;
	}

	public void setSourceType(String sourceType) {
		this.sourceType = sourceType;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public int getLiveState() {
		return liveState;
	}

	public void setLiveState(int liveState) {
		this.liveState = liveState;
	}

	public String getPreviewVideo() {
		return previewVideo;
	}

	public void setPreviewVideo(String previewVideo) {
		this.previewVideo = previewVideo;
	}

	public String getPoster() {
		return poster;
	}

	public void setPoster(String poster) {
		this.poster = poster;
	}

	public int getPreviewType() {
		return previewType;
	}

	public void setPreviewType(int previewType) {
		this.previewType = previewType;
	}
	
	
}
