package cn.redcdn.datacenter.sptcenter.data;

import java.util.ArrayList;
import java.util.List;

import cn.redcdn.datacenter.hpucenter.data.TFPdfInfo;

/**
 * Created by caizx on 2018/7/11.
 */

public class SPTNotificationInfo {

    //通知信息
    public String notifTitle; //通知标题
    public String notifIntr;//通知简介
    public String notifContent; //通知内容
    public String notifPublisher; //通知发布者
    public String notifFlg; //发布源 01：基地 02：协会
    public String notifId; //通知id
    public String publishTime;//通知发布时间
    public List<TFPdfInfo>  attachmentPaths;//附件名称和下载地址

    public  SPTNotificationInfo(){
        notifTitle = "";
        notifIntr = "";
        notifContent = "";
        notifFlg = "";
        notifId = "";
        notifPublisher = "";
        publishTime = "";
        attachmentPaths = new ArrayList<>();
    }

    public List<TFPdfInfo> getAttachmentPaths() {
        return attachmentPaths;
    }

    public void setAttachmentPaths(List<TFPdfInfo> attachmentPaths) {
        this.attachmentPaths = attachmentPaths;
    }

    public String getNotifTitle() {
        return notifTitle;
    }

    public void setNotifTitle(String notifTitle) {
        this.notifTitle = notifTitle;
    }

    public String getNotifIntr() {
        return notifIntr;
    }

    public void setNotifIntr(String notifIntr) {
        this.notifIntr = notifIntr;
    }

    public String getNotifContent() {
        return notifContent;
    }

    public void setNotifContent(String notifContent) {
        this.notifContent = notifContent;
    }


    public String getNotifPublisher() {
        return notifPublisher;
    }

    public void setNotifPublisher(String notifPublisher) {
        this.notifPublisher = notifPublisher;
    }

    public String getNotifId() {
        return notifId;
    }

    public void setNotifId(String notifId) {
        this.notifId = notifId;
    }

    public String getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(String publishTime) {
        this.publishTime = publishTime;
    }

    public String getNotifFlg() {
        return notifFlg;
    }

    public void setNotifFlg(String notifFlg) {
        this.notifFlg = notifFlg;
    }
}
