package cn.redcdn.dep;

public interface P2PConnCBInterface {
	/*
	 *  接收到数据回调
     *  @param accountId    	数据发送方的视讯号
	 *  @param data			    数据内容
	 *  @param len				数据长度
	 */
	public abstract void OnRecvData(String accountId, String data);
	
	/*
	 *  发送数据结果回调
     *  @param accountId    	发送数据接口的目标视讯号
	 *  @param rc			    发送结果状态码 0：成功  -1：发送失败   -2 ： 发送超时
	 *  @param context			发送数据接口携带的上下文参数
	 */
	public abstract void OnSendDataResult(String accountId, int rc, long context);

	
}