package cn.redcdn.dep;

public class ScreenSharingHostAgentJNI {

	private ScreenSharingHostAgentJNI() {
	}

	// 设置回调函数，先于启动agent 函数调用
	public static native int setUserCallBack(CBInterface cb);

	// 清除回调函数
	public static native int resetUserCallBack(CBInterface cb);

	// 启动agent
	public static native int StartSsHostAgent(String videonum, String ip,
			String configpath, String logoutpath);

	// 停止agent
	public static native int StopSsHostAgent();

	// 设置是否正在发言状态 ,
	public static native void setSpeak(boolean isSpeaking);

	/*
	 * nresult:
	 * 
	 * 0,申请连接成功 <0 ,会控返回的申请连接失败错误码。 1,UI 忙，拒绝连接。 2，UI未发言，拒绝连接 3,
	 * 发送申请连接请求发送失败（发送失败或是接受响应的错误码是失败） 4，UI超时未回应。
	 */
	public static native int ApplyStartResponse(int nresult);

	/*
	 * nresult：停止原因id , desp: 描述信息，如：某某人抢占了屏幕分享 1,文档共享被抢占
	 * ，desp:json串.{"accountId":"123","userName":"testName"} 2,本地发言停止 ，desp 可空
	 * 3,本地退会， 4,服务器超时 其他错误码待扩展
	 */
	public static native int NoticeForceStopSharing(int nresult, String desp);

	static {
		// System.loadLibrary("breakpad");去掉breakpad 20151028 ，由其他模块统一调用
		System.loadLibrary("logwriter");
		System.loadLibrary("screensharingxoneagent");
	}

}
