package cn.redcdn.network.httprequest;

import org.apache.http.client.methods.HttpGet;

import cn.redcdn.log.CustomLog;

public abstract class AsyncHttpGet extends AsyncHttp {
  private String tag = AsyncHttpGet.class.getName();
  
  private String mUrlString;
  
  public void setURL(String url) {
    mUrlString = url;
  }

  public int get() {
    CustomLog.i(tag, "async get, url:" + mUrlString);

    HttpGet httpGet = new HttpGet(mUrlString);
    return request(httpGet);
  }
}
